mir (1.8.2) UNRELEASED; urgency=medium

  * New upstream release 1.8.2

    - Add missing headers
    - Cherry picks
      . examples/mir_demo_server/server_example_input_filter.cpp: Typo fix in stdout.
      . Instantiate parameterized test suite DisplayOrientationSetting
      . Fix FTBFS.
      . Fix missing #includes for GCC 11
      . Fix FTBFS
      . Fix compiler errors
      . Delete obsolete gmock hack
      . Add missing include

 -- Michał Sawicz <michal.sawicz@canonical.com>  Wed, 01 Dec 2021 11:02:35 +0100

mir (1.8.0) UNRELEASED; urgency=medium

  * New upstream release 1.8.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 53
      . mircommon ABI unchanged at 7
      . mirplatform ABI bumped to 18
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [Mir-on-X] Allow specifying scale for fake outputs
      . [MirAL] Implement a "no active window" state
      . [geometry] Allow division by a scaler
      . [Mir-on-X] Enable --display-config option
      . [Mir-on-X] Disable host X11 cursor on Mir window
      . [Mir-on-Wayland] Correct scaling on HiDPI
      . [mir-shell] Scale background correctly
      . [mesa-kms] Support scaled outputs
      . [Wayland] Support scaled clients
      . [graphics] Fix side-by-side display config for scaled outputs
      . [mir-shell] Support launching GNOME Terminal on all platforms
      . [Mir-on-Wayland] Only connect if `wayland-host` is configured
    - Bugs fixed:
      . [mir-shell] First Ctrl-Alt-T for gnome-terminal takes ~30s (#1319)
      . [mir-shell] GTK apps make at-spi2-registr hog CPU (#1321)
      . [mir-shell] Hangs on exit when run with multiple X11 windows (#1327)
      . [X11] Cursor input sometimes "goes through" the top window (#1275)
      . [renderer] Flicker and crashes with multiple outputs (#1317, #1332)
      . [graphics] Crash when software cursor changed rapidy (#1347)
      . Fedora support (#1382, #1384)
      . [mirclient] Do not send events to windows after they are release

 -- William Wold <william.wold@canonical.com>  Fri, 03 Apr 2020 13:29:50 -0400

mir (1.7.1) focal; urgency=medium

  * New upstream release 1.7.1

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 53
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 17
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [X11] Lots of improvements to Xwayland & X11 window managment
      . [X11] X11 support is no longer "experimental" (--enable-x11 replaces
        --x11-display-experimental <socket>)
      . [X11] add --x11-displayfd option
      . [miral] Make app launch environment configurable. (Fixes: #1268)
      . [miral] Add ExternalClientLauncher::launch_using_x11()
      . [demos] Simplify miral-app script and make terminal logic more robust
      . [demos] Add "Mir Shell" to greeter
      . [demos] Install Wayland dependences via Debian "Recommends"
      . Tell Java toolkits that we're a non-reparenting window manager
    - Bugs fixed:
      . [X11] Lots of fixes to Xwayland & X11 window managment code
      . [miral] Occasionally input locks when launching apps. (#1218)
      . Fix FTBFS with g++-10. (Fixes: #1259)
      . Correct logic to locate gmock when gtest has package configuration.
        (Fixes: #1228)
      . Fix FTBFS caused by GTest deprecation of INSTANTIATE_TEST_CASE_P
      . Use ByteSizeLong instead of deprecated ByteSize. (Fixes #1127)
      . Fix unnecessary copies in range-for loops (Clang-11 fixes)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Mon, 17 Feb 2020 12:09:00 +0000

mir (1.7.0) UNRELEASED; urgency=medium

  * New upstream release 1.7.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 53
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 17
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [X11] Add basic window decorations
      . [X11] Add a configuration option to specify the Xwayland executable
      . [X11] Code cleanup: fix threading, initialization, style, etc.
      . [server/input] Use a sorted map for outputs
      . BasicWindowManager requests on unknown windows should noop
    - Bugs fixed:
      . [X11] Don't restart Xwayland if we killed it deliberately (Fixes: #1169)
      . [X11] We don't need to stop Xwayland when pausing the Mir server.
        (Fixes: #1188)
      . [wayland-platform] Apply output scale. (Fixes: #1133)
      . [wayland] (cursor code) don't assume PixelSource::read() will execute
        the do_with_pixels functor. (Fixes: #1180)
      . [packaging] Add libwayland-dev to Build-Depends
      . Fix clang found clangers

 -- Alan Griffiths <alan.griffiths@canonical.com>  Mon, 13 Jan 2020 17:39:00 +0100

mir (1.6.0) UNRELEASED; urgency=medium

  * New upstream release 1.6.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 52
      . mircommon ABI unchanged at 7
      . mirplatform ABI bumped to 17
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [mirclient] Drop some more mirclient support: infrastructure, unit-tests
      . [Wayland] Avoid unnecessary calls into Window Management (Fixes #1049)
      . [graphics-platforms] Improve diagnostics by running the platform probe
        even when manually selected. (Fixes #1045)
      . [graphics-platforms] Provide a generic way to handle the Wayland buffer
        consumption
      . [graphics-platforms] tests: Add basic manual platform test harness
      . [graphics-platforms] Add "Wayland platform"
      . [graphics-platforms] Initial rpi-dispmanx platform
      . Drop the --wayland-socket-name (redundant) configuration option
      . New `mir_demo_client_wayland_egl_spinner` in mir-tests-tools package
      . New `miral-system-compositor` in mir-demos package
    - Bugs fixed:
      . Crashes & lockups caused by thread-unsafe code. (Fixes #1106)
      . Mir crashes when surface sets parent to null. (Fixes #1053)
      . Fix build against GMock/GTest ≥ 1.9
      . Fix build on Arch (Fixes #1084)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Fri, 29 Nov 2019 16:29:00 +0100

mir (1.5.0) UNRELEASED; urgency=medium

  * New upstream release 1.5.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 51
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [snapcraft] Update shared memory handling to work both in confined snaps
        without the "mir" interface and on pre-3.11 kernels.
      . Split arch-specific part of libmirwayland-dev into a -bin package
      . [MirAL] Allow clipping windows to a specified area
      . [MirAL] Add application_id surface property
      . [MirAL] Make it possible for Mir based servers to set up the
        environment variables for launching clients
      . Fixes for new Protobuf on Arch
      . [Renderer] Also log supported EGL and GL extensions
      . [Wayland] Bump xdg output to v3 (workaround an Xwayland problem on eoan)
    - Bugs fixed:
      . [MirAL] Can get the Mir window of a layer shell surface. (Fixes #963)
      . [Wayland] Send wl_buffer.release on the Wayland thread. (Fixes #951)
      . Set output_id for LayerShell surfaces & clean up and test attached
        windows on outputs. (Fixes: #980)
      . [MirAL] Move maximized windows when output is unplugged (Fixes #853)
      . [Wayland] Fix crashes in wayland::OutputManager when output is unplugged
      . PixelSource::read() should execute the supplied block. (Fixes #1009)
      . [build] Fix non-mesa builds.
      . [Wayland] Resync keyboard state after server is paused. (Fixes #999)
      . [Wayland] Convert buffer stream to cursor images in wl_pointer.
        (Fixes #1000)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Wed, 9 Oct 2019 11:09:00 +0100

mir (1.4.0) UNRELEASED; urgency=medium

  * New upstream release 1.4.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 50
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [MirAL] Support for exclusive zones
      . [Wayland] Many Layer Shell improvements
      . [mirclient] Make the mirclient socket optional and disabled by default
      . [mir-utils] Delete mirrun and mirbacklight
      . [mir-demos] Replace using `miral-wayland` in the scripts with a name of
        the form `wayland-[0-9]`
    - Bugs fixed:
      . [Wayland] To accommodate GTK3 publish bespoke extensions before
        wl_seat. (Fixes #922)
      . [Wayland] Handle mir_event_type_close_window. (Fixes #946)
      . [Wayland] Send wl_buffer.release on the Wayland thread. (Fixes #951)
      . [wlcs test fixture] Fix command-line processing so that
        `--wayland-extensions` can be used. (Fixes #906)
      . Add header that needs to be explicitly included for protobuf 3.8.
        (Fixes #913)
      . Track registering miral::WaylandExtensions objects with mir::Servers
        and error if there is more than one. (Fixes #875)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Fri, 9 Aug 2019 13:54:00 +0100

mir (1.3.0) UNRELEASED; urgency=medium

  * New upstream release 1.3.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 49
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [Wayland] Rename zxdg_output_v1 -> zxdg_output_manager_v1
      . [Wayland] Eagerly send buffer release events
      . [Wayland] Eagerly execute work when on Wayland thread
      . [MirAL] Surface depth layer support
      . [MirAL] Application Zone support
      . [MirAL] Explicit handling of Wayland extensions in MirAL and Mir
      . [MirAL] Do not place parentless windows relative to existing windows
      . [Wayland/mirtest] publish miral::TestWlcsDisplayServer and
        miral::TestServer fixtures in mirtest-dev. (Fixes #878)
      . [Wayland/generator] Force compile-time error if XML/generated classes
        are updated to a new version without also updating the child classes
      . [Wayland/generator] Add base objects for Wayland objects and globals
      . [Wayland/generator] Add a constructor-from-parent for objects that can
        be server-constructed
      . [Examples] Implement Ctrl-Alt-T handling for miral-shell
    - Bugs fixed:
      . [Wayland] Better handle window role state changes. (Fixes #836)
      . [Wayland] Fix INCLUDEDIR for the mirwayland.pc file. (Fixes #873)
      . [Wayland] Process output update notifications on the correct thread.
        (Fixes: #886)
      . [MirAL] Allow unfocused windows to receive mouse down events
      . [MirAL] Handle exceptions propagating from InternalClient code
      . Add a package config file for mircommon and reference it mirwayland and
        mirplatform. (Fixes: #868)
      . [nested] Make sure we destroy eglImage before class gets destructed

 -- Alan Griffiths <alan.griffiths@canonical.com>  Mon, 1 Jul 2019 11:24:00 +0100

mir (1.2.0) UNRELEASED; urgency=medium

  * New upstream release 1.2.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 48
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [Wayland] Split out a new mirwayland package to enable shell
        implementors to add protocol extensions.
      . [Wayland] Initial support for XDG output protocol
      . [Wayland] Disconnect clients when Mir exceptions are raised in
        processing requests
      . [MirAL] Extend MirAL API for managing Wayland extensions
      . [MirAL] Provide a new MinimalWindowManager strategy. (Fixes #761, #816)
      . [MirAL] Improve miral-shell help text rendering. (Fixes #799)
      . [benchmarks] Generate USDT tracepoints from LTTNG tracepoints
      . [benchmarks] Add a commit-top-present latency script
      . Support multi-output in Mir-on-X
    - Bugs fixed:
      . [Wayland] Better handle window role state changes (fixes #836)
      . [X11] Improve listen/x-client sockets (Fixes: #478)
      . Additional symbol needed for g++8.3/ld/Alpine. (Fixes #771)
      . [X11] Make sure Xwayland exits to ensure a clean shutdown. (Fixes: #796)
      . [MirAL] Ensure internal clients don't hang because of queued requests.
        (Fixes #753)
      . Don't lock KeyRepeatDispatcher::repeat_state_mutex unnecessarily in a
        callback. (Fixes: #818)
      . Use drmIsMaster() from libdrm when it is provided. (Fixes: #813)
      . Ensure an already focussed surface really gets input focus. (Fixes #823)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Tue, 21 May 2019 16:03:00 +0100

mir (1.1.2) UNRELEASED; urgency=medium

  * New upstream release 1.1.2

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 47
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [build] Add option to disable fatal compile warnings
      . Fix build issues using Musl instead of glibc
    - Bugs fixed:
      . [mesa-kms] On systems where the DRM device isn't hooked up to a PCI bus
         we don't (can't) check if KMS is available. (Fixes: #704)
      . Setting MIR_MESA_KMS_DISABLE_MODESET_PROBE overrides a ENOSYS result
        from drmCheckModesettingSupported(). (Needed to work with the libdrm on
        postmarketOS, maybe others.)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Thu, 14 Feb 2019 12:19:00 +0100

mir (1.1.1) UNRELEASED; urgency=medium

  * New upstream release 1.1.1

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 47
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . Rework the miral-kiosk splash screen to use Wayland
      . Rework the miral-shell background to use Wayland
      . Fix build issues using Musl instead of glibc
      . Enable mir-test-tools to be packaged in a snap
      . Add Wayland support for `mir_demo_server --test-client`
    - Bugs fixed:
      . [eglstreams-kms] the NVIDIA driver now supports 1.5. (Fixes #661)
      . [eglstreams-kms] Fix NVIDIA driver version detection
      . [eglstreams-kms] Check explicitly for modesetting support on the node
        we're planning to use, so we can fall back to something that might
        work. (Fixes: #672)
      . [input/evdev] Avoid double-closing udev monitor fd. (Fixes #684)
      . Install & package the stub modules used by mir_performance_tests.
        (Fixes #675)
      . Drop the problematic libmir_demo_server_loadable.so. (Fixes #716)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Thu, 14 Feb 2019 12:19:00 +0100

mir (1.1.0) UNRELEASED; urgency=medium

  * New upstream release 1.1.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 47
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 16
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . eglstream-kms: Fully functional platform for Nvidia drivers >= 396
      . MinimalConsoleServices: Android has no VTs, but also doesn't need
        anything but `open()` to access devices.
      . Clarify and fix focus switching logic
      . [Musl] Don't call pthread_rwlockattr_setkind_np() on systems where it
        is not defined
      . Detect GTest/GMock via pkg-config when possible. Otherwise fall back to
        the old huristic
      . Add missing packages to Fedora documentation
      . Use the more modern method of specifying standard in CMake
    - Bugs fixed:
      . [Musl] Add missing includes
      . Use the correct package name to detect gtest on RPM distributions

 -- Alan Griffiths <alan.griffiths@canonical.com>  Thu, 29 Nov 2018 12:19:00 +0100

mir (1.0.0) UNRELEASED; urgency=medium

  * New upstream release 1.0.0

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 47
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 15
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [Wayland] A configuration mechanism to select the Wayland extensions
      . [Wayland] Support XDG shell stable
      . [Wayland] Improve protocol scanner
      . [libmiral] Display configuration file support
      . [libmiral] Make the pid of external clients available
      . [libmiral] Add DisplayConfiguration
      . [console] Ensure the_console_services() is constructed only once
      . [console] An option to select the ConsoleServices provider
      . [mir-demos] Move legacy binaries out of mir-demos package
      . [mir-test-tools] Drop internal test binaries from mir-test-tools package
      . [X11] Experimental X11 support via Xwayland
    - Bugs fixed:
      . [Wayland] creating a shell_surface should associate a role immediately.
        (Fixes #512)
      . [Wayland] Default for positioner gravity
      . [Wayland] Use miral test framework for wlcs tests
      . [Wayland] Send popup configure events
      . [Wayland] When setting the pointer cursor apply it. (Fixes #555)
      . [Wayland] Hook the OutputManager into display reconfiguration
        notifications. (Fixes #585)
      . [Wayland] Remove hard coded values for output geometry (screen
        orientation and pixel arrangement). (Fixes #601)
      . [miral-kiosk] Don't allow apps to specify size of "maximized" windows.
        (Fixes #454)
      . [Mir-on-X] Fixed keyboard grab issue on Arch. (Fixes #549)
      . [eglstream-kms] Platform re-enabled, but no GL client support
      . [console] Fix VT switching with LinuxVirtualTerminal. (Fixes #499)
      . [console] Avoid breaking X11 desktops that have not claimed the VT from
        logind. (Fixes #535, #539)
      . [console] LogindConsoleServices: Support VT switching. (Fixes #459)
      . [libmiral] Parents of the active window also have focus. (Fixes #522)
      . Fix "sanitize" builds
      . Racy shutdown in miral-tests and miral_wlcs_tests. (Fixes #543)
      . Fix a locale initialization crash on musl
      . [mesa] Use both id and drm_fd as output identifier for cursor buffer
        as we're not sure of the uniqueness of either. (Fixes #556)
      . [mesa] Disconnected hardware has no modes: invent a (slow) refresh rate.
        (Fixes #587)
      . [input] Guess output for touchscreen (works with one of each).
        (Fixes #605)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Wed, 29 Aug 2018 12:19:00 +0100

mir (0.32.1) UNRELEASED; urgency=medium

  * New upstream release 0.32.1(https://github.com/MirServer/mir/projects/5)

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 47
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 15
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [libmiral] Launcher for internal Wayland clients. (#410)
      . [miral-shell] Reinstate the "spinner" when starting miral-shell
        (re-implementing it in Wayland)
    - Bugs fixed:
      . [mesa-kms] Select EGLConfig matching our GBM format. (#435)
      . [Wayland] Don't send output events that are not supported in the agreed
        protocol version. (#389)
      . [Wayland] Ensure resize configuration events are not superseded. (#449)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Tue, 10 Jul 2018 14:39:00 +0100

mir (0.32.0) UNRELEASED; urgency=medium

  * New upstream release 0.32.0(https://github.com/MirServer/mir/projects/2)

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI bumped to 47
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 15
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
      . mircookie ABI unchanged at 2
    - Enhancements:
      . [Wayland] Implement subsurface support
      . [Wayland] Initial support for copy, cut and paste
      . [Wayland] Make use of the specified output in fullscreen requests.
        (Fixes #423)
      . [libmiral] Update miral::Keymap to get the default keymap from udev
      . [libmiral] Extend the logic for launching apps to support Wayland apps
        and provide it as an API for servers to use it. (Fixes #300)
      . logind support
      . libinput backend: Support running without root privs
      . [miral-shell] Options to use toolkit libmirclient support in
        miral-desktop, miral-app and miral-run
      . [miral-shell] Fix default font on Ubuntu 18.04 and Arch
      . [wlcs] Fixes to test framework, more test coverage
    - Bugs fixed:
      . [Wayland] Implement subsurface support for touches. (Fixes #347)
      . [Wayland] Implement Input regions. (Fixes #306)
      . [Wayland] Implement/correct implementation of window state changes in
        xdg-shell V6. (Fixes #297)
      . [Wayland] Implement the common state changing logic in
        WlAbstractMirWindow. (Fixes: #311)
      . [Wayland] Don't hold a lock in mf::WlShmBuffer while potentially
        destroying an object that uses it. (Fixes #355)
      . [Wayland] Disconnect a sink when its target window is destroyed
        (Fixes #357)
      . [Wayland] Send frame notifications even if there is no buffer,
        this fixes the gedit lockup when subsurfaces are dismissed.
      . Don't synthesize pointer events during gestures. (Fixes #179)
      . Notify the compositor of surfaces that have content before they are
        added to the scene. (Fixes #328)
      . Retry drmSetMaster() a few times and if it doesn't work die.
        (Fixes #373)
      . Defer initializing DefaultServerConfiguration::reports until any
        subclasses have been fully constructed. (Fixes #361)
      . Ensure ExternalInputDeviceHub::remove_observer() synchronizes memory
        across threads. (Fixes #359)
      . Correct the glm matrix used for software cursor transformation
        (Fixes #322)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Tue, 12 Jun 2018 14:23:00 +0100

mir (0.31.2) UNRELEASED; urgency=medium

  * New upstream release 0.31.2

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 46
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
    - Enhancements:
      . [miral-XXX scripts] Provide options to use toolkit libmirclient support
    - Bugs fixed:
      . Fixed bug with XWayland apps not appearing. (Fixes #328)
      . Fixed segfault on exit. (Fixes #327, #112)

 -- William Wold <william.wold@canonical.com>  Thu, 19 Apr 2018 12:43:00 -0500

mir (0.31.1) UNRELEASED; urgency=medium

  * New upstream release 0.31.1(https://github.com/orgs/MirServer/projects/4)

    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 3
      . mirserver ABI unchanged at 46
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
    - Enhancements:
    - Bugs fixed:
      . Fix a couple of warnings from g++ 8.0.1
      . src/miral/CMakeLists.txt has some hardcoded compile flags.
        These should be inherited from the parent project instead. (Fixes #266)
      . [Wayland] Subcompositor fixes: subsurface offset issue and sync behavior
      . [Wayland] stopped frame.done being called if frame has been destroyed
      . [Wayland] Implement WlSurface::set_cursor(): Enable Wayland clients to
        set and hide the cursor
      . [Wayland] Configure new surfaces after attaching observers: For tiling,
        we need to set the surface state to "maximized" so that Wayland clients
        obey exactly. That wasn't working as the wayland_frontend wasn't being
        notified of the actual state.
      . Don't remember recent surface events after the input dispatcher is
        stopped: The event "goes stale" and can cause a segfault.  (Fixes #276)
      . [Wayland] Sequence xdg-top-level and xdg-surface configure events
        correctly: qtwayland gets confused by receiving these event out of
        order. (Fixes #280)
      . [Wayland] fixed timestamp scaling. Fixes double-click.

 -- Alan Griffiths <alan.griffiths@canonical.com>  Tue, 27 Mar 2018 11:21:00 +0000

mir (0.31.0) UNRELEASED; urgency=medium

  * New upstream release 0.31.0(https://github.com/orgs/MirServer/projects/1)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI bumped to 3
      . mirserver ABI bumped to 46
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 16
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
    - Enhancements:
      . Miral version 2.0 - API cleanup and support for CSD initiated "resize"
      . Reorganized examples and reworked miral server examples
      . Better organization of, and fixes to, Wayland server code
      . Initial support for Wayland xdg-shell
    - Bugs fixed:
      . [miral] CommandLineOption should accept lambdas (Fixes #215)
      . [miral] Implement the policy addenda in WindowManagementTrace
        (Fixes #192)
      . [Wayland] Send repeat info (Fixes #180)
      . Explicitly initialise glm matricies, (Fixes #200)
      . KMS platform - fallback if crtc mode invalid (LP: #1661295)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Thu, 15 Mar 2018 11:21:00 +0000

mir (0.29.0) UNRELEASED; urgency=medium

  * New upstream release 0.29.0(https://launchpad.net/mir/+milestone/0.29.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 2
      . mirserver ABI bumped to 46
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 61
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
    - Enhancements:
      . Update docs to reflect recent changes
      . Initial cut at integrating Wayland conformance tests
      . Fix Wayland conformance test failures
      . Fix build & runtime issues on Fedora 26, 27 & rawhide
      . benchmarks: Use standard options to install perf framework on
        non-Debian distros
      . Test (and fix) SeatObserver
      . Added the "smoke test" script from old CI
    - Bugs fixed:
      . [mir_demo_server] extend (not replace) the default error reporting.
        (LP: #1728581)
      . Releasing Wayland buffers must occur on the executor thread.
        (LP: #1728069)
      . [miral-desktop] Check that user is logged into the VT before using it
        (LP: #1728574)
      . Allow alternative cursor themes to be specified in a list. (Fixes #16)
      . Enable screen capture to SHM buffers. (Fixes #47)
      . Get mirscreencast working on Fedora. (Fixes #38)
      . [miral-shell] Check for titlebars when placing windows. (Fixes #37)
      . Create a mir_performance_tests executable (Fixes #69, #70)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Mon, 7 Nov 2017 11:13:47 +0000

mir (0.28.1) UNRELEASED; urgency=medium

  * New upstream release 0.28.1(https://launchpad.net/mir/+milestone/0.28.1)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI unchanged at 2
      . mirserver ABI unchanged to 45
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 61
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
    - Enhancements:
      . Fix build (and add instructions) for Fedora
      . Wayland support for keymaps
      . Don't use Mir EGL if it isn't available.
      . [miral-app, miral-desktop] Default to using SDL's Wayland support.
      . Use system GMock detection (unless cross-compiling)
    - Bugs fixed:
      . Wayland demo client doesn't cross-compile. (LP: #1723971)
      . mir fails to find drm.h. (LP: #1722147)
      . Don't treat failing to bypass buffers as a fatal error. (LP: #1723235)
      . Build process depends on Debian toolchain. (LP: #1724202)
      . XWayland clients updates not causing redraw (LP: #1720223)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Tue, 17 Oct 2017 14:14:37 +0100

mir (0.28.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 0.28.0(https://launchpad.net/mir/+milestone/0.28.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . miral ABI introduced at 2
      . mirserver ABI bumped to 45
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 61
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 7
      . mircore ABI unchanged at 1
    - Enhancements:
      . Update licences to (L)GPL3 or (L)GPL2.
      . Initial support for Wayland clients
      . [mir_demo_client_display_config] add orientation changing
      . RPC: Don't require the server ACK client's buffer-release requests.
      . Added libmirclientcpp to Mir source package
      . Added libmiral to Mir source package
      . Various small improvements to miral-shell example
      . [libmiral, miral-shell] handle display reconfiguration better and allow
        shells to customize maximized placements.
      . Enable CommandLineOptions to be processed before server initialization
    - Bugs fixed:
      . Fix handling of invalid display configuration. (LP: #1643446)
      . Move full responsibility for buffer IPC into frontend. (LP: #1395421)
      . Don't destroy an IPC "closure" object when it may yet be used
        (LP: #1672960)
      . [mesa-kms] Respect display orientation when painting cursor.
        (LP: #1610078)
      . Respect cursor hotspot when hosted on Mir. (LP: #1705284)
      . mcl::BufferVault: Fix lock inversion.
      . Handle mir_event_type_close_window in examples (LP: #1706004),
        (LP: #1705439)
      . Drop BufferStream::suitable_for_cursor()
      . Only notify resize events for valid surfaces (LP: #1643446)
      . Don't leak DRM fds in platform-eglstream probe.
      . Remove obsolete & broken example code. (LP: #1663130)
      . Move buffer-release IPC to a dedicated IPC thread. (LP: #1395421)
      . [NestedServerWithTwoDisplays] Look for the last of a series of
        synthetic events to ensure that the queue is drained before the test
        exits. (LP: #1709666)
      . floating window manager allows resizing maximized windows (LP: #1704776)
      . [miral-shell] doesn't work with breeze X cursor theme (LP: #1699084)
      . [miral-shell] Don't allow splashscreen to be occluded (LP: #1705973)
      . [miral-shell] Update maximized windows on display changes (LP: #1705695)
      . Make racy DragAndDrop test reliable. (LP: #1704780)
      . [libmiral] Define default window settings in one place and clamp the
        actual values to avoid ldiv0. (LP: #1717061)
      . [miral-kiosk] Apply fullscreen logic when hidden windows are restored.
        (LP: #1717910)
      . [mir-on-x11] Less annoying clipping of Mir-on-X11 window when it exceeds
        display bounds. (LP: #1668599)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Thu, 10 Aug 2017 11:54:30 +0000

mir (0.27.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release 0.27.0 (https://launchpad.net/mir/+milestone/0.27.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 44
      . mircommon ABI unchanged at 7
      . mirplatform ABI bumped to 61
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 13
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI bumped to 7
      . mircore ABI unchanged at 1
    - Enhancements:
      . Mostly groundwork required to support major enhancements coming in
        future Mir versions.
      . Removed android-input and eliminated the entire "3rd_party/" subtree.
        Now the Mir source tree contains original code only.
      . Added mir_prompt_session_new_fds_for_prompt_providers_sync API.
      . mirout: Added load and save options for keeping display configs
        on disk.
      . mirout: Added "--" support for applying configuration changes under
        Unity8.
      . Fixed failure of DRM hardware cursor {hide(); show(image);}
      . Added server option: "--cursor software" (MIR_SERVER_CURSOR=software)
      . Added letterboxing/black bars support to the GL renderer in preparation
        for generic output cloning.
      . Added client API for getting the logical size of an output.
      . Migrated MirCookie to use SHA-256.
      . Ensure RealKMSOutputConfiguration stays in sync with actual hardware
        state.
      . Added support for drag-and-drop.
      . Lots of other client API enhancements.
      . Minor clean-ups, optimizations and dead code removal.
      . Added support for building on Ubuntu 17.10 artful.
      . Update example code to use undeprecated API.
      . mesa-kms: Support hardware cursors in hybrid setups.
      . Rework and publish the graphics platform APIs
    - Bugs fixed:
      . [enhancement] Make able to get version information from client /
        server APIs (LP: #1195540)
      . Touch screen coordinates don't rotate with the screen (LP: #1349660)
      . Subpixel order not included in Mir display information (LP: #1393578)
      . [enhancement] Missing client API for relative surface movement (e.g.
        dragging client-decorated windows) (LP: #1420334) . Mir does not reset
        key states when paused or resumed (modifiers get stuck after VT
        switching) (LP: #1536279)
      . NBS never uses mc::MultiMonitorMode::single_monitor_fast, even when
        only a single monitor is plugged in (LP: #1561418)
      . Inconsistent behaviour of Num Lock (LP: #1588237)
      . A scaled (not panned or clipped) mirror/clone mode is desired
        (LP: #1639226)
      . Rotating an output left or right without restarting the
        compositor distorts the image (LP: #1643488)
      . support display scaling slider in unity8 (LP: #1645372)
      . [ FAILED ] NestedInputWithMouse.mouse_pointer_coordinates_in_nested_
        server_are_accumulated (LP: #1646375)
      . [ FAILED ] NestedInputWithMouse.mouse_pointer_position_is_in_sync_with_
        host_server (LP: #1646558)
      . abi_check doesn't check mircore (LP: #1649354)
      . [testsfail] PromptSessionClientAPI.client_pid_is_associated_with_
        session hangs and times out (LP: #1655929)
      . EDID does not change when hotplugging a monitor (LP: #1660017)
      . [regression] Mir 0.26.0 - spinner loading animation, minimize, maximize
        too fast (LP: #1661072)
      . [regression] Unity8 stutters constantly (like half frame rate) using
        Mir 0.26.0 (LP: #1661128)
      . [regression] mir_demo_server refuses to quit on Ctrl+Alt+Backspace or
        Ctrl+C in its terminal (deadlock in DefaultInputDeviceHub::add_device)
        (LP: #1661151)
      . [regression] mirout crashes when connecting to unity8 or any nested
        server: [libprotobuf FATAL
        /usr/include/google/protobuf/repeated_field.h:1408] CHECK failed:
        (index) < (current_size_): (LP: #1661163)
      . [ FAILED ] DefaultInputManagerTest.forwards_pause_continue_state_
        changes_to_platform (LP: #1661187)
      . [regression] Segfault on detect_fd_leaks during acceptance tests (in
        DisplayConfiguration/{DisplayFormatSetting,DisplaySubpixelSetting})
        (LP: #1661498)
      . [regression] Nested server segfaults or rapidly logs exceptions when a
        fullscreen client starts [in mir_presentation_chain_set_dropping_mode
        ... std::exception::what: Operation not permitted] (LP: #1661508)
      . [regression] Windowed clients of nested servers are all black
        (LP: #1661521)
      . mir_window_request_persistent_id_sync seg faults when called twice
        (LP: #1661704)
      . mir_acceptance_tests now takes 10 seconds longer (in r4002 compared to
        r4001) (LP: #1662044)
      . Mir graphics platform ABI broke in series 0.26 but sonames never
        changed (LP: #1662455)
      . libmirclient-dev missing build depndency on libmircore-dev
        (LP: #1662942)
      . [regression] mirscreencast hangs during screencast creation
        (LP: #1662997)
      . [regression] Software clients of nested servers with size >=480x480
        are all black in Mir 0.25.0 and later (or stretched and distorted under
        Unity8) (LP: #1663062)
      . mir_window_spec_set_cursor_name() doesn't trigger
        mir::scene::SurfaceObserver::cursor_image_set_to (LP: #1663197)
      . android complaint during mirscreencast of nested server (LP: #1664562)
      . qtubuntu sends wrong text as part of QKeyEvent (LP: #1664610)
      . Mir server crashed with SIGSEGV in
        mir::compositor::TemporaryBuffer::size() called from
        mir::gl::tessellate_renderable_into_rectangle() (LP: #1664760)
      . mirout reports logical size of a rotated display incorrectly
        (LP: #1665271)
      . Nested servers (Unity8) periodically stutter (half frame rate) with
        Mir 0.26.1 (LP: #1666372)
      . If the only surface in a session cannot take focus the server crashes
        (LP: #1667645)
      . [regression] OSK input shaping no longer works correctly (LP: #1669444)
      . GTK window functions `Always on Top, Move and Resize' don't work in
        Mir/Unity8 (LP: #1669524)
      . [regression] mir_proving_server mode hotkeys (Ctrl+Alt+=/-) cause the
        server to segfault (LP: #1669752)
      . Test takes minutes to complete: MediatingDisplayChangerTest.confirmed_
        configuration_doesnt_revert_after_timeout (LP: #1671033)
      . [ FAILED ] PosixRWMutex.prefer_writer_nonrecursive_prevents_writer_
        starvation (Timeout waiting to acquire write lock) (LP: #1671037)
      . [regression] Mixing screen rotation with mode changes makes the image
        squished (LP: #1672269)
      . unity-system-compositor crashed with SIGSEGV in
        libinput_device_config_accel_is_available() from
        libinput_device_config_accel_set_speed() from
        mir::input::evdev::LibInputDevice::apply_settings() (LP: #1672955)
      . Presentation chains should support various Vulkan presentation modes
        (LP: #1673533)
      . Need an extension for GBM buffers to replace
        mir_buffer_get_buffer_package() (LP: #1673534)
      . cross-compile-chroot.sh (to zesty) fails to build [cannot find -ludev]
        due to libudev.so being in a different directory to where libudev.pc
        searches for it (LP: #1674201)
      . Please transition to Boost 1.62 (LP: #1675138)
      . [regression] Mir is assigning the first output ID = 0 (==
        mir_display_output_id_invalid) (LP: #1675331)
      . Mir sending key repeat events continually to nested shell after VT
        switch (causes Unity8 lockup for a while) (LP: #1675357)
      . mirout commands don't work when followed by -- (LP: #1676320)
      . mir_demo_standalone_render_overlays fails to link (LP: #1677239)
      . [regression] doxygen processing for capnproto/protobuf broken
        (LP: #1679248)
      . mir_window_spec_set_cursor_render_surface does not work (LP: #1679836)
      . [regression] Some fullscreen apps render nothing until the window has
        been resized (LP: #1686620)
      . Correct eglsquare example: Don't paint from the window event handler.
        (LP: #1695221)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 03 Apr 2017 11:28:15 +0800

mir (0.26.3+17.10.20170526.3-0ubuntu1) artful; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.3 (https://launchpad.net/mir/+milestone/0.26.3)
    - Enhancements:
      . Make deprecations optional (and default to off for builds on 16.04 LTS)
      . Added support for building on Ubuntu 17.10 artful.
    - Bugs fixed:
      . Mir needs to be updated to 0.26 in 16.04LTS (LP: #1685186)
      . unity-system-compositor crashed with SIGSEGV in
        libinput_device_config_accel_is_available() from
        libinput_device_config_accel_set_speed() from
        mir::input::evdev::LibInputDevice::apply_settings() (LP: #1672955)
      . Please transition to Boost 1.62 (LP: #1675138)
      . Mir sending key repeat events continually to nested shell after VT
        switch (causes Unity8 lockup for a while) (LP: #1675357)
      . mir_demo_standalone_render_overlays fails to link (LP: #1677239)

 -- Alan Griffiths <alan.griffiths@canonical.com>  Fri, 26 May 2017 16:57:20 +0000

mir (0.26.2+17.04.20170322.1-0ubuntu2) zesty; urgency=medium

  [ Mattia Rizzolo ]
  * Patch the code to use unversioned runtime boost libraries (LP: #1675138).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Mar 2017 22:58:36 +0100

mir (0.26.2+17.04.20170322.1-0ubuntu1) zesty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.2 (https://launchpad.net/mir/+milestone/0.26.2)
    - Bugs fixed:
      . EDID does not change when hotplugging a monitor (LP: #1660017)
      . [regression] mirout crashes when connecting to unity8 or any nested
        server: [libprotobuf FATAL /usr/include/google/protobuf/repeated_field.
        h:1408] CHECK failed: (index) < (current_size_) (LP: #1661163)
      . Mir server crashed with SIGSEGV in
        mir::compositor::TemporaryBuffer::size() called from
        mir::gl::tessellate_renderable_into_rectangle() (LP: #1664760)
      . Nested servers (Unity8) periodically stutter (half frame rate) with
        Mir 0.26.1 (LP: #1666372)
      . Don't dereference the end iterator in ms::ApplicationSession::
        surface_after() (LP: #1667645)
      . [regression] OSK input shaping no longer works correctly (LP: #1669444)
      . Setting MirWindowSpec parameters always causes window's input_region
        to be reset (LP: #1670876)
      . Subpixel order not included in Mir display information (LP: #1393578)
      . Presentation chains should support various swap interval modes
        (LP: #1673533)
      . Need an extension for GBM buffers to replace
        mir_buffer_get_buffer_package() (LP: #1673534)
      . Seg fault on detect_fd_leaks (LP: #1661498)

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Wed, 22 Mar 2017 04:54:19 +0000

mir (0.26.1+17.04.20170209.1-0ubuntu1) zesty; urgency=medium

  * New upstream release 0.26.1 (https://launchpad.net/mir/+milestone/0.26.1)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI unchanged at 43
      . mircommon ABI unchanged at 7
      . mirplatform ABI bumped to 15
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 12
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 6
      . mircore ABI unchanged at 1
    - Enhancements:
      . Support for MirBuffer API that allows for better management of
        hardware/software buffers.
      . Support for MirPresentationChain API that allows better control
        over {de}queueing of individual buffers {from}to the server.
      . Interim support for MirRenderSurface API that provides a unit of
        renderable for lower level content such as MirBufferStreams and
        MirPresentationChains, etc.. MirRenderSurface API is marked
        deprecated as it (and the relevant entry points) will be renamed to
        MirSurface before general availability. It will initially be used for
        revamping support for EGL drivers.
      . Synchronous version of mir_prompt_session_new_fds_for_prompt_providers()
        API (mir_prompt_session_new_fds_for_prompt_providers_sync()) added for
        convenience.
      . Better name for MirPersistentId-->MirWindowId. MirPersistentId has now
        been deprecated.
    - Bugs fixed:
      . [regression] Unity8 stutters constantly (like half frame rate).
        (LP: #1661128)
      . mir 0.26 - spinner loading animation, minimize, maximize too fast.
        (LP: #1661072)
      . [regression] Nested server segfaults or rapidly logs exceptions when a
        fullscreen client starts [in mir_presentation_chain_set_dropping_mode
        ... std::exception::what: Operation not permitted] (LP: #1661508)
      . mir_window_request_persistent_id_sync seg faults when called twice.
        (LP: #1661704)
      . [regression] Windowed clients of nested servers are all black.
        (LP: #1661521)
      . Mir graphics platform ABI broke in series 0.26 but sonames never
        changed (LP: #1662455)
      . Fixes for 0.26 changelog.
      . [regression] mirscreencast hangs during screencast creation. (LP: #1662997)
      . libmirclient-dev missing build dependency on libmircore-dev. (LP: #1662942)
      . mir_window_spec_set_cursor_name() doesn't trigger
        mir::scene::SurfaceObserver::cursor_image_set_to. (LP: #1663197)
      . [regression] Software clients of nested servers are all black in Mir 0.25.0
        and later. (LP: #1663062)

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Thu, 09 Feb 2017 21:46:32 +0000

mir (0.26.0+17.04.20170126.3-0ubuntu1) zesty; urgency=medium

  * New upstream release 0.26.0 (https://launchpad.net/mir/+milestone/0.26.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 43
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 6
      . mircore ABI unchanged at 1
    - Enhancements:
      . New and improved client APIs: MirInputConfig, MirWindow, DisplayConfig,
        MirScreencastSpec.
      . Support for setting the input configuration.
      . Introduced an extension mechanism for platform-specific APIs.
      . Support for screencasting to a specific MirBuffer.
      . Added DisplayConfigurationController::base_configuration() so
        downstreams can get the base configuration (weirdly they can already
        set it).
      . X11 platform: Allow adjustable scale parameter.
      . Added monitor EDID support to both the client API and server-side.
      . mirout: Now shows scaling factor, subpixel arrangement, form factor and
        EDID.
      . mirout: Can now change the monitor configuration as well as report it.
      . Replace the mir::Server-overridable Reports with Observers.
      . Deprecate legacy toolkit APIs that will be removed in Mir 1.0
      . Introduced client-side vsync which dramatically reduces latency
        from the client to the screen, by up to 44ms.
      . Removed all input resampling logic. We now expect toolkits to do their
        own, if at all. This reduces input lag by up to 16.9ms, or 8.4ms on
        average.
    - Bugs fixed:
      . [performance] Restore support for better-than-triple buffering by
        default. (LP: #1240909)
      . Frame rate is artificially low on Diamondville Intel Atom systems due
        to aggressive power management (LP: #1388490)
      . [testsfail] failure in CI in
        AndroidInputReceiverSetup.slow_raw_input_doesnt_cause_frameskipping
        (LP: #1394369)
      . [trusted prompt sessions] Can't open two prompt sessions at the same
        time (LP: #1494197)
      . Changing scale, formFactor or DPI in display configuration causes
        renderer teardown/recreate unnecessarily (LP: #1556142)
      . [testsfail] ApplicationNotRespondingDetection.failure_to_pong_is_
        noticed (LP: #1570327)
      . CI failure in TestClientInput.receives_one_touch_event_per_frame
        (LP: #1570698)
      . Mir-on-X mouse input is jerky/stuttery compared to Mir-on-KMS
        (LP: #1576600)
      . [regression] Two fingers in mir_proving_server now resizes/moves app
        windows (two finger apps unusable) (LP: #1586311)
      . Pointer/cursor input lag in unity8 session (LP: #1591328)
      . PointerConfinement.test_we_update_our_confined_region_on_a_resize
        (LP: #1606418)
      . [ FAILED ] ClientLatency.throttled_input_rate_yields_lower_latency
        (LP: #1624188)
      . Valgrind failure on mir_acceptance_tests - leak on incoming buffer in
        Requests::free_buffer(int) (LP: #1628794)
      . Add support for returning monitor EDIDs (LP: #1634868)
      . When pointer motion crosses window borders SurfaceInputDispatcher
        injected events increase accumulated relative motion (LP: #1639749)
      . [ FAILED ] ClientLatency.dropping_latency_is_limited_to_one (AKA
        dropping_latency_is_closer_to_zero_than_one) (LP: #1640366)
      . Server::override_the_coordinate_translator() cannot be effectively used
        downstream (LP: #1641166)
      . [regression] FTBFS when cross compiling to yakkety from zesty:
        test_client_extensions.cpp: error: ‘Ne’ was not declared in this scope
        (LP: #1642473)
      . [regression] mir_proving_server crashes with std::exception::what:
        add_options() must be called before the_options() (LP: #1642504)
      . [ FAILED ] NestedServer.nested_platform_connects_and_disconnects
        (LP: #1643432)
      . googletest 1.8.0-2 (on zesty) breaks existing builds [add_library
        cannot create target "gmock" ...] (LP: #1644062)
      . [regression] Those mir_demo_client_* which default to fullscreen now
        ignore the size parameter (-s WIDTHxHEIGHT) (LP: #1644075)
      . Shell doesn't know when base display config has changed (LP: #1644189)
      . miral::ActiveOutputsMonitor (and therefore miral-shell --window-manager
        tiling) are broken by lp:mir (LP: #1645284)
      . mir_proving_server's four finger swipe to switch apps leaks touch
        events to the clients (LP: #1646700)
      . [regression] Cross compiling from zesty to yakkety fails with *** No
        rule to make target 'gmock/libs/googlemock/gtest/libgtest.a' (LP:
        #1646704)
      . [ FAILED ] ThreadedDispatcherDeathTest.destroying_dispatcher_from_a_
        callback_is_an_error (LP: #1647573)
      . [regression] eglapps now all have window title "default" (LP: #1647575)
      . Package mirtest-dev is missing a dependency on mir-renderer-gl-dev
        (LP: #1651391)
      . EDID data is missing in nested servers (LP: #1651633)
      . [regression] Latency for fullscreen interval 0 clients (e.g. games and
        benchmarks) increased with the introduction of nested passthrough
        (LP: #1651638)
      . Race between MirConnection::released() and
        MirConnection::~MirConnection() causes deadlocks, possible crashes and
        memory corruption (LP: #1653658)
      . DisplayConfigurationTest.configure_session_removed_display failure
        (LP: #1653789)
      . [regression] Development headers reference unknown header
        "mir_toolkit/mir_input_device_types.h" so some clients can't build at
        all any more (LP: #1654023)
      . [regression] mir_acceptance_tests' death tests leave behind core files
        (LP: #1654478)
      . Setting the event handler after the surface has been created does
        nothing (LP: #1654612)
      . [ FAILED ] RaiseSurfaces.key_event_with_cookie (LP: #1655293)
      . Black screen with Raspberry Pi 3 VC4 Mesa driver (LP: #1656164)
      . i386 FTBFS:
        src/platforms/eglstream-kms/server/kms_display_configuration.cpp:88:47:
        error: narrowing conversion of ‘..._drmModeConnector::connector_id’
        from ‘uint32_t {aka unsigned int}’ to ‘EGLAttrib {aka int}’ inside { }
        [-Werror=narrowing] (LP: #1656633)
      . android: overlays no longer are activated (LP: #1657755)
      . Mir FTBFS with MIR_USE_PRECOMPILED_HEADERS=OFF: error: ISO C++11
        requires at least one argument for the "..." in a variadic macro
        [-Werror] (LP: #1658604)
      . [regression] Mir cross-compile to vivid/armhf FTBFS with:
        mock_input_device_hub.h:33:18: error: ‘add_observer’ is not a type
        (LP: #1658605)
      . Caught exception at Mir/EGL driver boundary (in setSwapInterval) in
        clients and tests (LP: #1659298)
      . Support display scaling slider in unity8 (LP: #1645372)

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Thu, 26 Jan 2017 23:29:33 +0000

mir (0.25.0+17.04.20161203-0ubuntu1) zesty; urgency=medium

  * New upstream release 0.25.0 (https://launchpad.net/mir/+milestone/0.25.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 42
      . mircommon ABI bumped to 7
      . mirplatform ABI bumped to 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI bumped to 6
      . mircore ABI added, at version 1
    - Enhancements:
      . Added pointer confinement support
      . Identify Raspberry Pi output types correctly
      . Added dead key and compose key support
      . Added gamma support for KMS hardware
      . Added yakkety and zesty gcc-6 support
      . Added surface passthrough support for fullscreen clients of nested
        servers
      . Introduced a new library `libmircore'
      . Began migrating from Protobuf to Cap'n Proto starting with events
      . Began support for VirtualBox (servers now start instead of crashing
        but full support for GL clients is still missing)
      . Began support for high precision frame timing, implemented for the
        KMS, Android and X11 backends so far
      . Added --display-report support for the X11 backend
      . Improved reliability of `mirvanity' latency test tool
      . Moved to using the CSS cursor naming scheme internally, although
        the old symbolic indentifiers remain unchanged and still work
      . Added refresh rate to MirSurfaceOutputEvent
      . Many improvements to automated test quality and coverage
      . Smoother desktop zoom using mir_proving_server (Super + two fingers)
    - Bugs fixed:
      . FTBFS On Zesty: invalid use of
        'struct native_handle' (LP: #1638774)
      . libmirclient-debug-extension-dev install debug/surface.h
        twice (LP: #1639153)
      . Mir crashes on virtual box drmModeCrtcSetGamma
        Function not implemented (LP: #1638220)
      . Flickering in mir_demo_client_multistream (LP: #1635273)
      . Camera apps (camera & vanity) never exit (LP: #1635010)
      . Clients cannot connect when MIR_SOCKET="" (LP: #1634508)
      . mirtest-dev packaging fails to sepcify boost depends (LP: #1633537)
      . cursor.h is unclear about mir_diagonal_resize_* (LP: #1626924)
      . Inconsistent underscores in cursor names (LP: #1632617)
      . [regression] Accidental libmircommon.so.6 break (LP: #1617865)
      . [regression] mir demo server fails to start with mx4 (LP: #1615703)
      . [regression] Trust prompt now shown when starting camera (LP: #1612256)
      . [regression] make abi-check fails to build (LP: #1626866)
      . Nested servers prevent overlays or fullscreen bypass (LP: #1262116)
      . Failed to get PRIME fd from gbm bo (LP: #1607812)
      . Mir-on-X is difficult to use on 1366x768 laptop (LP: #1590959)
      . Remove useless message 'Surface 0 DPI' in demos (LP: #1559831)
      . Mir fails to cross-build with newer sbuild (LP: #1628507)
      . Infinite loop in AbstractShell::focus_next_session (LP: #1625401)
      . Destroying a presentation chain doesn't trigger ownership
        notification to client (LP: #1626503)
      . Keyboard layout not applied on the shell (LP: #1626435)
      . Warning, No syntax specified for the proto file (LP: #1624971)
      . display-report=log reports vsync on non-existent output number
        (LP: #1621352)
      . libmirserver-dev missing uuid-dev depends (LP: #1617435)
      . debian/control missing epoxy (LP: #1617256)
      . Downstreams need to disable clang diagnostic "-Wreturn-type-clinkage"
        to build against public headers (LP: #1615587)
      . mirtest-dev: mock_display_configuration.h uses mg namespace without
        using it (LP: #1614983)
      . FTBFS using clang (LP: #1609612)
      . mesa-kms doesn't fall back to using software cursor if hardware
        cursor is unavailable (LP: #1610054)
      . StubGraphicsPlatform::create_display() leaves a dubious state
        (LP: #1611337)
      . Mir build/tests fail with gcc-6 and LTO (LP: #1610215)
      . Cross compiling on xenial fails (LP: #1609329)
      . Building with -DMIR_PLATFORM=anroid fails (LP: #1609916)
      . unity-system-compositor crashes on start-up with "Mir fatal error:
        Failed to schedule page flip" (LP: #1584894)
      . mir_connection_create_spec_for_tooltip doesn't meet requirements
        (LP: #1603922)
      . Updating surface size/location needs to update the pointer confinement
        (LP: #1604673)
      . ServerConfigurationOption is not ptest safe (LP: #1607351)
      . HWC's vsync_signal_on is never called when using HWC 1.0 (LP: #1613373)
      . mir_connection_create_spec_for_tooltip does not set aux_rect
        (LP: #1632335)
      . VMware virtual connector recognized by Mir as "unknown" (LP: #1248072)
      . Fix code to match the documentation of CoordinateTranslator - vis "It is
        acceptable ...[to] throw a std::runtime_error" (LP: #1641166)
      . Test timeout MesaDisplayConfigurationTests.* (LP: #1613352)
      . Tests fail when built against lp:mir (LP: #1621917)
      . CI failure MultiThreadedCompositor (LP: #1595940)
      . CI failure in DisplayConfiguration (LP: #1563210)
      . CI failure  NestedServer.given_client_set_display_configuration*
        (LP: #1617036)
      . CI failure on krillin in NestedServer.* testes (LP: #1628828)
      . CI failure: PosixRWMutex hangs (LP: #1633920)
      . googletest 1.8.0-2 (on zesty) breaks existing builds [add_library
        cannot create target "gmock" ...] (LP: #1644062)

 -- Brandon Schaefer <brandon.schaefer@canonical.com>  Sat, 03 Dec 2016 12:42:33 +0000

mir (0.24.1+16.10.20160928-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.24.1 (https://launchpad.net/mir/+milestone/0.24.1)
    - ABI summary:
      . All ABI numbers remain unchanged.
      . mircommon ABI at 6, but now including a symbol misplaced in 0.24.0
    - Bugs fixed:
      . mirserver ignored further keymap configuration changes after a keyboard 
        is configured (LP: #1626435)
      . fix for libmircommon.so.6 ABI break: version stanza of
        mir::dispatch::ReadableFd* moved to newer version (LP: #1617865)
      . clang builds fail (again) (LP: #1609612)
      . Valgrind errors in NesterServer.* cause subsequent tests
        (ServerDisconnect, ServerStartup, UnresponsiveClient) to fail
        (LP: #1612012)
      . Break potentially infinite loop in search for next session to focus
        (LP: #1625401)

 -- Andreas Pokorny <andreas.pokorny@canonical.com>  Wed, 28 Sep 2016 12:09:49 +0000

mir (0.24.0+16.10.20160815.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.24.0 (https://launchpad.net/mir/+milestone/0.24.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 41
      . mircommon ABI unchanged at 6
      . mirplatform ABI bumped to 12
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 10
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 5
    - Enhancements:
      . Added a new tool 'mirvanity' which can use a high speed video camera
        to measure client-to-screen latency.
      . Added (build-time) support for desktop full OpenGL servers (disabled
        by default in favor of GLESv2).
      . Introduced new buffer semantics (NBS) and enabled it by default.
      . Avoided using libmirserver in mir_demo_standalone_render_overlays,
        making bringup traces less cluttered.
      . Removed TilingWindowManager from example servers.
      . Added two new mir_*_performance_test tools that are run as part of
        'mir_performance_tests'.
      . Added pointer confinement to the client API.
      . Added new platform supporting software EGLStreams.
      . Added an input platform that the nested server can use.
      . Allow configuration of the application_not_responding_detector
      . Handle server-side keymapping using XKBMapper.
      . Remove the offscreen display.
      . Add callback option to notify shells that the server is about to stop.
      . Add logging for ANativeWindow events on Android.
    - Bugs fixed:
      . usage of std:call_once in mirclient causes TLS collisions with some
        android devices (LP: #1599867)
      . AltGr not working on external keyboards (LP: #1565236)
      . [regression] unity8 fails to start when built with 0.24 series (lp:mir)
        (LP: #1597717)
      . CI failure in MirSurfaceVisibilityEvent.exposed_received_when_surface_
        raised_over_occluding_surface [called twice - over-saturated and active]
        (LP: #1556045)
      . package-built mir_demo_server does not start on device (LP: #1577357)
      . During surface creation, first stream in spec becomes default stream.
        (LP: #1577967)
      . mouse is getting stuck on a phantom edge (LP: #1580774)
      . [testsfail] in MirSurfaceVisibilityEvent.exposed_received_when_surface_
        raised_over_occluding_surface [never called] (LP: #1581385)
      . [enhancement] Add support for full OpenGL compositing (LP: #1420581)
      . [testsfail] ServerSignal.terminate_handler_is_called_for_SIGINT|SIGTERM
        (LP: #1570353)
      . [testsfail] ClientLatency.triple_buffered_client_has_less_than_two_
        frames_latency (LP: #1576690)
      . [testsfail] NestedServer.when_monitor_plugged_in_client_is_notified_of_
        new_display_configuration (LP: #1576760)
      . mir server crashed in what(): drmModeMoveCursor failed (returned -13)
        (LP: #1579630)
      . mirtest-dev is hard to use as the objects used are compiled with LTO
        (LP: #1583536)
      . [testsfail] ClientLogging.reports_performance [Value of: lag]
        (LP: #1583970)
      . [ FAILED ] ClientLogging.reports_performance (Value of: nbuffers)
        (LP: #1584603)
      . [ FAILED ] ClientLogging.reports_performance (Value of: render)
        (LP: #1584605)
      . ClientCredsTestFixture.session_authorizer_receives_pid_of_connecting_
        clients failure (LP: #1587604)
      . Mir on X11 ignores mir::graphics::GLConfig depth & stencil buffer size
        (LP: #1589632)
      . Need to support pointer confinement (LP: #1590099)
      . [tests] given_nested_server_set_base_display_configuration_when_
        monitor_plugged_in_configuration_is_reset fails (LP: #1591354)
      . CI failure in DemoInProcessServerWithStubClientPlatform.surface_
        creation_does_not_leak_fds (LP: #1598802)
      . Screen is squashed/distorted when rotated in Mir-on-X11 (LP: #1577262)
      . --display-report=log shows some invalid uninitialized EGL attribute
        values (LP: #1582066)
      . mir_demo_client_eglplasma falls back to software rendering on i915
        (Intel Atoms), which explains why it's so slow (LP: #1583532)
      . [regression] x11 platform only draws to a small part of the x11 window
        (LP: #1598267)
      . mir ftbfs in yakkety builders (LP: #1600343)
      . Autolanding keeps failing: mock_egl.h:89:7: error: type 'struct
        MockEGL' violates one definition rule [-Werror=odr] (LP: #1603303)
      . [regression] The Super/Windows key doesn't work any more (LP: #1602966)
      . mir_acceptance_tests.bin: double free or corruption (fasttop)
        (LP: #1603114)
      . ftbfs in linking libmir-test-assist.a in xenial+overlay and
        yakkety+overlay (LP: #1601810)
      . [testsfail] failure in NestedInput.on_input_device_state_nested_*
        (LP: #1602646)  
      . mirtest-dev provides an incorrect .pc file (LP: #1603080)
      . mir_test_framework::server_platform_path(), 
        mir_test_framework::server_platform() don't support use in a downstream
        test built against mir-test-assist (LP: #1603091)
      . Servers based on Mir need a hook to execute code when the server is
        closing (LP: #1593655)
      . Android graphics platform doesn't get packaged for arm64 (LP: #157866)
      . memory leaks in unit tests on android (LP: #1253486)
      . Physical "screen" size reported by the X11 backend is same as pixel
        count, fixing dpi to 25.4 (LP: #1596051)
      . Mir build and test failures with gcc-6 and LTO (LP: #1610215)
      . [regression] Trust prompt not shown when starting camera (LP: #1612256)
 
 -- Kevin DuBois <kevin.dubois@canonical.com>  Mon, 15 Aug 2016 16:29:03 +0000

mir (0.23.5+16.10.20160729-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:25:48 +0000

mir (0.23.5+16.10.20160729-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.23.5 (https://launchpad.net/mir/+milestone/0.23.5)
    - ABI summary:
      . No ABI changes in any libraries.
    - Enhancements:
      . Enable new buffer semantics (NBS) by default.
    - Bugs fixed:
      . Mir fails to build in: COMPOSITOR_TRACE_CALL (LP: #1584601)
      . [testsfail] Process.* (memory leak in libhybris generated when probing
        android platforms) (LP: #1602199)
      . unity8/libmirclient gives up and terminates prematurely with
        "std::exception::what: disconnected: no new buffers" via
        ExchangeSemantics::submit() (LP: #1506358)

 -- Kevin DuBois <kdub432@gmail.com>  Fri, 29 Jul 2016 11:31:02 +0000

mir (0.23.4+16.10.20160719.1-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.23.4 (https://launchpad.net/mir/+milestone/0.23.4)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bugs fixed:
      . Android graphics platform doesn't get packaged for arm64 (LP: #1579866)

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Tue, 19 Jul 2016 17:49:47 +0000

mir (0.23.3+16.10.20160707.1-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.23.3 (https://launchpad.net/mir/+milestone/0.23.3)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bugs fixed:
      . usage of std:call_once in mirclient causes TLS collisions with some
        android devices (LP: #1599867)

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Thu, 07 Jul 2016 17:07:38 +0000

mir (0.23.2+16.10.20160624-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.23.2 (https://launchpad.net/mir/+milestone/0.23.2)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bugs fixed:
      . Refine Android display format selection LP: #1584657

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Fri, 24 Jun 2016 19:56:05 +0000

mir (0.23.1+16.10.20160610.1-0ubuntu1) yakkety; urgency=medium

  [ Kevin DuBois ]
  * New upstream release 0.23.1 (https://launchpad.net/mir/+milestone/0.23.1)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bugs fixed:
      . Turn off NBS as workaround to LP: #1590765
 
  [ Daniel van Vugt, Kevin DuBois ]
  * Mir 0.23.1 bugfix release. Fix flickering issue seen with onscreen
    keyboard (LP: 1590765)

 -- Kevin DuBois <kdub432@gmail.com>  Fri, 10 Jun 2016 22:40:55 +0000

mir (0.23.0+16.10.20160602.1-0ubuntu1) yakkety; urgency=medium

  [ Kevin DuBois ]
  * New upstream release 0.23.0 (https://launchpad.net/mir/+milestone/0.23.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 40
      . mircommon ABI bumped at 6
      . mirplatform ABI unchanged at 11
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 9
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 5
    - Enhancements:
      . Enable internal usage of more flexible graphics buffer submission,
        precursing client API additions. 
    - Bug fixes:
      . Potential NBS performance loss after resize (LP: #1579076)
      . Performance loss with NBS and overlays on (LP: #1578159)
      . Mir crashes with useless backtrace when mg::Platform methods throw
        (LP: #1553549)
      . Virtual output is not removed when screencast client disappears
        (LP: #1573572)
      . Can't VT switch from mir_demo_server (any more) (LP: #1576260)
      . mir_demo_server(_minimal): Window movement/resizing stops responding
        when the cursor leaves the surface, and can lead to windows 1px wide
        and unrecoverable. (LP: #1447886)
      . Virtual display output configuration is set to LVDS (LP: #1573782)
      . Mir-on-X11 doesn't pass Alt+primary button drag to Mir (LP: #1575765)
      . Mir-on-X11 breaks mir_proving_server resize logic (LP: #1575192)
      . Resizing can crash mir_demo_server (LP: #1575211) 
      . [regression] Cursor stops at phantom edge on M10 and N7 (LP: #1580774)
      . [regression] MIR_CLIENT_PERF_REPORT is showing bogus render times and
        buffer lag (LP: #1581368)
      . Test failures in ClientLogging.reports_performance due to the above
        fix. (LP: #1583970, LP: #1584603, LP: #1584605)
      . Do not throw when creating some objects under HWC 1.5 (LP: #1583086)
      . Correct black frame issue under Xmir (LP: #1584784)

  [ Tarmac, Kevin DuBois <kevin.dubois@canonical.com>, Daniel van Vugt <daniel.van.vugt@canonical.com>, Andreas Pokorny <andreas.pokorny@canonical.com>, Alberto Aguirre ]
  * 0.23.0 Mir release

 -- Kevin DuBois <kdub432@gmail.com>  Thu, 02 Jun 2016 13:18:03 +0000

mir (0.22.1+16.04.20160516.2-0ubuntu1) xenial; urgency=medium

  [ Andreas Pokorny ]
  * New upstream release 0.22.1 (https://launchpad.net/mir/+milestone/0.22.1)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bugs fixed:
      . [regression] Cursor stops at phantom edge on M10 and N7 (LP: 1580774)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Mon, 16 May 2016 15:36:50 +0000

mir (0.22.0+16.04.20160422.2-0ubuntu1) xenial; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.22.0 (https://launchpad.net/mir/+milestone/0.22.0)
    - ABI summary: Only servers need rebuilding
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 39
      . mircommon ABI unchanged at 5
      . mirplatform ABI unchanged at 11
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 9
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 5
    - Enhancements:
      . New screencast creation API which allows a client to specify
        number of capture buffers and mirroring mode
      . HWC 1.5 support for android based platforms
    - Bug fixes:
      . [regression] Black screen: Mir hangs and then crashes on startup/login
        due to reading from /dev/random (LP: #1536662)
      . CI test failures on xenial amd64 due to valgrind errors following system
        upgrade to ld-2.23 (LP: #1560415)
      . [regression] failure in CI on ThreadedDispatcherSignalTest.keeps_
        dispatching_after_signal_interruption under Valgrind (LP: #1499229)
      . [regression] Cursor mostly does not move at all in response to slow 
        mouse movement, but then sometimes jumps (LP: #1528109)
      . Sometimes devices don't suspend - display turns back on immediately
        (LP: #1549701)
      . CI failure in NestedServer.display_orientation_changes_are_forwarded_to_
        host (LP: #1555074)
      . NBS fullscreen overlay benchmark performance is much lower than 
        BufferQueue (LP: #1557962)
      . server crashes when shutting down in smoke tests (LP: #1560900)
      . [regression] [OTA-10] Spread animation stutters badly with only a few
        apps opened (LP: #1563287)
      . nested mir_demo_server crashes on startup (LP: #1570362)
      . mir_acceptance_tests & mir_unit_tests dump core files (even when 
        everything passes) (LP: #1342092)
      . [regression] Tests fail with: std::exception::what: Failed to read from
        device: /dev/random after: 30 seconds (LP: #1541188)
      . [testsfail] ClientLatency.throttled_input_rate_yields_lower_latency
        (LP: #1554572)
      . NBS causes sudden loss of performance after un-fullscreening a swap 
        interval zero client (LP: #1557442)
      . surface creation with non-default buffer streams is ignored by server
        (LP: #1563278)
      . [regression] mir_integration_tests take significantly longer (27x
        longer) when running with ctest (LP: #1568966)
      . CI failure in TestClientInput.receives_one_touch_event_per_frame 
        (LP: #1570698)
      . Racy shutdown in mir_demo_client_scroll causes SEGFAULT (LP: #1560943)
      . mir_demo_client_target does not quit after SIGTERM/SIGINT (LP: #1562340)
      . ClientLogging.reports_performance fails under moderate load, is badly
        named (LP: #1563148)
      . nested mir_demo_server crashes on mouse move when --print-input-events
        active (LP: #1570357)
      . Virtual output is not removed when screencast client disappears
        (LP: #1573572)
      . Virtual display output configuration is set to LVDS (LP: #1573782)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Fri, 22 Apr 2016 22:38:16 +0000

mir (0.21.0+16.04.20160330-0ubuntu1) xenial; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.21.0 (https://launchpad.net/mir/+milestone/0.21.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI unchanged at 38
      . mircommon ABI unchanged at 5
      . mirplatform ABI unchanged at 11
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchaged at 8
      . mirclientplatform ABI bumped to 5
      . mirinputplatform ABI unchanged at 5
    - Enhancements:
      . New display enumeration API
      . Added Android diagnostic tests to assist during porting to
        new devices
      . Added mir_demo_client_camera: a Video4Linux2 client
    - Bugs fixed:
      . Sometimes devices don't suspend - display turns back on
        immediately (LP: #1549701)
      . Mir crashed with exception 'failed to add sync point to command
        buffer' (LP: #1554635)
      . Mouse cursor is unusably slow in Unity 8 with a 1000Hz mouse
        (LP: #1539009)
      . Packaged mir_unit_tests binary is not suitable for general use
        (LP: #1547015)
      . [regression] Mir stops receiving input after a pause/resume
        cycle (LP: #1548989)
      . NBS (--nbuffers=0) causes software clients to crash with
        std::exception::what: Failed to mmap buffer 13, "Permission denied")
        (LP: #1550432)
      . Fullscreen clients freeze when using NBS with multiple monitors
        (LP: #1551536)
      . [ FAILED ] DisplayConfigurationTest.output_position_is_independent_of_
        orientation (LP: #1552065)
      . The server-side use of MIR_SOCKET is confusing (LP: #1290345)
      . [regression] FTBFS with -DMIR_LINK_TIME_OPTIMIZATION=on
        -Duse_debflags=on (LP: #1350343)
      . Mir On X (mesa-x11) keeps receiving mouse movement events even
        when not focused (LP: #1528110)
      . x11 platform: mouse cursor moves strange (LP: #1546324)
      . Cross compiling to wily/vivid doesn't work (LP: #1549152)
      . Rendering stutters when a new client establishes a connection
        (LP: #1549359)
      . 'mir_demo_server --test-client' crashes (SIGSEGV) when client
        dies (LP: #1555620)
      . [testfail] CI failure: TestClientInput.client_input_config_request_
        receives_all_attached_devices (LP: #1555708)
      . [regression] Mir FTBFS when MIR_ENABLE_TESTS=no (LP: #1556080)
      . Mir-on-X11 doesn't exit (until it gets an event) (LP: #1556210)
      . InputPlatformProbe.x11_platform_found_and_used_when_display_connection_
        works breaks with old input drivers present (LP: #1543049)
      . [regression] MIR_CLIENT_PERF_REPORT is missing window/surface
        names (LP: #1546933)
      . Installed binaries fail to run with mir_demo_server --test-client XXXX
        (LP: #1556160)
      . mir_demo_server --test-client [mir_demo_client_scroll|
        mir_demo_client_flicker] fails (LP: #1556205)
      . The contents of debian/mir-demos.examples are out of date and useless
        (LP: #1557446)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Wed, 30 Mar 2016 00:23:20 +0000

mir (0.20.3+16.04.20160322-0ubuntu1) xenial; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.20.3 (https://launchpad.net/mir/+milestone/0.20.3)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bug fixed:
      . Mir crashed with exception 'failed to add sync point to command
        buffer' (LP: #1554635)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Tue, 22 Mar 2016 15:42:36 +0000

mir (0.20.2+16.04.20160307-0ubuntu1) xenial; urgency=medium

  [ Andreas Pokorny ]
  * New upstream release 0.20.2 (https://launchpad.net/mir/+milestone/0.20.2)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bug fixed:
      . On removal of USB and BT devices key repeat events of pressed keys
        are sent indefinitely. (LP:#1550050)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Andreas Pokorny <andreas.pokorny@canonical.com>  Mon, 07 Mar 2016 17:18:40 +0000

mir (0.20.1+16.04.20160225.1-0ubuntu1) xenial; urgency=medium

  [ Kevin DuBois ]
  * New upstream release 0.20.1 (https://launchpad.net/mir/+milestone/0.20.1)
    - ABI summary:
      . No ABI changes in any libraries. Bugfix release only.
    - Bugs fixed:
      . On arale; top panel drop down menu is semi-transparent and items are
        unreadable. Accommodate system image device name change for arale
        device that broke android quirk detection (LP: #1549226)
      . Crash when side mouse buttons are pressed (LP: #1544878)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Kevin DuBois <kevin.dubois@canonical.com>  Thu, 25 Feb 2016 12:03:41 +0000

mir (0.20.0+16.04.20160219-0ubuntu1) xenial; urgency=medium

  [ Alan Griffiths ]
  * New upstream release 0.20.0 (https://launchpad.net/mir/+milestone/0.20.0)
    - ABI summary: Only servers need rebuilding;
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 38
      . mircommon ABI unchanged at 5
      . mirplatform ABI unchanged at 11
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 8
      . mirclientplatform ABI unchanged at 4
      . mirinputplatform ABI unchanged at 5
    - Enhancements:
      . Allow screencasting to create a virtual output (for Miracast)
      . Separate the protocol version number from the client API version macros.
        They're not meant to be related concepts.
      . Add UBSanitizer to the list of build types.
      . logging: Human readable timestamps in DumbConsoleLogger.
      . examples: AdorningDisplayBufferCompositor::composite() no long ignores
        output boundaries and occlusions.
      . examples: Add -a <app name> option to eglapps.
      . common, client: a more flexible way to probe modules: once we've found
        a good current platform we don't even try to load an older one.
      . Fix build and test run with CMAKE_BUILD_TYPE=ThreadSanitizer (missing
        locks).
      . Add MIR_USE_LD_GOLD build option.
    - Bug fixes:
      . unity-system-compositor crashed with std::runtime_error in
        mir::compositor::CompositingFunctor::wait_until_started() from
        usc::MirScreen::set_screen_power_mode (mir_power_mode_on)
        (LP: #1528384)
      . Phone not usable while a call comes in - followed by "restart"
        (LP: #1532607)
      . ui freezes when simultaneously moving mouse & plug/unplug hdmi
        (LP: #1538632)
      . Mir fails to build on xenial today: android_graphic_buffer_allocator.h
        fatal error: hardware/hardware.h: No such file or directory
        (LP: #1539338)
      . [mali] egl_demo_client_flicker has graphics corruption on android
        (LP: #1517205)
      . [testsfail] Intermittent failure in
        TestClientCursorAPI.cursor_passed_through_nested_server (LP: #1525003)
      . [android] External monitor slows rendering (LP: #1532202)
      . Display::create_gl_context may create context with incorrect attributes
        (LP: #1539268)
      . unity-system-compositor locked up in __libc_do_syscall() (LP: #1543594)
      . NestedServer.client_sees_set_scaling_factor intermittent failure
        (LP: #1537798)
      . [android] External monitor slows rendering - part 2 (LP: #1535894)
      . scene: make sure not to set the swapinterval to 0 when an independent
        stream is created. The default should be 1 (like the stream created as
        part of surface creation).
      . Track the displays plugged state to avoid reporting configurations in
        case they are unplugged (LP #1531503). [Cherrypicked from 0.21]
      . mouse pointer support on emulator is broken (LP: #1517597).
        [Cherrypicked from 0.21]
      . move an android-only test that ended up in tests/unit-tests/graphics.
        (LP: #1546676) [Cherrypicked from 0.21]

  [ CI Train Bot ]
  * No-change rebuild.

 -- Alan Griffiths <ci-train-bot@canonical.com>  Fri, 19 Feb 2016 10:40:59 +0000

mir (0.19.3+16.04.20160212-0ubuntu1) xenial; urgency=medium

  [ Kevin DuBois ]
  * New upstream release 0.19.3 (https://launchpad.net/mir/+milestone/0.19.3)
    - ABI summary:
      . no abi changes in any libraries. bugfix release only
    - Bugs fixed:
      . Workaround for broken hwc implementations that dont allow querying
        display information during hotplug (LP: #1531503)

  [ CI Train Bot ]
  * No-change rebuild.

 -- kevin gunn <kevin.gunn@canonical.com>  Fri, 12 Feb 2016 18:50:06 +0000

mir (0.19.2+16.04.20160210-0ubuntu1) xenial; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.19.2 (https://launchpad.net/mir/+milestone/0.19.2)
    - Bugs fixed:
      . Lock ordering issues causing deadlocks between input and display
        configuration (LP: #1538632, LP: #1543594, LP: #1532607)
      . Workaound for a g++ 4.9 bug where std::uncaught_exception() 
        unexpectedly returns true

  [ CI Train Bot ]
  * No-change rebuild.

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Wed, 10 Feb 2016 00:57:06 +0000

mir (0.19.1+16.04.20160204-0ubuntu1) xenial; urgency=medium

  [ Kevin Gunn ]
  * New upstream release 0.19.1 (https://launchpad.net/mir/+milestone/0.19.1)
    - Improved reporting to assist in critical debug
    - Improved on the fix for LP: #1527449 and LP: #1526658 in order to
      avoid Unity8 crashing on upgraded xenial desktops.

  [ CI Train Bot ]
  * No-change rebuild.

 -- kevin gunn <kevin.gunn@canonical.com>  Thu, 04 Feb 2016 21:13:57 +0000

mir (0.19.0+16.04.20160128-0ubuntu1) xenial; urgency=medium

  [ Brandon Schaefer ]
  * New upstream release 0.19.0 (https://launchpad.net/mir/+milestone/0.19.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 37
      . mircommon ABI unchanged at 5
      . mirplatform ABI unchanged at 11
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 7
      . mirclientplatform ABI bumped to 4
      . mirinputplatform ABI bumped to 5
      . mircookie ABI bumped to 2
    - Enhancements:
      . Improve compositor start logging
      . Mir cookie support added for copy paste use
    - Bugs fixed:
      . [regression] Mir servers crash on mouse input -
        std::exception::what: Client input channel write blocked : 11,
        "Resource temporarily unavailable" (LP: #1528438)
      . [regression] pinch to zoom not working reliably (LP: #1531517)
      . Passing DisplayConfiguration scale property from nested server to host
        appears to not work (LP: #1535780)
      . [enhancement] Support copy-paste between X and Mir (LP: #1471998)
      . Various TSan reports when running test suite on a mir tsan enabled
        build (LP: #1523647)
      . [testsfail] Intermittent failure in
        TestClientInput.clients_receive_relative_pointer_events (LP: #1523872)
      . Buffer leak during repeated mirscreencasts causes server to be killed
        (LP: #1523900)
      . Mir clients (including Unity8 itself) crash in XGetXCBConnection() if
        multiple versions of mir-client-platform-mesa are installed.
        (LP: #1526658)
      . Cursor displayed incorrectly (looks like incorrect stride)
        (LP: #1526779)
      . [regression] Mir servers just segfault just after "Selected driver:"
        instead of reporting exceptions (LP: #1528135)
      . Setting a surface keymap crashes in xkbcommon:
        xkb_keymap_new_from_names() (LP: #1530946)
      . [enhancement] Implement support for QWindow::visibility set to
        Automatic (LP: #1535397)
      . ProgramOption::parse_file() reports problems to cerr (LP: #1190165)
      . Dynamic double buffering fails to detect inertial dash scrolling as
        slow; and stutters instead of scaling up to triple buffers.
        (LP: #1476201)
      . CI Failures: ClientLatency.throttled_input_rate_yields_lower_latency
        (LP: #1509291)
      . [regression] Nested servers can select wrong platform (LP: #1515558)
      . "there seems to be missing RTTI information when linking with UBSan
        enabled" (LP: #1521930)
      . Mir threadsanitizer build fails with GCC (LP: #1522581)
      . After "make install" mir_demo_server cannot find shared object file in
        /usr/local/lib (LP: #1522836)
      . [testfail] Intermittent failure in TestClientInput.clients_receive_
        pointer_within_coordinate_system_of_window (LP: #1523965)
      . [regression] [ FAILED ]
        ClientSurfaceEvents.surface_receives_output_event_on_creation
        (LP: #1524161)
      . [ FAILED ] TestClientInput.scene_obscure_motion_events_by_stacking
        (LP: #1524230)
      . There's something racy in ServerDisconnect.is_detected_by_client
        (LP: #1526248)
      . Mir clients leak all driver modules including the unused ones, keeping
        them resident (LP: #1527449)
      . [regression] Mir servers choose graphics-dummy (or no driver at all)
        over mesa-kms on a desktop (LP: #1528082)
      . Function 'mir_event_get_close_surface_event' is never used
        (LP: #1447690)
      . mir::input::Surface::consume(MirEvent const& event) should not take a
        reference to an opaque type (LP: #1450797)
      . lintian: E: mir-doc: privacy-breach-logo
        usr/share/doc/mir-doc/html/cppguide/index.html
        (http://www.google.com/favicon.ico) (LP: #1483471)
      . lintian: W: mir-doc: embedded-javascript-library
        usr/share/doc/mir-doc/html/jquery.js please use libjs-jquery
        (LP: #1483472)
      . lintian: E: mir-test-tools:
        arch-dependent-file-not-in-arch-specific-directory (LP: #1483475)
      . incorrect reporting in mf::SessionMediator::release_buffer_stream()
        (LP: #1499777)
      . [testsfail] Segmentation fault SystemCompositorWindowManager.
        if_a_surface_posts_client_gets_focus (LP: #1522356)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Brandon Schaefer <ci-train-bot@canonical.com>  Thu, 28 Jan 2016 12:19:47 +0000

mir (0.18.1+16.04.20160115-0ubuntu1) xenial; urgency=medium

  [ Andreas Pokorny ]
  * New upstream release 0.18.1 (https://launchpad.net/mir/+milestone/0.18.1)
    - No ABI changes. Bug fix release only.
    - Bug fixed:
      . [regression] pinch to zoom not working reliably (LP: #1531517)
    

  [ CI Train Bot ]
  * No-change rebuild.

 -- kevin gunn <kevin.gunn@canonical.com>  Fri, 15 Jan 2016 11:45:05 +0000

mir (0.18.0+16.04.20151216.1-0ubuntu1) xenial; urgency=medium

  [ Kevin DuBois ]
  * New upstream release 0.18.0 (https://launchpad.net/mir/+milestone/0.18.0)
    - ABI summary: Only servers need rebuilding;
      . mirclient abi unchanged at 9
      . mirserver abi bumped to 36
      . mircommon abi unchanged at 5
      . mirplatform abi unchanged at 11
      . mirprotobuf abi unchanged at 3
      . mirplatformgraphics abi bumped to 7
      . mirclientplatform abi unchanged at 3
      . mirinputplatform abi added. current version is 4
    - Enhancements:
      . Use libinput by default, and remove the android input stack
      . Add x11 input probing
      . Add alternative buffer swapping mechanism internally, available with
        --nbuffers 0
      . Automatic searching and selection of input platforms
      . Better support for themed cursors
      . Add demo client that uses multiple buffer streams in one surface
      . Improve fingerpaint demo to use touch pressure
      . Allow for configuring cursor acceleration, scroll speed and left or
        right handed mice
      . Allow for setting a base display configuration via client api
      . Various nested server multimonitor fixes and stability improvements
      . Remove DepthId from the SurfaceStack
    - Bug fixes:
      . Unit test failures in Display.* on Android (LP: #1519276)
      . Build failure due to missing dependency of client rpc code on mir
        protobuf (LP: #1518372)
      . Test failure in
        NestedServer.display_configuration_reset_when_application_exits
        (LP: #1517990)
      . CI test failures in various NesterServer tests (LP: #1517781)
      . FTBFS with -DMIR_PLATFORM=android (LP: #1517532)
      . Nesting Mir servers with assorted display configs causes lockup
        (LP: #1516670)
      . [testsfail] RaiseSurfaces.motion_events_dont_prevent_raise
        (LP: #1515931)
      . CI test failures in GLMark2Test (LP: #1515660)
      . Shells that inject user input events need to agree with the system
        compositor on the clock to use (LP: #1515515)
      . mircookie-dev is missing nettle-dev dependency (LP: #1514391)
      . Segmentation fault on server shutdown with mesa-kms (LP: #1513901)
      . mircookie requires nettle but libmircookie-dev doesn't depend on it
        (LP: #1513792)
      . libmircookie1 package does not list libnettle as dependency
        (LP: #1513225)
      . display configuration not reset when application exits (LP: #1511798)
      . unplugging external monitor causes nested server to throttle client
        (LP: #1511723)
      . 1/2 screen on external monitor (LP: #1511538)
      . unity-system-compositor crash, no interaction on windowed mode
        (LP: #1511095)
      . [regression] arm64/powerpc cross compile doesn't build any more
        (LP: #1510778)
      . mir_connection_get_egl_pixel_format() crashes if libEGL is loaded
        RTLD_LAZY (LP: #1510218)
      . [multimonitor] nested server surface positioning incorrect
        (LP: #1506846)
      . unity-system-compositor fails to build against lp:mir r3027
        (LP: #1506537)
      . [regression] Resampled touch events are slightly less regular than they
        used to be (LP: #1506331)
      . [testsfail] Segmentation fault mir_demo_server --test-client
        /usr/bin/mir_demo_client_basic (LP: #1506137)
      . [regression] Can't move/resize windows any more using Alt+left/middle
        buttons (LP: #1505114)
      . CI failure on some 32-bit targets in
        ServerSignal.terminate_handler_is_called_for_SIGTERM and others
        (LP: #1504579)
      . multibufferstreams use surface size instead of stream size
        (LP: #1503317)
      . CI segfault in mir-mediumtests-runner-mako in client tests
        (LP: #1502896)
      . CI segfault in mir-mediumtests-runner-mako after AndroidHardwareSanity
        tests (LP: #1502782)
      . compositing never stops when external monitor is connected
        (LP: #1499039)
      . mir_demo_server crashes with ERROR: Dynamic exception type:
        std::out_of_range - std::exception::what: map::at when an Xmir rootless
        app is closed by its File menu. (LP: #1497128)
      . Nested servers don't apply their display configuration at startup
        (LP: #1492269)
      . mir fails to open the right mouse device in kvm/qemu (LP: #1489522)
      . nexus4 & nexus7 hotplug survival (LP: #1488863)
      . Android uses mir_display_output_invalid_id (0) as an output id value
        (LP: #1463873)
      . DemoRenderer: GL_BLEND is really always enabled even when not required
        (also causes RGBX discolouration in mir_proving_server) (LP: #1423462)
      . Severe graphical corruption (mostly horizontal streaks/lines) running
        software clients (including Xmir) on android (LP: #1406725)
      . [enhancement] Ubuntu needs a way to set mouse scrolling speed
        (LP: #124440)
      . input-evdev: always send all active contacts.
      . fix backwards frame jumps on the FB context on some devices
        (LP: #1270245)
      . fix race in test (NestedServer suite) (LP: #1514884)
      . fix signal callbacks in buffer stream creation (LP: #1519998 and
        LP: #1519999)
      . allow client to retrieve error messages when stream creation fails
        (LP: #1520005)
      . [regression] Ctrl/Alt modifiers not handled correctly (LP: #1521225)
      . snappy packaging fixes
      . CI test failures due to memory errors during GLibMainLoop shutdown
        (LP: #1520217)
      . fix UBSan build (LP: #1521808)
      . SessionMediator::exchange_buffer can create references to null pointers
        (LP: #1522093)
      . After exiting Mir (by Ctrl+Alt+BkSp) VT switching by Ctrl+Alt+Fn is
        broken (LP: #1521651)
      . notify when cursor images are removed (LP: #1521795)
      . fix arm64, powerpc, ppc64el builds (LP: #1522122)
      . fix locking in ms::SurfaceStack (LP: #1522105)
      . [regression] Mouse wheel events are now unusably over-sensitive and
        backwards (LP: #1522673)
      . Cross compiling Mir from a xenial host fails (dpkg-checkbuilddeps:
        error: Unmet build dependencies: ...) (LP: #1523801)

  [ CI Train Bot ]
  * No-change rebuild.

 -- Kevin DuBois <kevin.dubois@canonical.com>  Wed, 16 Dec 2015 18:24:40 +0000

mir (0.17.1+16.04.20151105.1-0ubuntu1) xenial; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.17.1 (https://launchpad.net/mir/+milestone/0.17.1)
    - No ABI changes. Bug fix release only.
    - Bugs fixed:
      . compositing never stops when external monitor is connected
        (LP: #1499039)
      . half screen on external monitor (LP: #1511538)
      . Nested servers don't apply their display configuration at startup
        (LP: #1492269)
      . libmircookie1 package does not list libnettle as dependency
        (LP: #1513225)
      . unity-system-compositor crash, no interaction on windowed mode
        (LP: #1511095)
      . mir_connection_get_egl_pixel_format() crashes (LP: #1510218)
      . [regression] mir-client-platform-mesa-dev pkg-config file dropped
        (LP: #1509005)

  [ CI Train Bot ]
  * New rebuild forced.

 -- Alberto Aguirre <alberto.aguirre@canonical.com>  Thu, 05 Nov 2015 21:54:17 +0000

mir (0.17.0+15.10.20151008.2-0ubuntu1) wily; urgency=medium

  [ Alexandros Frantzis ]
  * New upstream release 0.17.0 (https://launchpad.net/mir/+milestone/0.17.0)
    - ABI summary: Only servers and graphics drivers need rebuilding;
      . Mirclient ABI unchanged at 9
      . Mirserver ABI bumped to 35
      . Mircommon ABI unchanged at 5
      . Mirplatform ABI bumped to 11
      . Mirprotobuf ABI bumped to 3
      . Mirplatformgraphics ABI bumped to 6
      . Mirclientplatform ABI unchanged at 3
    - Enhancements:
      . Introduce libmircookie, a simple mechanism for a group of cooperating
        processes to hand out and verify difficult-to-forge timestamps to
        untrusted 3rd parties.
      . More refactorings to support renderers other than GL.
      . Add MirBlob to the client API - a tool for serializing and
        deserializing data.
      . Introduce a libinput based input platform, not yet used by default.
      . Provide a mechanism for the shell to send events on surface
        construction.
      . Provide mir::shell::DisplayConfigurationController allowing shells
        to correctly change the display configuration, notifying clients
        as appropriate.
      . New DSO versioning guide.
      . Send events pertaining to the output a surface is currently on (dpi,
        form factor, scale) to clients.
    - Bug fixes:
      . [enhancement] XMir specific documentation should live in its own
        subsection (LP: #1200114)
      . Nested servers need cursor support (LP: #1289072)
      . Mir cursor is missing/invisible until the client sets it multiple
        times (LP: #1308133)
      . [regression] Fullscreen software surfaces (like Xmir -sw) can crash
        the Mir server (LP: #1493721)
      . [usc] Mir gives up and shuts down due to input with multimonitor qtmir
        (std::exception::what: Failure sending input event) (LP: #1496069)
      . Mouse cursor disappears upon entering the surface area of a nested
        client (LP: #1496849)
      . [android] input is not dispatched when attaching an external monitor
        (LP: #1498045)
      . [android] input coordinates are scaled incorrectly when an external
        display is connected (LP: #1498540)
      . [android] std::exception::what: error during hwc set() when unplugging
        external monitor (LP: #1498550)
      . tests do not compile without precompiled headers (LP: #1498829)
      . [android] std::exception::what: Failed to monitor fd: Operation not
        permitted when unplugging external display in a nested configuration
        (LP: #1499042)
      . Mir suddenly no longer builds since 'mesa (11.0.0-1ubuntu1) wily':
        /usr/include/EGL/eglplatform.h:100:35: fatal error:
        android/native_window.h: No such file or directory (LP: #1499134)
      . [android] various crashes when unplugging external display on a
        nested configuration (LP: #1501927)
      . Cursor becomes visible by itself when an external monitor is connected
        (LP: #1502200)
      . mesa FTBFS due to missing Requires in mirclient (LP: #1503450)

  [ CI Train Bot ]
  * New rebuild forced.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Thu, 08 Oct 2015 16:12:19 +0000

mir (0.16.1+15.10.20150930.1-0ubuntu1) wily; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.16.1 (https://launchpad.net/mir/+milestone/0.16.1)
    - No ABI changes. Bug fix release only.
    - Bugs fixed:
      . Mir suddenly no longer builds since 'mesa (11.0.0-1ubuntu1) wily':
        /usr/include/EGL/eglplatform.h:100:35: fatal error:
        android/native_window.h: No such file or directory (LP: #1499134)

  [ CI Train Bot ]
  * New rebuild forced.

 -- Alexandros Frantzis <alexandros.frantzis@canonical.com>  Wed, 30 Sep 2015 14:38:36 +0000

mir (0.16.0+15.10.20150921.1-0ubuntu1) wily; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.16.0 (https://launchpad.net/mir/+milestone/0.16.0)
    - ABI summary: Only servers and graphics drivers need rebuilding;
      . Mirclient ABI unchanged at 9
      . Mirserver ABI bumped to 34
      . Mircommon ABI unchanged at 5
      . Mirplatform ABI bumped to 10
      . Mirprotobuf ABI bumped to 2
      . Mirplatformgraphics ABI bumped to 5
      . Mirclientplatform ABI unchanged at 3
    - Enhancements:
      . Significantly shortened buffer holding time for system compositors
        should yield higher/smoother frame rates.
      . Progress on new buffer semantics work.
      . Mir-on-x platform refinements, including support for guest platform,
        key combinations, rotation, display window size.
      . Enhanced cross-compilation, including multi-distro, and multi-arch
        support.
      . Added message auth code to make_event functions. Older implementations
        are now marked as deprecated.
      . Added EventBuilder for input platforms to use to construct events.
      . Improved logging.
      . Added protobuf versioning support.
      . Support for the NATIVE_WINDOW_CONSUMER_USAGE_BITS query.
      . Added utilities to detect the capabilities of an input device.
      . Initial refactoring to support renderers other than GL.
      . Optimized ANR logic to decide less frequent wakeups.
      . Allow clients to set their surface event handler up front.
      . Added ability to provide for setting a scale on BufferStream.
    - Bug fixes:
      . [regression] ubuntu-emulator fails to start Mir demos (LP: #1486535)
      . Overlayed framedropping clients freeze on mako (LP: #1391261)
      . [regression] Screen flickering and error messages on Android overlay
        surfaces: <ERROR> MirBufferStream: Error processing incoming buffer
        error registering graphics buffer for client use (LP: #1441553)
      . [silo0] exception thrown in cursor management code around monitor
        removals/additions (LP: #1483779)
      . mirclient.pc lists protobuf in Requires.private (LP: #1483876)
      . Overlays don't rotate when mga::DisplayBuffer is rotated (LP: #1485070)
      . cross-compile-chroot.sh fails on wily since the archive transition to
        GCC 5 (LP: #1486823)
      . [ FAILED ] ExchangeBufferTest.server_can_send_buffer
        (tests/integration-tests/test_exchange_buffer.cpp:441: Failure)
        (LP: #1487967)
      . Client fails to work with multiple client platform versions installed
        (LP: #1488500)
      . CI test failure in ClientLatency.triple_buffered_client_uses_all_buffers
        (LP: #1491876)
      . Intermittent CI failure in 
        DisplayConfigurationTest.changing_focus_from_client_with_config_to_client_without_config_configures_display
        (LP: #1494663)
      . acceptance test ClientLatency.double_buffered_client_uses_all_buffers
        does not measure latency accurately (reports low latency when we know
        it's higher) (LP: #1447947)
      . make ptest returns 0 when tests fail (LP: #1454250)
      . [regression] Mir is holding buffers much longer than it used to
        (LP: #1480164)
      . Acceptance test fails under debuild: 
        ClientCredsTestFixture.session_authorizer_receives_pid_of_connecting_clients
        (LP: #1483097)
      . dpkg-shlibdeps: warning: 
        debian/mir-platform-graphics-mesa-x4/usr/lib/x86_64-linux-gnu/mir/server-platform/server-mesa-x11.so.4
        contains an unresolvable reference to symbol
        _ZN3mir6events10make_eventElNSt6chrono8durationIlSt5ratioILl1ELl1000000000EEEE17MirKeyboardActionjij:
        (LP: #1483469)
      . [regression] surface remains invisible when changing from state
        minimized/hidden to any other (LP: #1483909)
      . android external monitor doesn't respect overlay disable option
        (LP: #1484638)
      . [regression] Clients hang without explanation when connecting to older
        servers since r2730 (LP: #1486496)
      . [regression] Intermittent test failure
        BufferQueue/WithThreeOrMoreBuffers.queue_size_scales_with_client_performance
        (LP: #1487197)
      . client api minor version was not updated in mir 0.15 (LP: #1488542)
      . On Wily/mesa-kms starting a server with a "test client" crashes the
        server (LP: #1489806)
      . The MirDisplayConfiguration returned on the client can be incorrect
        (LP: #1491937)
      . The MirDisplayConfiguration returned on the client can be incorrect
         - part 2 (LP: #1493741)
      . sbuild cross compile broken (LP: #1493895)
      . Segmentation fault in MesaBufferIntegration.* (LP: #1495459)
      . lintian says: W: mirtest-dev: extended-description-line-too-long
        (LP: #1483470)
      . SYSYEM_SUPPORTS_O_TMPFILE - typo (LP: #1483797)
      . sbuild cross compile encounters difficulties with our python dependency
        (LP: #1494317)
      . touchpad produces mouse events with zeroed relative_x and relative_y axes
        (LP: #1496814)

  [ CI Train Bot ]
  * New rebuild forced.

 -- Cemil Azizoglu <cemil.azizoglu@canonical.com>  Mon, 21 Sep 2015 16:03:27 +0000

mir (0.15.1+15.10.20150903-0ubuntu1) wily; urgency=medium

  [ Kevin Gunn ]
  * released-rebuild-for-vivid-overlay

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 03 Sep 2015 18:50:01 +0000

mir (0.15.1+15.10.20150825-0ubuntu1) wily; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.15.1 (https://launchpad.net/mir/+milestone/0.15.1)
    - Bug fixes:
      . Client API minor version was not updated (LP: #1488542)
      . [regression] ubuntu-emulator fails to start Mir demos (LP: #1486535)

  [ CI Train Bot ]
  * No-change rebuild.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 25 Aug 2015 16:02:43 +0000

mir (0.15.0+15.10.20150818-0ubuntu1) wily; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.15.0 (https://launchpad.net/mir/+milestone/0.15.0)
    - ABI summary: Only servers and graphics drivers need rebuilding;
      . Mirclient ABI unchanged at 9
      . Mirserver ABI bumped to 33
      . Mircommon ABI unchanged at 5
      . Mirplatform ABI bumped to 9
    - Enhancements:
      . Add support for Mir-on-X11.
      . Latency reduction optimizations (around ~15ms reduction in total):
        Reduced input event resampling latency by 5ms. Reduced output latency
        (in system compositors) by around 10ms with the introduction of
        "predictive bypass". And we're not finished; future Mir releases
        should reduce latency further.
      . Introduced a python3-based Mir performance framework.
      . Lots of preparation for an architectural overhaul of buffer swapping,
        required in the least to support future optimizations like nested
        bypass.
      . Added a new cursor: crosshair
      . Added support for 15/16-bit client pixel formats ("high colour").
      . Added a new client function to make picking the right pixel format
        for a given EGLConfig super simple: mir_connection_get_egl_pixel_format
      . Added application-not-responding detection
      . Added client API for specifying input region shape.
      . Fixed the remaining threading flaws identified by ThreadSanitizer and
        turned it on permanently for all continuous integration in future.
      . Added support for relative pointer motion events (e.g. for gaming).
    - Bug fixes:
      . Fix focus issues breaking autopilot tests entering text (LP: #1468029)
      . Fix mir tests failure on armhf with GCC5 (LP: #1478213)
      . mir_buffer_stream_swap_buffers_sync can hang constraints (LP: #1479899)
      . Loading libmirclient.so twice leads to a segfault in libmirprotobuf.so 
        (LP: #1391976)
      . Visible corruption in SDL apps (LP: #1460149)
      . MultiThreadedCompositor::destroy_compositing_threads hangs/deadlocks on
        shutdown or display reconfiguration  (LP: #1471909)
      . ctest/"make test" reports 100% tests pass even when some fail. 
        (LP: #1472911)
      . Mir server crashed - GLib-CRITICAL **: g_source_get_context: assertion
       'source->context != NULL || !SOURCE_DESTROYED (source)' failed
        (LP: #1473869)
      . USC crash on multimonitor unplug [std::exception::what: error during
        hwc prepare()] (LP: #1474891)
      . [regression] Input focus delay after switching app back into focus
        (LP: #1480654)
      . GLibMainLoopTest.propagates_exception_from_server_action fails with 
        GCC 5 in armhf (LP: #1482274)
      . [enhancement] Mir lacks relative mouse support (LP: #1276322)
      . ShmBuffer ignores pixel_format (LP: #1424909)
      . Fullscreen bypassed clients stutter with double buffers when other
        clients are running (LP: #1447896)
      . [regression] Demo servers crash on start-up if MIR_ENABLE_TESTS=OFF
        (LP: #1439078)
      . [regression] The software cursor has a rectangular shadow around it
        in mir_proving_server (LP: #1447911)
      . TestClientCursorAPI.cursor_passed_through_nested_server fails 
        intermittently (LP: #1462088)
      . [enhancement] Add support for high colour (15/16-bit colour) clients
        (LP: #1469673)
      . android-input logs are not flushed as soon as they happen (LP #1470204)
      . Android: rotated display config not applied when an external monitor
        is hot-plugged (LP: #1471858)
      . [regression] Clients are blocked in swap buffers when the screen turns
        off (LP: #1475120)
      . [regression] Some Mir EGL demos don't get bypassed any more in
        fullscreen (LP: #1480755)
      . [regression] Multi-finger gestures are often not detected as finished
        (LP: #1481570)
      . Connection error when no client-platform (drivers) installed is
        confusing (LP: #1473268)
      . Compositor report shows overlays ("bypass") is never used by
        mir_proving_server on Android, even for fullscreen surfaces
        (LP: #1474231)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 18 Aug 2015 21:42:12 +0000

mir (0.14.0+15.10.20150723.1-0ubuntu1) wily; urgency=medium

  [ Andreas Pokorny ]
  * Fix missing ABI renaming in Mirplatform
  * Bump Mirserver platform graphics to 3
  * Fix mirprotobuf ABI break
  * Fix g++-5.0 compilation (LP: #1475994)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 23 Jul 2015 16:33:09 +0000

mir (0.14.0+15.10.20150715-0ubuntu1) wily; urgency=medium

  [ Andreas Pokorny ]
  * New upstream release 0.14.0 (https://launchpad.net/mir/+milestone/0.14.0)
    - ABI summary: All clients and all servers need building;
      . Mirclient ABI bumped to 9
      . Mirserver ABI bumped to 32
      . Mircommon ABI bumped to 5
      . Mirplatform ABI bumped to 8
    - Enhancements:
      . mir_demo_server: tweaks, features and improvements 
      . More MirEvent-2.0 related changes and unifications
      . New SurfaceInputDispatcher to replace the android InputDispatcher
      . New Threaded dispatcher for Dispatchable added
      . Rework of the relationship of surfaces and buffer streams to allow
        attaching multiple buffer streams to a surface.
      . Preparation work for new buffer semantics
      . fd leaks in tests eliminated and leak check activated for unit and
        integration tests
      . Further TSAN reported issues removed
      . Preparation work for mir-on-x: splitting of mesa platform in common
        and KMS parts
      . Further rework of input stack focused on test infrastructure
      . Persistent id request for surfaces added
      . Integration-tests cleaning: switch tests to in-process server
      . A first end-to-end input test added in privileged-tests
      . "mesa" platform renamed to "mesa-kms" (LP: #1381330)
      . [enhancement] Mir servers should allow client connections only after
        server start-up has finished  (LP: #1451844)
      . build-dependency on g++-4.9 dropped (LP: #1452320)
    - Bug fixes:
      . Crash because uncaught exception in mir::events::add_touch 
        (LP: #1437357)
      . [vegetahd] android buffer allocator does consider hwc alignment
        constraints  (LP: #1461314)
      . [regression] Touch input does not work at all any more  (LP: #1464174)
      . Mir emits a mir_motion_action_hover_exit event before of a 
        mir_motion_action_pointer_down  (LP: #1419048)
      . [testsfail] NestedInput.nested_event_filter_receives_keyboard_from_host
        failure in CI  (LP: #1462033)
      . [testsfail] InputEvents.reach_nested_client in CI  (LP: #1463315)
      . [regression] titlebar in "canonical" example WM + KeyRepeatDispatcher
        causes deadlock  (LP: #1464690)
      . CI failure in
        TestClientInput.clients_receive_many_button_events_inside_window
        (LP: #1465231)
      . mir-client-platform-mesa-dev package dependency is incorrect
        (LP: #1465642)
      . Repeat input events keep being emitted even when user switches to
        different VT  (LP: #1465669)
      . libmirprotobuf's ABI can be broken when modifying protobuf message
        definitions  (LP: #1465883)
      . Spurious Failure in ClientLibrary.highly_threaded_client
        (LP: #1466492)
      . failure in CI in BufferStreamArrangement.arrangements_are_applied
        (LP: #1466594)
      . [arale] software buffers have flickering line artefacts  (LP: #1418035)
      . can't load app purchase UI without a U1 account  (LP: #1450377)
      . [arale] Software cursor appears slightly corrupt on arale (black
        spots in place of white)  (LP: #1451309)
      . [regression] Dragging windows by the titlebar is incredibly slow
        and laggy  (LP: #1454128)
      . [regression] Opacity controls (Alt+mousewheel) don't work any more
        (LP: #1454518)
      . [regression] No API for creating freestyle surfaces  (LP: #1457987)
      . [vivid-overlay] input-stub.so fails to load on i386  (LP: #1458689)
      . client API version has wrong version  (LP: #1461312)
      . abi-dump-base make target is broken  (LP: #1461697)
      . Stopping input in a nested server stops VT switching  (LP: #1465585)
      . Pointer events are not mapped to correct output by nested Mir
        (LP: #1465692)
      . Loading libmirclient.so twice leads to a segfault in libmirprotobuf.so
        (LP: #1391976)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 15 Jul 2015 12:05:19 +0000

mir (0.13.3+15.10.20150617-0ubuntu1) wily; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.13.3 (https://launchpad.net/mir/+milestone/0.13.3)
    - Bug fixes:
      . mir-client-platform-mesa-dev package dep is incorrect (LP: #1465642)
      . Avoid allocating mir protobuf message objects on stack (LP: #1465883)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 17 Jun 2015 20:02:15 +0000

mir (0.13.2+15.10.20150605-0ubuntu1) wily; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.13.2 (https://launchpad.net/mir/+milestone/0.13.2)
    - Bug fixes:
      . Wrong client API version (LP: #1461312)
      . Add quirk to force buffer width alignment on some devices (LP: #1461314)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 05 Jun 2015 17:51:40 +0000

mir (0.13.1+15.10.20150520.1-0ubuntu1) wily; urgency=medium

  * Bump upstream version number to add test binaries to orig tarball.
  * Do minimal porting required to prepare for building on ppc/ppc64el.
  * Disable testsuite on powerpc until big-endian porting is complete.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 03 Jun 2015 16:27:46 -0600

mir (0.13.1+15.04.20150520-0ubuntu1) vivid; urgency=medium

  [ Cemil Azizoglu ]
  * New upstream release 0.13.1 (https://launchpad.net/mir/+milestone/0.13.1)
    - ABI summary: No ABI break. Servers and clients do not need rebuilding.
      . Mirclient ABI unchanged at 8
      . Mircommon ABI unchanged at 4
      . Mirplatform ABI unchanged at 7
      . Mirserver ABI unchanged at 31
    - Bug fixes:
      . Can't load app purchase UI without a U1 account (LP: #1450377)
      . Crash because uncaught exception in mir::events::add_touch (LP: #1437357)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 20 May 2015 21:20:15 +0000

mir (0.13.0+15.04.20150512-0ubuntu1) vivid; urgency=medium

  [ Alan Griffiths ]
  * New upstream release 0.13.0 (https://launchpad.net/mir/+milestone/0.13.0)
    - Very large release as the previous 0.12 series contained only minimal
      bug fixes...
    - Enhancements:
      . New demo clients for input testing: mir_demo_client_eglsquare and
        mir_demo_client_target.
      . Demo clients: mir_demo_client_tooltip, mir_demo_client_animated_cursor
      . mir_demo_client_fingerpaint now processes input asynchronously to
        drawing for a more fluid experience.
      . New, default window manager in mir_demo_server
      . mir_demo_server option (--arw-file) to make socket filename globally rw
      . mir_demo_server demonstrates use of config file
      . Added support to mir_proving_server for rendering window title strings
      . Demo servers (mir_proving_server, mir_demo_server): Introduce support
        for Alt+` switching of windows in multi-window clients.
      . Added client API support for constructing input method surfaces.
      . Introduce "buffer streams" properly. This is a generalization of the
        most basic functionality of a surface.
      . Log useful OpenGL information on server start-up.
      . Add support for HWC 1.4
      . Add display and fencing information to the layers in the HWC report
      . Add a report_vsync method to display report
      . Support for second display when running on "android" driver stack
      . Server buffering strategy is configurable by --nbuffers=N
        (or environment MIR_SERVER_NBUFFERS=N)
      . Explicit support for configuring window management in libmirserver.
      . Remove surface configurator & placement strategy configuration points
      . Added experimental environment variable MIR_CLIENT_INPUT_RATE=Hz for
        tweaking the input resampling rate a client experiences (0 = off).
        Also raised the default input rate from 55Hz to 59Hz for visibly
        smoother touch scrolling.
      . Added keymap setting support for surfaces.
      . Improved automated testing of latency.
      . Replaced and rewrote automated ABI checking.
      . New client APIs for basic window management; setting window titles,
        self-resizing, size constraints and changing type.
      . Introduced dynamically loadable input platforms.
      . Work towards libinput integration
      . Added proof-of-concept support for Snappy packaging for Ubuntu Core.
      . Drop support for C++11. Now C++14 is required to build Mir.
      . Deprecated MirEventDelegate. Now you just pass the two fields as
        parameters directly to mir_surface_set_event_handler().
      . Legacy functions for creating surfaces marked deprecated
      . Minor redesign of the new input event API introduced in 0.10/11,
        so that identifiers are shorter and less convoluted.
      . Drop libmirclient dependency on client-platform drivers
      . Drop libmirserver dependency on client-platform drivers
      . Use the ABI version in platform library names and packages
      . Rework to reduce "abstraction leaks" in the graphics platform
      . Add thread sanitizer build option
      . Update KVM Instructions
      . Update CMAKE to use CMAKE_*_OUTPUT_DIRECTORY
    - ABI summary: Servers need rebuilding, but clients do not;
      . Mirclient ABI unchanged at 8
      . Mircommon ABI bumped to 4
      . Mirplatform ABI bumped to 7
      . Mirserver ABI bumped to 31
    - Bug fixes:
      . vivid fails to build Mir as of 2015-03-22: error: #warning "_BSD_SOURCE
        and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Werror=cpp]
        (LP: #1435127)
      . [regression] Mir servers freeze on startup (mouse and keyboard not
        responsive) (LP: #1444061)
      . [enhancement] Add support for video/HDMI output on Android
        (LP: #1296538)
      . [enhancement] Set custom cursors (LP: #1380463)
      . [regression] mali, powervr locks up with around the introduction or
        removal of a third overlay (LP: #1413211)
      . [regression] Client functions residing in libmircommon (LP: #1415321)
      . USC - mouse cursor on AMD graphics is drawing incorrectly (LP: #1417581)
      . [testsfail] SurfaceSwapBuffers.does_not_block_when_surface_is_not_composited
        fails in CI (LP: #1418002)
      . Compositing is triggered continously and needlessly when there are
        occluded surfaces with available buffers (LP: #1418081)
      . mir_demo_server doesn't emit hover_exit events (LP: #1418569)
      . SessionMediator locks mutexes in one thread and unlocks them in another
        (LP: #1427976)
      . ProtobufResponder::send_response_result race (LP: #1428402)
      . Some protobuf Closure objects can access dead objects (LP: #1433330)
      . valgrind on armhf fails with with many errors (LP: #1435186)
      . [regression] QtMir and USC can't build with lp:mir -
        fatal error: mir/events/event_builders.h (LP: #1436212)
      . [regression] mir_acceptance_tests.TestClientInput is hanging
        (LP: #1436644)
      . [regression] libmirclient crashes when calling
        mir_surface_set_event_handler() twice [InputTransport.cpp:110:
        android::InputChannel::InputChannel(const String8&, int): Assertion
        `false && "\"result != 0\""' failed.] (LP: #1438160)
      . [regression] Surfaces can't overlap screen edges any more (LP: #1438660)
      . losing touches in arale when home button is pressed (LP: #1439285)
      . [krillin] mirscreencast only creates a still picture, not a playable
        movie (LP: #1439549)
      . [regression] Unity8 doesn't detect input sent from USC with latest mir
        development code (LP: #1439719)
      . Intermittent CI failures in tests expecting created surfaces to have
        specific size (LP: #1440088)
      . [regression] [testsfail] failure in CI on
        SimpleDispatchThreadTest.keeps_dispatching_after_signal_interruption
        (LP: #1441620)
      . [android] Screencasting causes other clients to stop rendering
        (LP: #1441759)
      . Intermittent CI failures in
        MultiThreadedCompositor.does_not_block_in_start_when_compositor_thread_fails
        (LP: #1442020)
      . Flickering showing stale buffers on Krillin (LP: #1444047)
      . Acceptance tests link with static versions of client library and server
        components (LP: #1445473)
      . [regression] mir_acceptance_tests:
        TestClientCursorAPI.cursor_passed_through_nested_server is crashing most
        of the time (LP: #1447430)
      . [regression] Clients log verbose info on startup:
        "Loader: Loading module: ..." (LP: #1414883)
      . [enhancement] Missing client function for surface resizing
        (LP: #1420573)
      . [regression] [multimonitor] Clients (sometimes) run at double frame rate
        if overlapping two monitors. (LP: #1420678)
      . [enhancement] Need a client API to specify resize limitations
        (LP: #1421591)
      . [enhancement] Add surface morph client API (LP: #1422522)
      . The process for updating packaging for ABI changes is cumbersome and
        error-prone (LP: #1427207)
      . [regression] mir_acceptance_tests.NestedServer failure in clang CI
        (LP: #1430000)
      . DisplayConfigurationOutput.physical_size_mm is undefined/zero
        (LP: #1430315)
      . Dragging objects in a nested server or a client stutters slightly
        (LP: #1436192)
      . [regression] mir_proving_server: Super+N/Super+C does nothing now
        (LP: #1437166)
      . [regression] "Playground" event filters get registered twice
        (LP: #1437174)
      . [regression] <WARNING> Platform Probing: Failed to probe module.
        (LP: #1438536)
      . [regression] Move/resizing in mir_proving_server freezes if the cursor
        is outside the window (LP: #1438621)
      . [testsfail] CI failure in ClientLibraryErrorsDeathTest.
        creating_surface_synchronosly_on_malconstructed_connection_is_fatal
        (LP: #1438702)
      . Exceptions thrown due to EGL failures don't include EGL error codes
        (LP: #1444938)
      . Can't switch between sibling windows of multi-window apps (LP: #1445538)
      . [regression] specifying -DMIR_PLATFORM to one platform causes cmake
        failure (LP: #1447729)
      . mir_demo_server(_minimal): Can't move surfaces to overlap screen edges
        (LP: #1447882)
      . [regression] mir_demo_standalone_render_surfaces fails to start on
        krillin (LP: #1449198)
      . [regression] MIR_CLIENT_PERF_REPORT=log now shows "0" for the surface
        name (LP: #1415305)
      . Nested display leaks its EGLContext (LP: #1418910)
      . SimpleDispatchThreadTest.doesnt_call_dispatch_after_first_false_return
        fails when run repeatedly (LP: #1440005)
      . Surfaces are not properly released in CustomWindowManagement.
        state_change_requests_are_associated_with_correct_surface
        (LP: #1445418)
      . android reports that the gpu can only support 1 simultaneous output
        (LP: #1446304)
      . Support dynamic mouse cursor icons (LP: #1447839)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 12 May 2015 13:12:55 +0000

mir (0.12.1+15.04.20150324-0ubuntu1) vivid; urgency=medium

  [ Alexandros Frantzis ]
  * New upstream release 0.12.1 (https://launchpad.net/mir/+milestone/0.12.1)
    - Bug fixes:
      . [regression] mali, powervr locks up with around the introduction or
        removal of a third overlay (LP: #1413211)
      . USC - mouse cursor on AMD graphics is drawing incorrectly
        (LP: #1417581)
      . mir_demo_server doesn't emit hover_exit events (LP: #1418569)
      . SessionMediator locks mutexes in one thread and unlocks them in
        another (LP: #1427976)
      . ProtobufResponder::send_response_result race (LP: #1428402)
      . Some protobuf Closure objects can access dead objects (LP: #1433330)
      . DisplayConfigurationOutput.physical_size_mm is undefined/zero
        (LP: #1430315)
      . vivid fails to build Mir as of 2015-03-22: error: #warning
        "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
        [-Werror=cpp] (LP: #1435127)
      . valgrind on armhf fails with with many errors (LP: #1435186)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 24 Mar 2015 16:09:54 +0000

mir (0.12.0+15.04.20150228-0ubuntu1) vivid; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.12.0 (https://launchpad.net/mir/+milestone/0.12.0)
    - Packaging changes:
      . Client platform packages now include the Mir client platform ABI 
        number. Thusly, mir-client-platform-(mesa|android) is replaced by 
        mir-client-platform-(mesa|android)2
      . Server graphics platform packages now include the Mir graphics
        platform ABI number. Thusly, mir-platform-graphics-(mesa|android)
        is replaced by mir-platform-graphics-(mesa|android)1
    - ABI summary: Servers need rebuilding, but clients do not;
      . Mirclient ABI unchanged at 8
      . Mircommon ABI unchanged at 3
      . Mirplatform ABI unchanged at 6
      . Mirserver ABI bumped to 30
    - Bug fixes:
      . [regression] Platform libraries and packages are not versioned thus
        are not installable in parallel (LP: #1423591)
      . [regression] Deadlock in TimeoutFrameDroppingPolicy logic (LP: #1421255)
 
  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 28 Feb 2015 10:30:53 +0000

mir (0.11.0+15.04.20150209.1-0ubuntu1) vivid; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.11.0 (https://launchpad.net/mir/+milestone/0.11.0)
    - Packaging changes:
      . Due to changes in the Mir driver model the client platforms are no
        longer versioned by soname. Thusly libmirplatform5driver-(mesa|android) is
        replaced by mir-client-platform-(mesa-android). A new package
        mir-client-platform-mesa-dev is introduced containing headers
        previously in mirplatform-dev.
    - Enhancements:
      . Lots more major plumbing in the Android code, on the path to
        supporting external displays.
      . Add support for clang 3.6.
      . Major redesign of server classes in mir::shell,scene and friends
        (still in progress).
      . Added client API for creating dialogs and tooltips.
      . Added new surface states: mir_surface_state_hidden and
        mir_surface_state_horizmaximized.
      . Performance: Use optimally efficient fragment shading when possible.
      . Performance: (Desktop) Composite using double buffering instead of
        triple to reduce visible lag.
      . mir_proving_server: Can now resize windows from any edge or corner
        using the existing Alt+middlebuttondrag.
      . mir_proving_server: Added some demo custom shaders (negative and
        high contrast modes: Super+N/C).
      . mir_proving_server: Can now close clients politely via Alt+F4.
      . Added MirPointerInputEvent (part of the new input API, the old
        MirMotionEvent is still supported also for now).
    - ABI summary: Servers need rebuilding, but clients do not;
      . Mirclient ABI unchanged at 8
      . Mircommon ABI unchanged at 3
      . Mirplatform ABI bumped to 6
      . Mirserver ABI bumped to 29
    - Bug fixes:
      . [regression] mir_demo_server exits immediately with boost
        bad_any_cast exception (LP: #1414630)
      . need way to position menus and tooltips (relative positioning to
        parent) (LP: #1324101)
      . GLibMainLoopTest failure seen in CI (LP: #1413748)
      . Clang builds fail in CI (LP: #1416317)
      . segfault in mir::compositor::GLProgramFamily::Shader::init()
        (LP: #1416482)
      . GLRenderer: The default fragment shader is sub-optimal for alpha=1.0
        (LP: #1350674)
      . mesa::DisplayBuffer::post_update is triple buffered - more laggy than
        it needs to be (LP: #1350725)
      . Cannot connect to nested server when started from a differen vt
        (LP: #1379266)
      . [testfail] AsioMainLoopAlarmTest fails in CI (LP: #1392256)
      . Compositor report inconsistently reports frame time during bypass,
        and render time otherwise (LP: #1408906)
      . [regression] mir_demo_client_fingerpaint doesn't paint anything any
        more (with the mouse) (LP: #1413139)
      . Hardware cursor is always slightly ahead of the composited image
        (LP: #1274408)
      . integration tests are outputting (too many) DisplayServer log
        messages (LP: #1408231)
      . [regression] deploy-and-test.sh doesn't work any more (unless you
        have umockdev installed already) (LP: #1413479)
      . Color Inverse on display. Toggle Negative Image (LP: #1400580)
      . mir-ubuntu-vivid-armhf-ci fails consistently (LP: #1407863)
      . Double-buffered surfaces may lag or freeze if event driven and not
        constantly redrawing (LP: #1395581)
      . Pointer motion and crossing events are missing (LP: #1417650)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Feb 2015 21:27:35 +0000

mir (0.10.0+15.04.20150107.2-0ubuntu1) vivid; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.10.0 (https://launchpad.net/mir/+milestone/0.10.0)
    - Enhancements:
      . Added support for Android HWC 1.3 devices.
      . Plumbing/preparation to support external displays on Android devices.
      . Reduced build dependencies.
      . Client API: Added version macros.
      . Began work on automatic driver probing, to intelligently choose the
        best driver for you.
      . Demo shell (mir_proving_server): Added desktop zoom feature using
        Super + mouse wheel.
      . Demo renamed: mir_demo_server_shell -> mir_proving_server
      . Other demo servers merged into -> mir_demo_server
      . Wider support for display buffer pixel formats in the mesa driver, for
        wider hardware support.
      . Performance: On mesa/desktop at least; only hold compositor buffers
        for the duration of the render, instead of the duration of the frame.
        Following this change the compositor report can now finally report
        render time instead of frame time.
      . Mir now starts reliably when a TV is connected by HDMI, and up to
        4K resolution (2160p) is known to work.
      . Plenty more enhancements logged in the bugs list below.
    - ABI summary: Servers need rebuilding, but clients do not;
      . Mirclient ABI unchanged at 8
      . Mircommon ABI unchanged at 3
      . Mirplatform ABI bumped to 5 
      . Mirserver ABI bumped to 28
    - Bug fixes:
      . [regression] Mir servers (since 0.9) randomly crash in malloc due to
        heap corruption (LP: #1401488)
      . USC - mouse cursor on AMD graphics is drawing incorrectly
        (LP: #1391975)
      . Mir fails to start when a TV is connected by HDMI
        [std::exception::what: Invalid or inconsistent display configuration]
        (LP: #1395405)
      . Input/event driven clients may freeze indefinitely (LP: #1396006)
      . Mir server crashes with "std::exception::what: Failed to get front
        buffer object" when trying to fullscreen a surface (LP: #1398296)
      . Switching windows with a Trusted Prompt Session active loses the
        trusted prompt session (LP: #1355173)
      . CI test failure in multiple tests (LP: #1401364)
      . dh_install: usr/bin/mir_demo_server exists in debian/tmp but is not
        installed to anywhere (LP: #1401365)
      . [regression] demo-shell: Instead of moving surfaces they now fly
        off-screen (LP: #1403702)
      . [regression] Binaries are no longer runnable on other machines (or in
        other directories) (LP: #1406073)
      . [i865] unity-system-compositor fails to start: Failed to choose ARGB
        EGL config (LP: #1212753)
      . Mir's compositor holds buffers (blocking clients) for the duration of
        the frame, even when not necessary. (LP: #1264934)
      . Screen goes blank (black) briefly during display config changes which
        don't affect the display mode (LP: #1274359)
      . [enhancement] There should be a quit signal sent to sessions instead
        of killing them directly (LP: #1304257)
      . MirMotionEvent.action needs stronger typing (to MirMotionAction etc)
        (LP: #1311699)
      . CompositorReport as used by DefaultDisplayBufferCompositor can't
        measure render time (LP: #1350716)
      . Full screen (bypassed) surfaces (e.g. GLMark2Test) are missing frames
        and appear to freeze or judder with swap interval 0 (LP: #1379685)
      . Trusted prompts need to be part of the lifecycle (LP: #1384950)
      . [testfail] BasicThreadPool.recycles_threads in CI (LP: #1391488)
      . acceptance_tests are too chatty (LP: #1394221)
      . mir_connection_create_surface callback is sometimes called twice on
        error (LP: #1394873)
      . File descriptor leaks in tests using UsingStubClientPlatform
        (LP: #1395762)
      . DisplayLayout resizes a surface to 1x1 if you ask it to fullscreen a
        surface that's partially offscreen (LP: #1398294)
      . Surfaces can consume input events before they're visible.
        (LP: #1400218)
      . dpkg-shlibdeps: Lots of warnings about libmirplatformstub.so
        (LP: #1401373)
      . Leaks in death tests can cause subsequent tests in the same process to
        fail (LP: #1402160)
      . [regression] lintian: E: mir-demos: binary-or-shlib-defines-rpath ...
        (LP: #1406098)
      . [regression] Mir utils can't run from the build tree any more
        (LP: #1407557)
      . fd reception code is not exeception-safe when unexpected numbers of
        fds are received (LP: #1394362)
      . Mir reports vertical refresh rates slightly inaccurately (LP: #1407558)
      . [Enhancement] Add an API to lock surface orientation (LP: #1382209)
      . Bootloop with system language Turkish on the Nexus 4 (LP: #1398984)
      . Remove the implicit assumption that there every surface can be mapped
        to an input handle. (LP: #1216727)
      . When revealing hidden surfaces wait for them to become exposed before
        sending events which we expect them to receive (LP: #1407783)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Jan 2015 23:50:16 +0000

mir (0.9.0+15.04.20141125-0ubuntu1) vivid; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.9.0 (https://launchpad.net/mir/+milestone/0.9.0)
    - Enhancements:
      . New simpler API to configure and run a mir server.
      . The event loop is now based on GLib's main loop library instead of
        Boost.Asio.
      . For Android platforms, the server now sends buffer fence fds to its
        clients instead of potentially stalling the compositor thread waiting
        for them to be signalled.
      . New client debug interface to translate from surface to screen
        coordinates.
    - ABI summary: Servers need rebuilding, but clients do not;
      . Mirclient ABI unchanged at 8
      . Mircommon ABI bumped to 3
      . Mirplatform ABI bumped to 4
      . Mirserver ABI bumped to 27
    - Bug fixes:
      . Add a debug interface to translate from surface to screen coordinates
        (LP: #1346633)
      . Ensure a buffer requested by a surface is not delivered 
        after the surface is deleted (LP: #1376324)
      . Overlays are not displayed onscreen in some positions (LP: #1378326)
      . Server aborts when an exception is thrown from the main thread
        (LP: #1378740)
      . Fix race causing lost alarm notifications (LP: #1381925)
      . Avoid lifecycle notifications racing with connection release
        (LP: #1386646)
      . Improve error checking and reporting for the client library
       (LP: #1390388)
      . Mir demo-shell now detects power button using proper Linux scan codes
       (LP: #1303817)
      . A prompt session with an invalid application pid should be an error
        (LP: #1377968)
      . When XDG_RUNTIME_DIR is defined but pointing to a non-existing 
        directory use "/tmp" (LP: #1304873)
      . [regression] demo-shell bypass is not used on fullscreen surfaces if 
        there are windowed surfaces behind (LP: #1378706)
      . Mir upgrade through dist-upgrade installs incorrect platform
        (LP: #1378995)
      . Fix Mir progressbar example using internal glibc defines(LP: #239272)
      . Stop the default_lifecycle_event_handler raising SIGHUP while 
        disconnecting (LP: #1386185)
      . [regression] Mir fails to build with MIR_ENABLE_TESTS=OFF (LP: #1388539)
      . [regression] mir_demo_server_basic does not start (LP: #1391923)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Nov 2014 17:49:24 +0000

mir (0.8.0+14.10.20141010-0ubuntu2) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Wed, 19 Nov 2014 11:33:10 -0800

mir (0.8.0+14.10.20141010-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.8.0 (https://launchpad.net/mir/+milestone/0.8.0)
    - Enhancements:
      . Less sensitivity to ABI breaks - many headers unused by external
        projects are now hidden and not installed by -dev packaes. If you
        require any headers that are missing, just ask.
      . Touchspots: --enable-touchspots to servers; visually shows touch
        locations (warning: This affects performance LP: #1373692).
      . Client performance reporting: Any Mir client can now get accurate
        performance information (frame rate, render time, buffer lag etc)
        logged to stdout. Just set env MIR_CLIENT_PERF_REPORT=log
      . Further improved touch responsiveness, with less lag and smoother
        scrolling (so long as you don't enable touchspots).
      . Slightly faster builds using precompiled headers.
      . Turn hardware overlays on by default. When in use, this halves the
        CPU usage of a Mir server. Already enabled in unity-system-compositor.
      . More scripting to detect ABI breaks.
      . Improved src/ tree consistency (renamed "src/shared" to "src/common").
      . Improved fatal signal design: Changed from SIGTERM to SIGHUP delivered
        to clients on unexpected server disconnection.
      . Improved library/package design to allow concurrent installations
        of different Mir versions without conflicts.
      . Fd reception code is now common to client and server.
    - ABI summary: Servers need rebuilding, but clients do not;
      . Mirclient ABI unchanged at 8
      . Mircommon ABI bumped to 2
      . Mirplatform ABI bumped to 3
      . Mirserver ABI bumped to 26
    - API changes between Mir 0.7 and 0.8:
      . Lots of headers removed from the public SDK! We have only hidden
        headers not known to be used by any known projects. Please let us
        know if anything is missing - https://bugs.launchpad.net/mir/+filebug
      . graphics::Platform - interface changed significantly.
      . Lots of server API changes to support touchspots.
      . File descriptors now passed as type Fd instead of int32_t.
    - Bug fixes:
      . [regression] Mir deb packages with versioned names cannot be installed
        simultaneously any more (LP: #1293944)
      . A frozen client can hang the whole server (LP: #1350207)
      . QtMir FTBFS: fatal error: mir/input/input_channel.h: No such file or
        directory (LP: #1365934)
      . [regression] platform-api fails to build against Mir 0.8 (LP: #1368354)
      . Mir FTBFS with gcc 4.9.1-14 (utopic update):
        auto_unblock_thread.h:44:46: error: no matching function for call to
        ‘std::thread::thread(<brace-enclosed initializer list>)’ (LP: #1369389)
      . [regression] Compositing is jerky and stutters during touch events
        (LP: #1372850)
      . unit test fails: AndroidInputReceiverSetup.slow_raw_input_doesnt_cause_
        frameskipping (LP: #1373826)
      . intermittent hang in TestClientInput (LP: #1338612)
      . TestClientInput.scene_obscure_motion_events_by_stacking fails
        intermittently (LP: #1361757)
      . [regression] First frame is composited as black (even though the client
        has provided a non-black frame) (LP: #1362444)
      . Some mali drivers crash after repeatedly creating/destroying the mir
        compositor threads (LP: #1362841)
      . [android] SIGTERM to server with connected client causes crash
        (LP: #1364637)
      . [regression] acceptance tests fails in
        ServerDisconnect.causes_client_to_terminate_by_default (LP: #1364772)
      . [regression] symbol lookup error:
        /usr/lib/arm-linux-gnueabihf/libmirserver.so.24: undefined symbol:
        _ZTIN7android7RefBaseE (libmirserver 0.6.1 doesn't work with
        libmircommon 0.7.0) (LP: #1364890)
      . [regression] Mir FTBFS with g++-4.8 [error: ISO C++ forbids casting
        between pointer-to-function and pointer-to-object] (LP: #1366134)
      . Intermittent CI failure in DemoPrivateProtobuf.client_calls_server
        (LP: #1367353)
      . Overly strict libmirplatform* dependencies are blocking CI
        (LP: #1370866)
      . [regression] mir demo servers segfault on shutdown (LP: #1371619)
      . Nested server crashes with SIGSEGV on shutdown in eglDestroyContext()
        (LP: #1372276)
      . [regression] Moving/resizing clients in a nested server is very
        jerky/stuttery (LP: #1372300)
      . [regression] Bypass/overlays are toggling constantly (LP: #1373689)
      . [regression] Mir server uses too much CPU during touch scrolling
        (LP: #1373809)
      . Intermittent test failures in TestClientCursorAPI.* (LP: #1342567)
      . clang emits lots of warnings about lttng headers (LP: #1348472)
      . [enhancement] Draw input event location (LP: #1323522)
      . demo shell: Keep colours consistent, regardless of the physical pixel
        format of your framebuffer (LP: #1375660)
      . tests: Fix SharedLibraryProber test runs on i386. (LP: #1375829)
      . Touchspots rendered as squares on some devices (LP: #1373698)
      . The headers needed to use features shown in the acceptance tests are
        not published (LP: #1375301)
      . update-all-ABI-sha1sums.sh and install_on_android.sh are no longer
        executable. (LP: #1376547)
      . Fix arm64 package by adding arm64 to the shared library prober test.
        (LP: #1379478)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 14:01:26 +0000

mir (0.7.3+14.10.20140918.1-0ubuntu1) utopic; urgency=medium

  [ Andreas Pokorny ]
  * New upstream release 0.7.3 (https://launchpad.net/mir/+milestone/0.7.3)
    - Bug fixes
      . Fix constructor syntax errors (LP: #1369389)
      . server: Workaround for unresponsive clients causing the server to hang 
        (LP: #1350207)
      . Relax strict dependencies of graphics drivers on an exact version
        of the libmirplatform2 package. It's blocking CI. (LP: #1370866)
      . Update cmake scripts to current version of gcovr.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Sep 2014 14:54:51 +0000

mir (0.7.2+14.10.20140912-0ubuntu1) utopic; urgency=medium

  [ Alexandros Frantzis ]
  * New upstream release 0.7.2 (https://launchpad.net/mir/+milestone/0.7.2)
    - Bug fixes
      . Restore support for gcc-4.8/trusty (LP: #1366134)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 09:07:49 +0000

mir (0.7.1+14.10.20140909.1-0ubuntu1) utopic; urgency=medium

  [ Alberto Aguirre ]
  * New upstream release 0.7.1 (https://launchpad.net/mir/+milestone/0.7.1)
    - Bug fixes
      . Recycle compositor threads by using a thread pool (LP: #1362841) 

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Sep 2014 18:28:01 +0000

mir (0.7.0+14.10.20140829-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.7.0 (https://launchpad.net/mir/+milestone/0.7.0)
    - Enhancements:
      . Test suite: Reworked mechanism to override Mir client functions
      . Demo shell: Detect custom rendering (decorations) to make it
        compatible with overlay optimizations
      . Make sure to preserve fd resources until the end of the sending
        of the message
      . Add test cases and script for tracking changes to the new ABIs:
        libmircommon, libmirplatform
      . Symbols file for libmirplatform
      . Symbols file for libmircommon
      . Symbols file for libmirserver
      . Various improvements to the SessionMediator test
      . Various build related improvements
      . Print testcase output during package build
      . Abort test when InProcessServer startup fails
      . Link the integration and unit tests against the server objects
      . Add a document detailing the useful tests to run and the useful
        logs to collect when troubleshooting a new android chipset
      . Enable motion event resampling and prediction for a more responsive
        touch experience.
    - ABI summary: Servers need rebuilding, but clients do not
      . Mirclient ABI unchanged at 8
      . Mircommon ABI bumped to 1
      . Mirplatform ABI bumped to 2
      . Mirserver ABI bumped to 25
    - API changes between Mir 0.6 and 0.7:
      . mirserver: Deleted function - frontend::Shell::create_surface_for().
        If you have the std::shared_ptr<frontend::Session> session, you can
        just do session->create_surface(params) instead to get a SurfaceId.
      . mirplatform: class BufferID has been replaced with a typedef. Also,
        the BufferIPCPacker interface has changed slightly [pack_fd()].
    - Bug fixes:
      . Ensure we process lifecycle events before the nested server is torn
        down (LP: #1353465)
      . Fix race in InputTestingServerConfiguration (LP: #1354446)
      . Fix fd leaks in prompt session frontend code and tests (LP: #1353461)
      . Detect the additional things the demo shell draws on the renderable
        list and avoid calling the optimized post function if they are being
        drawn (LP: #1348330)
      . Client: Fix SIGTERM dispatch in our default lifecycle event handler
        (LP: #1353867)
      . DemoRenderer: Don't try to create a texture of width zero. 
        (LP: #1358210)
      . Fix CI failures (LP: #1358698)
      . Fix build failure: "variable ‘rc’ set but not used" which happens in
        release mode when NDEBUG is set (LP: #1358625)
      . Only enumerate exposed input surfaces to avoid delivering events to
        occluded surfaces (LP: #1359264)
      . Android: do not post driver cancelled buffers (LP: #1359406)
      . Client: Ensure our platform library stays loaded for as long as it is
        needed by other objects (LP: #1358191)
      . Examples: Register the DemoCompositor with the Scene to properly
        process visibility events (LP: #1359487)
      . mir_demo_client_basic: Don't assert on user errors like failing to
        connect to a Mir server (LP: #1331958)
      . Tests: Explicitly depend on GMock target to avoid build races
        (LP: #1362646)
      . Some Mir clients spin at 100% CPU if the server dies (LP: #1340120)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Aug 2014 16:12:54 +0000

mir (0.6.1+14.10.20140814-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.6.1 (https://launchpad.net/mir/+milestone/0.6.1)
    - Bugs fixed:
      . libmircommon-dev 0.6.0+14.10.20140811-0ubuntu1 fails to
        install/upgrade, does not replace mircommon-dev
        0.5.1+14.10.20140728-0ubuntu1 (LP: #1348515)
      . Nexus 4 client lock up observed (LP: #1352883)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 22:34:18 +0000

mir (0.6.0+14.10.20140811-0ubuntu1) utopic; urgency=medium

  [ Cemil Azizoglu ]
  * New upstream release 0.6.0 (https://launchpad.net/mir/+milestone/0.6.0)
    - mirclient ABI unchanged at 8. Clients do not need rebuilding.
    - mirserver ABI bumped to 24. Servers need rebuilding, but probably don't
      need modification:
      . Host lifecycle event listener for nested servers introduced.
      . Add query function to BasicSurface.
      . The (deprecated) function the_ipc_factory() is now removed.
      . Removed legacy support for overriding the focus controller or the
        frontend shell.
      . Added support for a common type for managing fd's.
      . Moved testdraw library to examples directory.
      . Added support for droping stale frames when a surface becomes exposed.
    - Enhancements:
      . Split underlying data transport out of MirSocketRpcChannel.
      . Introduced two new client-side functions : mir_surface_get_focus and
        mir_surface_get_visibility.
      . Added symbolic names for cursors.
      . Made "shared" code a true shared library.
      . Provide linker scripts to control symbols exported by [mesa|android]
        libmirclientplatform.
      . Correct xcursor loader test to fail properly instead of segfaulting.
      . Make mir::Fd type copy constructible.
      . Miscellaneous packaging related enhancements.
      . Miscellaneous build related enhancements.
      . Added automated test cases for detecting ABI breakage.
      . examples/fingerpaint: Enable frame dropping so it's faster and more
        responsive.
      . mirprotobuf folded into new libmircommon.
      . Don't propagate exceptions to graphics driver code.
      . Dropped unused/minimally used dependencies : boost-filesystem,
        boost-thread, boost-chrono, boost-regex.
      . platform: provide support for customizing Mir's behavior when a
        fatal_error occurs.
      . Expose an interface for touch visualization.
    - Bugs fixed:
      . Mir servers crash with SIGABRT - assertion failed at
        buffer_queue.cpp:136 - "!pending_client_notifications.empty()"
        (LP: #1335481)
      . [regression][hammerhead] Mir fails to start on Nexus 5 & 10 as it
        fails to turn vsync signal on (LP: #1345533)
      . [qtcomp] Random crash in Mir input when running AP tests: [terminate
        called after throwing an instance of '...' what(): assign: File exists]
        when constructing a mir::AsioMainLoop::FDHandler (LP: #1346952)
      . CI builds fail when trying to install libmircommon-dev (LP: #1348518)
      . [regression] Mir 0.6 GL clients crash immediately on startup (Mesa is
        trying to use X11 instead of Mir) (LP: #1350163)
      . qmlscene crashed with SIGSEGV in _M_release() on quit (LP: #1342694)
      . Clients cannot create surfaces when the screen is off (LP: #1344024)
      . The packaging of headers and libraries is confused (LP: #1347522)
      . [regression] Intermittent CI failure in
        ClientLibrary.receives_surface_dpi_value (LP: #1348095)
      . Installing mir-demos also unexpectedly installs *-dev packages
        (LP: #1297100)
      . mir_unit_tests: XCursorLoader.loads_cursors_from_testing_theme crashes
        on N4 (LP: #1342029)
      . [performance] Mir is spending at least 8% of its time in
         __android_log_print() (LP: #1343074)
      . [performance] Mir demo shell spends ~12% of its time in vector
        allocation under DemoRenderer::tessellate_*() (LP: #1349698)
      . mir_client_library_debug.h functions do not have C linkage
        (LP: #1349742)
      . mir client API is missing getters for some surface attributes
        (LP: #1336553)
      . Building Mir outputs lots of warnings about Android logging functions
        in 3rd_party/ (LP: #1348467)
      . The "shared" code should be a shared library (LP: #1341502)
      . Finish the removal of mirprotobuf library (LP: #1351133)
      . Release overlay buffers when screen is turned off (LP: #1350961)
      . mir_demo_server_shell --disable-overlays false renders incorrectly
        on android (partial fix for LP: #1348330)
      . Remember to honor MIR_ENABLE_TESTS and not emit tests if it's disabled
        (LP: #1352800)
      . Make it easier to separate command line options used by Mir from those
        used elsewhere (LP: #1351255)
      . Expose create_native_platform in libmirplatformgraphics.so
        (LP: #1353658)
      . Add versioning and pkg config to libmirplatform (LP: #1293944)
      . unity-system-compositor FTBFS against Mir: undefined reference to
        `...@MIR_CLIENT_8' (LP: #1355021)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 11 Aug 2014 19:52:06 +0000

mir (0.5.1+14.10.20140728-0ubuntu1) utopic; urgency=medium

  [ Kevin Gunn ]
  * Fixed: Crash due to racing input registration & surface removal
    (LP: #1346952)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Jul 2014 02:49:50 +0000

mir (0.5.0+14.10.20140724-0ubuntu1) utopic; urgency=medium

  [ Kevin Gunn ]
  * Fixed: Crashing on assert of empty client notification queue (LP: #1335481)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 24 Jul 2014 08:22:05 +0000

mir (0.5.0+14.10.20140722-0ubuntu1) utopic; urgency=medium

  [ Kevin Gunn ]
  * Fixed: [regression] Mir fails to start on Nexus 5 / Nexus 10 (LP: #1345533)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 22 Jul 2014 02:17:22 +0000

mir (0.5.0+14.10.20140717-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.5.0 (https://launchpad.net/mir/+milestone/0.5.0)
    - mirclient ABI unchanged at 8. Clients do not need rebuilding.
    - mirserver ABI bumped to 23. Servers need rebuilding, but probably don't
      need modification:
      . DefaultServerConfiguration/Cursor API: Cursor interfaces changed, most
        notably CursorImages moved from ::mir::graphics to ::mir::input.
      . DefaultServerConfiguration: New "prompt" API.
      . DefaultServerConfiguration: "clock" member is now static.
      . SessionAuthorizer: New functions.
      . ServerConfiguration: New function added: the_prompt_connector().
    - Enhancements:
      . Add AddressSanitizer cmake build type.
      . frontend, client API, tests: add support for prompt session
        permissions and for client detecting errors.
      . server: Ensure our emergency cleanup handling infrastructure is
        signal-safe.
      . Implement and enable an xcursor based image loader for cursors.
      . Fix warnings raised by the new g++-4.9.
      . shared, scene: Introduce a generic listener collection.
      . MirMotionEvent: Define a struct typedef to allow for
        pointer_coordinates to be used individually.
    - Bugs fixed:
      . Nexus 10 leaks during overlay operations (LP: #1331769)
      . MultiThreadedCompositor deadlocks (LP: #1335311)
      . Intermittent test failure in ClientSurfaceEvents can client query 
        orientation (LP: #1335741)
      . Intermittent test failure in ClientSurfaceEvents/OrientationEvents
        (LP: #1335752)
      . Intermittent memory error in ClientSurfaceEvents on
        orientation query (LP: #1335819)
      . mir_unit_tests.EventDistributorTest.* SEGFAULT (LP: #1338902)
      . [regression] Device locks randomly on welcome screen (LP: #1339700)
      . Intermittent deadlock when switching to session with custom display
        config & closing other session (LP: #1340669)
      . Mir cursor has no hotspot setting, assumes (0, 0) (LP: #1189775)
      . clang built mir_unit_tests.ProtobufSocketCommunicatorFD crashes
        intermittently (LP: #1300653)
      . g++-4.9 binary incompatibilities with libraries built with g++-4.8
        (LP: #1329089)
      . [test regression] SurfaceLoop fails sporadically on deleting surfaces
        for a disconnecting client (LP: #1335747)
      . Intermittent test failure ServerShutdown when clients are blocked
        (LP: #1335873)
      . [regression] mir_demo_client_multiwin is displayed with obviously
        wrong colours (LP: #1339471)
      . Partially onscreen surfaces not occluded when covered by another
        surface (LP: #1340078)
      . SurfaceConfigurator::attribute_set always say "unfocused" for focus
        property changes (LP: #1336548)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 07:58:53 +0000

mir (0.4.1+14.10.20140714-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * Bug fix release 0.4.1 (https://launchpad.net/mir/+milestone/0.4.1) fixes:
    - [regression] Device locks randomly on welcome screen (LP: #1339700)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Jul 2014 13:13:37 +0000

mir (0.4.0+14.10.20140701.1-0ubuntu1) utopic; urgency=medium

  * New upstream release 0.4.0 (https://launchpad.net/mir/+milestone/0.4.0)
    - mirclient ABI bumped to 8. Clients need rebuilding.
      . Add surface attribute for visibility.
      . Add surface orientation API.
    - mirserver ABI bumped to 22. Shells need rebuilding.
      . Change compositor::Scene to expose compositor::SceneElements instead
        of graphics::Renderables.
      . Change various input and Surface classes to support the client cursor
        API.
      . Support unregistering fd handlers in the EventHandlerRegister and
        related interfaces (MainLoop).
      . server: Change mc::Scene to deal in mc::SceneElements instead of
        mg::Renderables.
      . Add visibility tracking to mc::SceneElement interface and
        implementations.
      . Move InputChannelFactory into DefaultServerConfiguration.
    - Unregister FD Handler from EventHandlerRegister.
    - Sending user input events through Surfaces.
    - Allow setting the orientation of a server surface.
    - Enable client cursor API.
    - Enable support for USB touchscreens.
    - Various test improvements.
    - Bugs fixed:
      . can't display toolbar after dismissing it (LP: #1332632)
      . [regression] demo client connection crashes the server (LP: #1334010)
      . demo server locks up in certain scenarios with --disable-overlays
        false when starting/stopping second clients (LP: #1329868)
      . MultiThreadedCompositor deadlocks (LP: #1335311)
      . Intermittent memory error in
        ClientSurfaceEvents.client_can_query_current_orientation (LP: #1335819)
      . Intermittent hang & fail in mir_acceptance_tests.TestClientCursorAPI.*
        (LP: #1332011)
      . MirClientSurfaceTests tests leak fds and eventually hang when ran
        repeatedly (LP: #1333673)
      . [testfail] Intermittent "Invalid read" in MirSurfaceSwapBuffersTest.
        swap_buffers_does_not_block_when_surface_is_not_composited
        (LP: #1334287)
      . android: support alpha blending during hwc overlay (LP: #1329879)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Jul 2014 15:54:36 +0000

mir (0.3.0+14.10.20140618.1-0ubuntu1) utopic; urgency=medium

  [ Cemil Azizoglu ]
  * New upstream release 0.3.0 (https://launchpad.net/mir/+milestone/0.3.0)
    - mirclient ABI unchanged, still at 7. Clients do not need rebuilding.
    - mirserver ABI bumped to 21. Shells need rebuilding.
      . Divide swap_client_buffers into separate functions.
      . Allow buffer swapping even when compositor is turned off or blocked.
        (LP: #1308843, 1308844)
      . Wire the cursor client API through the session mediator to the surface
        observer.
      . Generate destination alpha for alpha enabled display buffers.
      . Named threads.
      . Support for prompt sessions :
        https://wiki.ubuntu.com/Security/TrustStoreAndSessions.

    - mirscreencast screenshots now produce images with correct color instead
      of transparency.
    - Rename bind_to_texture->gl_bind_to_texture.
    - Refinements in test infrastructure.
    - Phablet: allow disabling the overlays via a command line switch.
    - Unify the DisplayBuffer interface's optimization functions
      behind post_renderables_if_optimizable.
    - Clean up the DisplayDevice interface so that it doesn't require the
      functions are called in any particular order.
    - Phablet:  graphics: android: preserve buffer ownership for onscreen
      overlay layers until the subsequent display posting.
    - Allow the platform to register emergency cleanup handlers in order to
      restore the graphics system to a sane state when the server fails
      abruptly.

    - Bugs fixed:
       . Mirscreencast outputs translucency instead of shadows, producing
         incorrect images. (LP: #1301210)
       . JSON formatting. (LP: #1324902)
       . Fix input_area_contains to work properly in global coordinates even
         when input_rectangles is updated. (LP: #1261647)
       . Allow a moment for clients to acquire a buffer. (LP: #1317370)
       . Generate correct alpha by changing blending equation to assume
         pre-multiplied alpha sources. (LP: #1318852)
       . Rework the recomposition messaging so that the DisplayBufferCompositor
         is no longer involved. (LP: #1319907)
  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Jun 2014 17:51:53 +0000

mir (0.2.0+14.10.20140605-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.2.0 (https://launchpad.net/mir/+milestone/0.2.0)
    - mirclient ABI unchanged, still at 7. Clients do not need rebuilding.
    - mirserver ABI bumped to 20. Shells need rebuilding.
      . Cursor::set_image() parameters changed.
      . Display::the_cursor() renamed to Display::create_hardware_cursor()
      . Platform::create_display() requires a new parameter; gl_program_factory
      . Renderable::buffer() no longer accepts any parameter at all. Multi-
        monitor frame sync is guaranteed in other ways now.
      . Scene::generate_renderable_list() renamed to renderable_list_for(id)
        where id is an opaque compositor ID of your choosing.
      . Scene::set_change_callback() replaced by the more generic:
        add_observer() and remove_observer() functions.
      . Added default implementation for SceneObserver.  
      . SessionCreator renamed to ConnectionCreator.
      . ConnectedSessions renamed to Connections.
      . ProtobufSessionCreator renamed to ProtobufConnectionCreator.
      . SessionAuthorizer: pid_t parameters replaced by SessionCredentials.
      . Massive architectural changes to Input-everything.
      . Surface no longer implements Renderable, but emits one via
        compositor_snapshot().
      . Pass the full renderable list to Renderer::render().
      . Graceful handling of exceptions thrown from server threads.
      . Clarify size position interfaces in the Surface classes.
      . Plumbing for trusted sessions.
      . Allow posting and managing custom main-loop actions.
      . Timer extension.
      . Identify client process when client connects to Mir not when socket
        connects.
      . Use the ServerActionQueue for display config.
      . Recomposition signal moved to the MultiThreadedCompositor.
      . Make timer service replaceable.
      . Clarify assumptions about how many buffers a client can fill without
        blocking.
      . Introduce EmergencyCleanup interface.
    - Demo shell enhancements:
      . You can now change graphics modes on the fly using Ctrl+Alt+(-/=).
        To reset to the preferred mode use Ctrl+Alt+0.
      . The above mode changing as well as existing screen rotation keys
        (Ctrl+Alt+arrows) are now per-display; only applied to the monitor
        the mouse pointer is on.
      . New shell controls documented.
    - A new testing category, performance test, was introduced. It currently
      runs glmark2-es2 and compares the result to a minimum threshold. 
    - MIR_VERSION_MINOR is tied to MIRSERVER_ABI in the sense that a change
      in the former now requires dependent projects that a rebuild is 
      necessary.
    - SwitchingBundle was replaced by BufferQueue.
    - Expand credentials to include uid/gid for session authorizer.
    - Bypass control is now Mesa-specific and tied to the command line options.
      So the environment variable MIR_BYPASS has changed to MIR_SERVER_BYPASS.
    - Ongoing architectural changes in the compositor/renderer logic to
      prepare for overlay support, and to reduce locking overhead.
    - Made InputDispatcher replaceable.
    - Progress made on new cursor interfaces with the end goal of client and
      toolkit control of the mouse cursor appearance. More work required.
    - Updated cross-compile docs and scripts to support the latest utopic
      devel images.
    - Replaced uses of android::sp with std::shared_ptr.
    - Client cursor API infrastructure.
    - Enabled eglSwapInternal(0).
    - Make texture caching algorithm reuseable.
    - Add a DPI surface attribute.
    - Exclude arm64 from build.
    - Bugs fixed:
      . Mir doesn't install cleanly if docs are not built. (LP: #1304271)
      . Unity-system-compositor crashed [what(): Failed to set DRM crtc].
        (LP: #1294510)
      . [regression] unity8 fails to load libmirplatformgraphics
        (undefined symbol: _ZN3mir8graphics9GLProgramD1Ev). (LP: #1317200)
      . [regression] unity8 rendering artifacts. (LP: #1317260)
      . [regression] [BufferQueue] 
        BufferQueueTest.compositor_never_owns_client_buffers occasionally
        crashes with: what(): unexpected release: buffer was not given to
        compositor. (LP: #1317801)
      . Hardcoded size for serialization buffers is neither reliable nor
        secure. (LP: #1320187)
      . [regression] [BufferQueue] mir does not composite last client given
        buffer. (LP: #1321861)
      . [regression] stale frame on seen on greeter when screen is unblanked
        and toolkit/apps are laggy/throttled. (LP: #1321886)
      . [regression] [BufferQueue] current_buffer_users vector memory usage
        grows unbounded. (LP: #1317808)
      . Intermittent test failures in 
        CustomInputDispatcherFixture.custom_input_dispatcher_receives_input.
        (LP: #1318587)
      . [regression] [BufferQueue] Race condition in 
        BufferQueue::compositor_acquire could underflow shared_ptr refcount and
        delete prematurely, crash. (LP: #1318632)
      . Overflow in 
        mir::client::rpc::MirSocketRpcChannel::receive_file_descriptors as
        reported by address sanitizer. (LP: #1320821)
      . [regression] [input] Scroll events are now always zero: 
        event.motion.pointer_coordinates[0].vscroll. (LP: #1321077)
      . CI failures in CustomInputDispatcherFixture
        .custom_input_dispatcher_gets_started_and_stopped. (LP: #1321215)
      . [regression] Mir cursor vanishes after switching VTs. (LP: #1323225)
      . Server library links against libmirserverlttng. (LP: #1323317)
      . [DRM/GBM] Killing (or crashing) Mir often leaves the screen blank and
        difficult to recover. (LP: #1189770)
      . Frame rates of GL clients are limited to 60Hz on Android, even with
        swapinterval=0. (LP: #1206400)
      . mir_surface_is_valid(NULL) crashes instead of returning false.
        (LP: #1248474)
      . [regression] tests/unit-tests/shell/test_mediating_display_changer.cpp
        is not compiled and executed. (LP: #1312832)
      . Android platform does not reset the compositionType to HWC_FRAMEBUFFER
        before prepare() on every frame. (LP: #1314399)
      . The client process is identified when the socket connects, not when the
        client connects to Mir. (LP: #1314574)
      . [regression] Clients can't acquire multiple buffers any more.
        (LP: #1315302)
      . [regression] Enabling SwitchingBundleTest 
        DISABLED_synchronous_clients_only_get_two_real_buffers now crashes with
        no usable stack trace. It used to only fail. (LP: #1315312)
      . [regression] [BufferQueue] double-buffered client freezes as no buffer
        is returned on compositor_release. (LP: #1319765)
      . Uninitialized mem in OutputBuilder.hwc_version_11_success.
        (LP: #1312867)
      . [enhancement] In the tests make it possible to get a
        DefaultConfiguration initialized from the command line (LP: #1316987)
      . ci train blocked due to missing arm64 libandroid-properties-dev.
        (LP: #1323504)
  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 05 Jun 2014 14:02:57 +0000

mir (0.1.9+14.10.20140430.1-0ubuntu1) utopic; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.1.9 (https://launchpad.net/mir/+milestone/0.1.9)
    - mirclient ABI unchanged, still at 7. Clients do not need rebuilding.
    - mirserver ABI bumped to 19. Shells need rebuilding.
    - More libmirserver class changes and reorganization, including;
      . Moving things from shell:: to scene::
      . Rewriting/refactoring surface factories.
    - Added an id() to Renderable.
    - Scene/Renderer interfaces:
      . Scene is no longer responsible for its own iteration (no for_each
        any more). Instead you should iterate over the list returned by
        Scene::generate_renderable_list().
    - Bugs fixed:
      . Stale socket issue. (LP: #1285215)
      . Qt render gets blocked on EGLSwapBuffers. (LP: #1292306)
      . Lock order violated found in helgrind (potential deadlock). 
        (LP: #1296544)
      . [regression] SwitchingBundle in framedropping mode can hang. 
        (LP: #1306464)
      . [DPMS] Display backlight turns back on almost immediately after
        being turned off. (LP: #1231857)
      . Wrong frame is seen on wake up/resume/unlock. (LP: #1233564)
      . Nested platform is not testable (LP: #1299101)
      . [regression] mir_demo_server_shell crashes on display resume. 
        (LP: #1308941)
      . Multi-threaded composition is actually mostly serialized by
        SurfaceStack::guard. (LP: #1234018)
      . Mirscreencast slows down compositing and makes it very jerky. 
        (LP: #1280938)
      . Mirscreencast can cause clients to render faster than the screen
        refresh rate. (LP: #1294361)
      . Screen turns on when a new session/surface appears. (LP: #1297876)
      . mir-doc package is >56MB in size, expands to >100MB of files. 
        (LP: #1304998)
      . [regression] Clang: 'mir::test::doubles::MockSurface::visible'
        hides overloaded virtual function [-Woverloaded-virtual]. 
        (LP: #1301135)
      . [regression] GLRenderer* unit tests have recently become noisy. 
        (LP: #1308905)
      . FocusController::set_focus_to() no longer seems to raise a session
        to the top. (LP: #1302689)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Apr 2014 13:26:58 +0000

mir (0.1.8+14.04.20140411-0ubuntu1) trusty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.1.8 (https://launchpad.net/mir/+milestone/0.1.8)
    - mirclient ABI unchanged, still at 7. Clients do not need rebuilding.
    - mirserver ABI bumped to 18. Shells need rebuilding.
    - Server API changes affecting shells:
      . GLRenderer::tessellate() changed syntax.
      . graphics::Platform::create_display() has a new parameter allowing you
        to customize the compositor's (E)GL configutation.
      . Renderable::buffer(unsigned long frameno) is now:
        Renderable::buffer(void const* user_id). See below.
      . Renderable::should_be_rendered_in() is replaced by a more natural:
        Renderable::visble()
      . input::Surface::name() returns by value instead of reference now,
        to ensure future thread safety.
    - Switched EventHub device enumeration and hotplug to Udev. NOTE! This
      means mir_test_* can't run natively on touch devices any more without
      some setup first:
        sudo mount -o remount,rw /
        sudo apt-get update
        sudo apt-get install -y umockdev
        umockdev-run -- bin/mir_unit_tests
    - Added logging for HWC events.
    - Continued consolidation of Surface classes toward a simpler architecture.
    - Introduced "RenderableList" as the way to sample the Scene contents,
      and started using that in the default compositor.
    - Introduced physical length units and conversion (geometry::Length) in
      preparation for arbitrary DPI rendering.
    - Added some decorations to demo-shell; shadows and basic title bars, all
      anti-aliased and high-DPI scalable.
    - Multi-monitor frame sync has been redesigned to eliminate the need for
      frame number tracking.
    - Bugs (and enhancements) resolved:
      . [enhancement] Please move input detection to libudev (LP: #1237784)
      . [enhancement] Add a clamping resize mode to GLRenderer (LP: #1259887)
      . [regression] Intermittent loss of multimonitor frame sync
        (LP: #1290306)
      . [enhancement] Make GL config options configurable (LP: #1290780)
      . memcheck-test doesn't test anything when DISABLED_GTEST_DISCOVERY is
        enabled (LP: #1291876)
      . "Error opening DRM device" is always followed by "Unknown error -(some
        negative number)" (LP: #1292384)
      . Rendering/composition gets stopped early (LP: #1293896)
      . Ubuntu Touch Settings and terminal apps are not rendering correctly on
        rotate. (LP: #1294048)
      . [regression] Apps are much slower to open (LP: #1294051)
      . Settings app opens to a blank screen unless given enough time to render
        or the app is touched (LP: #1294053)
      . TestClientInput/DemoPrivateProtobuf memory leak is causing regular CI
        test failures (LP: #1295231)
      . OSK touch events "fall through" and hit surface behind them
        (LP: #1297878)
      . [enhancement] add a test for composite of last client post
        (LP: #1298596)
      . [regression] Surfaces vanish as soon as their edges touch the edge of
        screen (LP: #1301115)
  * Cherry-picked from future release 0.1.9:
    - Bug fix: mirplatformgraphics does not have boost program options in its
      symbol table (LP: #1301040)
    - Bug fix: unity8 crashed with SIGSEGV in glDeleteTextures() from
      mir::scene::GLPixelBuffer::~GLPixelBuffer() from
      mir::scene::ThreadedSnapshotStrategy::~ThreadedSnapshotStrategy()
      (LP: #1256360)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Apr 2014 21:03:54 +0000

mir (0.1.7+14.04.20140318-0ubuntu1) trusty; urgency=low

  [ Alberto Aguirre ]
  * Fix not compositing the client's last posted buffer (LP: #1294048,
    LP: #1294051, LP: #1294053, LP: #1290306) In single-display cases
    the number of ready buffers decreases after a buffer is acquired by
    the rendering operator. Determine if there will be uncomposited
    buffers before acquiring a buffer so it works for single and multi
    display use cases. (LP: #1294048, #1290306, #1294051, #1294053)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 18:38:01 +0000

mir (0.1.7+14.04.20140317.1-0ubuntu1) trusty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.1.7 (https://launchpad.net/mir/+milestone/0.1.7)
    - mirserver ABI bumped to 17
    - mirclient ABI unchanged, still at 7. Clients do not need rebuilding.
    - Server API changes (AKA why doesn't my code build any more?):
      . Class "CompositingCriteria" has been removed. It's replaced by the more
        flexible "Renderable" interface. This also resulted in parameter
        changes for the Renderer and scene filtering classes.
      . The function "DisplayConfiguration::configure_output()" has been
        removed. Instead, please use the new mutable version of
        "DisplayConfiguration::for_each_output()" with which you can modify
        the output structure passed in on each iteration.
      . Exposed formerly private class "GLRenderer" and demonstrated how
        to override its behaviour in demo-shell. This area is under
        construction and may experience further major changes.
    - Added initial support for hardware (HWC) overlays to accelerate
      rendering and reduce power consumption. Not complete yet.
    - Screen rotation: Added mouse cursor rotation support, so you can now
      still control things on a rotated screen. Still missing rotation of
      the cursor bitmap itself.
    - Lots of fixes to support nested Mir servers (see below).
    - Major simplification to how surface size/position/transformation
      interact, making transformations much easier to manage and work with.
    - Bugs fixed:
      . ./cross-compile-chroot.sh: line 83: popd: build-android-arm: invalid
        argument popd: usage: popd [-n] [+N | -N] (LP: #1287600)
      . Key events sent to the wrong client (and delayed) (LP: #1213804)
      . Nested servers never receive input events (in their filters)
        (LP: #1260612)
      . Software clients crash immediately on nested servers - what(): Failed
        to mmap buffer (LP: #1261286)
      . MirMotionEvent lacks local coordinates. Reports only screen
        coordinates. (LP: #1268819)
      . Nested Mir crashes with - what():
        MesaNativePlatform::create_internal_client is not implemented yet!
        (LP: #1279092)
      . clients fail to find some libraries if mir installed via "make install"
        (LP: #1285566)
      . Nested server hangs with multimonitor and internal clients.
        (LP: #1287282)
      . [regression] Multi-monitor frame sync no longer works (not
        synchronized), and frames skip/jump/stutter (LP: #1288570)
      . Mir FTBFS: /usr/bin/ld: cannot find -lmirtestdraw (when cmake ..
        -DMIR_ENABLE_TESTS=OFF) (LP: #1283951)
      . nested Mir library calls next_buffer() during startup (LP: #1284739)
      . Building Mir produces lots of warnings from GLM headers about
        deprecated degrees values vs radians (LP: #1286010)
      . [enhancement] screencast of a single window (LP: #1288478)
      . Nexus4 + mir_demo_client_eglplasma starts to stutter after a while
        (LP: #1189753)
      . --host-socket documented default argument isn't used as default
        (LP: #1262091)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Mar 2014 15:12:00 +0000

mir (0.1.6+14.04.20140310-0ubuntu1) trusty; urgency=medium

  [ Kevin Gunn ]
  * Cherry-picked from future release 0.1.7:
    - Enhancement: options: Make it easier to customize DefaultConfiguration
    - Bug fix: Don't pass a parameter to bash's popd command. It doesn't expect
      one and will return an error from cross-compile-chroot.sh. (LP: #1287600)
  * New upstream release 0.1.6 (https://launchpad.net/mir/+milestone/0.1.6)
    - mirserver ABI bumped to 16.
    - Server API changes:
      . Report classes have moved to new namespaces/components. Please
        consult the server headers.
      . General clean-ups and virtual function changes affecting the ABI
        (a rebuild is required for all shells).
    - mirclient ABI unchanged, still at 7. Clients do not need rebuilding.
    - Add new feature: Screen recording ("screencasting") as demonstrated by
      the new mir-util "mirscreencast".
    - debian: Provide platform packages managed with dpkg alternatives.
    - Add new valgrind suppressions (mostly for armhf right now)
    - tools: Add new libmirclientplatform.so to install_on_android.sh.
    - Add "mir_demo_standalone_render_overlays", which is a free-standing
      example of overlay support.
    - Proper DisplayConfiguration for the AndroidDisplay to be better 
      prepared for multi-monitor Android.
    - Commenced/continued simplifying the surface class hierarchy: BasicSurface
      has now absorbed SurfaceData.
    - Dynamically load the client platform library.
    - Bugs fixed:
      . Exceptions thrown from within compositing threads were untraceable,
        resulting in a bunch of undebuggable crash reports (LP: #1237332)
      . Ensure we close drm device file descriptors on exec. (LP: #1284081)
      . nested render_surfaces fails on N4 [std::exception::what: Failed to
        compile vertex shader:] (LP: #1284597)
      . examples: correct "fullscreen-surfaces" option. (LP: #1284554)
      . Fix mutex data race reported by helgrind in integration test:
        SwapperSwappingStress (LP: #1282886)
      . scene: Return null snapshots for sessions without surfaces 
        (LP: #1281728)
      . tests: Address some raciness in
        MesaDisplayTest.drm_device_change_event_triggers_handler. 
        (LP: #1283085)
      . tests: Suppress spurious memory errors occuring when running the
        unit tests on armhf with valgrind. (LP: #1279438)
      . Mir shows an old frame on client startup (for Mesa GL clients)
        (LP: #1281938)
      . tests: Add expectation to validate second SessionAuthorizer method
        is called wit correct parameter. (LP: #1218436)
      . Set field "current_format" when sending a display config to the
        server. (LP: #1277343)
      . Fix crash in android devices by working around a subtle threading
        bug, use a dummy thead_local array to push the gl/egl context TLS 
        into a region where the future wait code does not overwrite it. 
        (LP: #1280086)
      . compositor: calling SwitchingBundle::force_requests_to_complete()
        can be a no-op when there are no requests. (LP: #1281145)
      . tests: Don't emit an "add" uevent manually when adding a device
        (LP: #1281146)
      . config: reduce size of default RPC thread pool. (LP: #1233001)
      . Clients freeze on startup if 10 or more are already running
        (LP: #1267323)
      . Fix Nexus 10 leaking FDs in the hwc prepare/set loop. (LP: #1278658)
      . Parallelize page flipping with rendering of the next frame, fixing
        stuttering observed in multi-monitor clone mode (LP: #1213801)
      . Ubuntu trusty update "glm 0.9.5.1-1" broke Mir builds. Work around the
        change. (LP: #1285955)
      . Screencast feature by compositing to offscreen buffer (LP: #1207312)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Mar 2014 19:28:46 +0000

mir (0.1.5+14.04.20140212-0ubuntu1) trusty; urgency=medium

  [ Kevin Gunn ]
  * Cherry-picked from future release 0.1.6:
    - frontend, shell: provide the client process ID in the shell::Session
      interface (LP: #1276704)
  * New upstream release 0.1.5 (https://launchpad.net/mir/+milestone/0.1.5)
    - mirclient ABI bumped to 7
    - mirserver ABI bumped to 15
    - Refactoring to support client-controled RPC.
    - Add an translucent server example (use sparingly, this will kill
      performance!)
    - Add workaround for Qualcomm Snapdragon 8960 driver bug.
    - android-input: Improve debug output
    - Screen rotation support half done (rotation of the screen works but input
      rotation not implemented yet).
    - Add groundwork for overlay support to take better advantage of mobile
      hardware features and optimize composition in future.
    - Add support for HWC 1.2 (Android 4.4)
    - Add groundwork for screencasting (screen recording).
    - Optimized surface resizing, significantly reducing event flooding for
      some input configurations like touch.
    - Bugs fixed:
      . Surfaces no longer visible at all on Nexus 10 (LP: #1271853)
      . mir nested server failure: what(): error binding buffer to texture
        (LP: #1272041)
      . Unity does not process events from evdev device created before unity is
        restarted (autopilot tests) (LP: #1238417)
      . mir_unit_tests can't run on touch images any more (missing
        libumockdev.so.0) (LP: #1271434)
      . chmod 777 /tmp/mir_socket is no longer sufficient for non-root clients
        to connect to a root server (LP: #1272143)
      . Nexus7(2013) flo framerate maxes out at 30fps (LP: #1274189)
      . libmirserver user is unable to #include
         <mir/frontend/template_protobuf_message_processor.h> (LP: #1276162)
      . libmirclient user cannot "#include <mir/client/private.h>"
        (LP: #1276565)
      . AndroidInternalClient.internal_client_creation_and_use hangs on Nexus
        10 (LP: #1270685)
      . Tests that use the InProcessServer bind the default socket file
        (LP: #1271604)
      . BasicConnector threads exit immediately (LP: #1271655)
      . Integration tests TestClientIPCRender.test_accelerated_render fails on
        Galaxy Nexus and Nexus4 (LP: #1272597)
      . Android backend unit-tests FTBS on amd64 (LP: #1276621)
      . Erroneous use of last_consumed in SwitchingBundle::compositor_acquire
        (LP: #1270964)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Feb 2014 18:29:29 +0000

mir (0.1.4+14.04.20140204-0ubuntu1) trusty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.1.4 (https://launchpad.net/mir/+milestone/0.1.4)
    - Fixed snapshotting and flicker problems for Unity8 on various Nexus
      devices.
    - Enhanced reporting of performance information:
      . Report input latency in InputReport/InputReceiverReport.
      . Added a CompositorReport for logging compositor performance and state.
    - Added a new package "mir-utils" containing new tools:
      . mirping: Displays round-trip times between client and server
      . mirout: Displays the monitor layout/configuration details
    - Added GL texture caching to improve performance when multiple surfaces
      are visible.
    - Added opacity controls to mir_demo_server_shell
    - Mir server ABI bumped to 13. Client ABI bumped to 5.
    - Removed lots of Android headers, replaced by build-dep: android-headers
    - Added support for translucent nested servers.
    - tests: Fix unitialized values and incorrect fd closing loops
    - Fix unitialized values and incorrect fd closing loops.
    - client: Add basic MirScreencast C API.
    - config: start moving default values for config options from all the
      call sites to the setup
    - tests: Provide a helper for running clients with a stub ClientPlatform.
    - android: split out HWC layers into their own file and add a
      mga::CompositionLayer type that depends on the interface mg::Renderable.
    - client: Add basic MirOutputCapture class.
    - client: Don't create mesa ClientBuffer objects from invalid
      MirBufferPackages.
    - Optimize surface resizing to avoid doing anything if the dimensions
      are unchanged.
    - SwitchingBundle - add operator<< for debugging.
    - support hwcomposer 1.2 for android 4.4 on nexus 4 (which needs hwc1.2
      support). This patch adds hwc1.2 device construction, as well as progs
      the 'skip' layer in HWC to the buffer properties of the framebuffer.
    - demo-shell: Add simple keyboard controls to rotate outputs; Ctrl +
      Alt + <arrow-key>. Fixes: https://bugs.launchpad.net/bugs/1203215.
    - frontend: exposing internals of the RPC mechanism to enable custom
      function calls to be added.
    - Make udev wrapper into a top-level citizen
    - compositor: ignore double requests to start or stop the
      MultiThreadedCompositor.
    - Add DisplayBuffer::orientation(), to tell the Renderer if we need it
      to do screen rotation in GL (for platforms which don't implement 
      rotation natively) Fixes: https://bugs.launchpad.net/bugs/1203215.
    - graphics: add an post_update function that takes a list of renderables
      to the display buffer. This will let the display buffer take advantage
      of full-surface overlays on android.
    - android-input: Improve debug output
    - the stock qcom 8960 hwcomposer chokes on getDisplayAttributes if the
      submitted arrays are not at least size 6. patched the qcom android 4.2
      hwcomposer driver on the ubuntu touch images to work properly, but
      causes us problems with in-the wild drivers, and the new 4.4 drivers.
      Make sure we always submit a larger-than-needed array to this function.
    - frontend: refactoring to make it easier to expose the underlying RPC
      transport on the server side.
    - Don't assume pressure value is zero if not yet known
    - build: Expose options to allow building but not running tests by default.
    - Translucent Server which prefers a transparent pixel format
    - frontend: refactor ProtobufMessageProcessor to separate out generic
      response sending logic from specific message handling.
    - client: expose the part of the client RPC infrastructure needed for
      downstream to prototype their own message sending.
    - Bugs fixed:
      . unity8 display flickers and stops responding on Nexus 7 (grouper)
        (LP: #1238695)
      . Mir gets textures/buffers confused when running both scroll and flicker
        demos (LP: #1263592)
      . Some snapshots on Nexus10 upside-down (LP: #1263741)
      . mir_unit_tests is crashing with SIGSEGV in libhybris gl functions
        (LP: #1264968)
      . Some snapshots on Nexus10 have swapped red/blue channels (LP: #1265787)
      . Bypass causes some non-bypassed surfaces (on top) to be invisible
        (LP: #1266385)
      . helgrind: Possible data race - MirConnection::mutex not used
        consistently (LP: #1243575)
      . helgrind: Lock order violated (potential deadlock) in
        ConnectionSurfaceMap (LP: #1243576)
      . helgrind: Possible data race - inconsistent locking in PendingCallCache
        (LP: #1243578)
      . helgrind: Lock order violated in
        mir::client::ConnectionSurfaceMap::erase(int) (LP: #1243584)
      . [enhancement] Allow a Mir nested server to have a transparent
        background (LP: #1256702)
      . Compiling without tests fails (-DMIR_ENABLE_TESTS=NO) (LP: #1263724)
      . examples, doc: Make it clear and consistent how to use
        a non-root client with a root compositor endpoint. 
        (LP: #1272143)
      . Avoid linking to umockdev on platforms (android) which don't yet
        use it. This allows mir_unit_tests to run on touch images again
        (LP: #1271434)
      . Workaround for N4 nested server issue. This change removes
        mir_pixel_format_bgr_888 - HAL_PIXEL_FORMAT_RGB_888 from the
        list of supported pixel formats on android. (LP: #1272041)
      . Don't ask glUniformMatrix4fv to transpose your matrix. That option
        was officially deprecated between OpenGL and OpenGL|ES. And some
        drivers like the Nexus 10 don't implement it, resulting in incorrect
        transformations and even nothing on screen! (LP: #1271853)
      . Fixes: bug 1272143 (LP: #1272143)
      . fix integration test failure on the galaxy nexus that was due to
        creating two surfaces and registering the same buffer twice. Fixes:
        (LP: #1272597)
      . Implement screen rotation in GLRenderer, for platforms
        which can't do it natively in DisplayBuffer.
        (LP: #1203215)
      . Add an "orientation" field to output structures in preparation for
        screen rotation. It's not yet functionally wired to anything.
        (LP: #1203215)
      . Only use SwitchingBundle::last_consumed after it has been
        set. Otherwise SwitchingBundle::compositor_acquire could follow a bogus
        code path. (LP:#1270964)
      . tests: Override configuration to avoid creating an (unused)
        filesystem endpoint for connections when using InProcessServer. 
        (LP: #1271604)
      . frontend: ensure that BasicConnector threads don't exit
        immediately. (LP: #1271655)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Feb 2014 14:49:07 +0000

mir (0.1.3+14.04.20140108-0ubuntu3) trusty; urgency=medium

  * No-change rebuild against libprotobuf8 (this time from a clean tree)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Feb 2014 13:46:05 -0800

mir (0.1.3+14.04.20140108-0ubuntu2) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2014 00:08:28 +0000

mir (0.1.3+14.04.20140108-0ubuntu1) trusty; urgency=low

  [ Daniel van Vugt ]
  * Preparing for release 0.1.3

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1170

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Jan 2014 02:04:38 +0000

mir (0.1.2+14.04.20131128.1-0ubuntu2) trusty; urgency=low

  * No-change rebuild for ust.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 06 Dec 2013 15:03:27 -0500

mir (0.1.2+14.04.20131128.1-0ubuntu1) trusty; urgency=low

  [ Kevin Gunn ]
  * New upstream release 0.1.2
    - graphics: android: improve interface for mga::DisplayDevice so its
      just concerned with rendering and posting.
    - surfaces: rename "surfaces" component to "scene".
    - surfaces, shell: Migrate Session data model from shell to surfaces.
    - graphics: change fill_ipc_package() to use real pointers.
    - mir_client_library.h: Fix typo "do and locking" should be "do any
      locking".
    - API enumerations cleanup: Remove slightly misleading *_enum_max_
      values, and replace them with more accurate plural forms.
    - test_android_communication_package: Do not expect opened fd to be >0,
      we may have closed stdin making this a valid value (LP: #1247718).
    - Update docs about running Mir on the desktop to mention new package
      ubuntu-desktop-mir.
    - offscreen: Add a display that renders its output to offscreen buffers
    - graphics: android: fix regression for hwc1.0 devices introduced in r1228
      (LP: #1252433).
    - OffscreenPlatform provides the services that the offscreen display
      needs from the Platform.
    - graphics: android: consolidate the GLContexts classes in use.
    - Fix uninitialized variable causing random drm_auth_magic test
      failures. (LP: #1252144).
    - Add a fullyish functional Udev wrapper. This currently sits in
      graphics/gbm, but will be moved to the top-level when input device
      detection migrates.
    - Add resizing support to example code; demo-shell and clients.
    - eglapp: Clarify messages about pixel formats (LP: #1168304).
    - Adds support to the MirMotionEvent under pointer_coordinates called
      tool_type. This will allow clients to tell what type of tool is
      being used, from mouse/finger/etc. (LP: #1252498)
    - client,frontend: Report the real available surface pixel formats to
      clients. (LP: #1240833)
    - graphics: android: 1) change hwc1.1 to make use of sync fences during
      the compositor's gl renderloop. Note that we no longer wait for the
      render to complete, we pass this responsibility to the driver and the
      kernel. 2) support nexus 10. (LP: #1252173) (LP: #1203268)
    - shell: don't publish SurfacesContainer - it can be private to shell.
    - gbm: Don't mess up the VT mode on setup failure Only restore the
      previous VT mode during shutdown if it was VT_AUTO.
    - Fix a crash due to a failed eglMakeCurrent() call when in nested mode.
    - shell: unity-mir uses shell::FocusSetter - make the header public again
    - Add resize support to client surfaces (mir::client::MirSurface).
    - graphics: android: support 'old aka 2012' nexus 7 hwc (nvidia tegra3
      SoC) better. (LP: #1231917)
    - Add resize support to *ClientBuffer classes. Now always get dimensions
      from the latest buffer package.
    - android: support driver hooks for the Mali T604 (present in nexus 10)
    - Add width and height to the protocol Buffer messages, in preparation
      for resizable surfaces.
    - surfaces, shell, logging, tests: don't publish headers
      that can be private to surfaces. surfaces/basic_surface.h,
      surfaces/surface_controller.h and shell/surface_builder.h
    - examples: Restore GL framebuffer binding when destroying the render
      target
    - examples, surfaces, shell: remove render_surfaces dependency on
      BasicSurface
    - geometry: remove implementation of streaming operators from headers
      (LP: #1247820)
    - Eliminate the registration order focus sequence, folding it's
      functionality in to the session container.
    - Ensure the session mediator releases acquired buffer resources before
      attempting to acquire a new buffer on behalf of the client. This fixes
      performance regression (LP: #1249210).
    - Some cleanups to test_client_input.cpp.
    - Factor out a bunch of "ClientConfigCommon".
    - Small cleanup to session container test to increase encapsulation.
    - shell, surfaces: Another step in "fixing" the surfaces hierarchies -
      only publish interfaces and putting the data model into surfaces.
    - graphics: android: HWC1.1 use EGL to get further information about
      the framebuffer pixel format.
    - Fix FTBS using use_debflags=ON (building for android-armhf).
      (LP: #1248014)
    - Add a client input receiver report.
    - doc: doxygen 1.8.4 complains about an obsolete config so ran "doxygen
      u Doxyfile.in".
    - Implement resize() for the server-side Surface classes.
    - android: clean up mga::DisplayBuffer and mga::DisplayBufferFactory
    - Add resize() support to BufferStream, in preparation for resizable
      surfaces.
    - Merge metadata changes from the newly reconstructed lp:mir
    - tests: Deduplicate mg::GraphicBufferAllocator stubs.
    - examples: Remove spurious use of mir/shell/surface.h.
    - frontend: remove ClientTrackingSurface from the Surface class
      hierarchy
    - Bumping ABI on server to libmirserver11.
    - Don't mention "Renderable". That interface hasn't existed for quite
      some time now.
    - android-input: Assign more unique touch ids

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1167

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Nov 2013 10:05:20 +0000

mir (0.1.1+14.04.20131120-0ubuntu1) trusty; urgency=low

  [ Daniel van Vugt ]
  * New upstream release 0.1.1
    - Add unit tests for V/H scroll events.
    - surfaces: avoid publishing some internal headers, tidy up default
      configuration, integrate surfaces report.
    - client: Add mir_connection_drm_set_gbm_device()
    - graphics: avoid publishing some internal headers.
    - Fixed: unity-system-compositor FTBFS on trusty against new Mir
      (libmirserver9) (LP: #1244192)
    - compositor: avoid publishing some internal headers.
    - shell: Add set_lifecycle_state() to the Session interface.
    - frontend: avoid publishing some internal headers
    - logging: avoid publishing some internal headers.
    - Allow specifying the nested server name by passing --name= or setting
      MIR_SERVER_NAME=.
    - graphics,gbm: Inform the EGL platform about the used gbm device when
      using the native GBM platform
    - examples: Restore GL state after initializing buffers, fixing crashes 
      observed in render_surfaces (LP: #1234563)
    - Continue refactoring the mir android display classes.
    - shell: Hoist focus control functions needed by unity-mir into
      FocusController interface
    - client: Remove the timeout for detecting server crashes
    - Avoid a race condition that could lead to spurious failures of server
      shutdown tests (LP: #1245336)
    - test_client_input.cpp: Bump reception time-out in client test fixture.
      (LP: #1227683)
    - Ensure StubBufferAllocator returns buffers with the properties requested,
      and not the same old hardcoded constants.
    - Update docs and scripting for trusty.
    - compositor: Make DefaultDisplayBufferCompositorFactory private to the
      compositor component.
    - Ignore warnings clang treats as errors, about unused functions being
      generated from macros in <lttng/tracepoint.h> (LP: #1246590)
    - Add resize() support to BufferBundle. This is the first step and lowest
      level of surface resize support.
    - Clean up constants relating to SwitchingBundle.
    - Fix the armhf chroot setup script to point to the right library, so
      cross compiling can work again (LP: #1246975)
    - shell: avoid publishing some internal headers.
    - input: avoid publishing some internal headers.
  * Bump timeouts used in socket testing. It seems 100ms isn't always
    enough, which leads to spurious test failures (LP: #1252144) (LP:
    #1252144)
  * Fix uninitialized variable causing random drm_auth_magic test
    failures. (LP: #1252144). (LP: #1252144)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1165

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 20 Nov 2013 07:36:15 +0000

mir (0.1.0+14.04.20131030-0ubuntu1) trusty; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alan Griffiths ]
  * client: Remove the timeout for detecting server crashes There are
    valid cases when the server blocks for an indeterminate amount of
    time during a client request, like when a next_buffer request blocks
    because a surface is not visible or the server is paused. In such
    cases, the timeout mechanism we used to detect server crashes caused
    the clients to fail. Furthermore, the clients seem able to detect
    server crashes without the timeout, rendering it needless anyway.
    (LP: #1245958)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1161

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Oct 2013 18:37:21 +0000

mir (0.1.0+14.04.20131028-0ubuntu1) trusty; urgency=low

  [ Daniel van Vugt ]
  * Bump version 0.1.0
  * Add method for testing if Rectangle::contains(Rectangle), which is
    the basis of any occlusion detection. (LP: #1227739)
  * Add support for traversing the Scene from front surface to back.
    This is required for occlusion detection at least (coming soon). .
    (LP: #1227739)
  * Optimization: Turn off blending for surfaces that are not blendable.
    On some systems this can have a noticeable performance benefit.
  * Avoid rendering surfaces that are fully hidden by other surfaces.
    This is particularly important for mobile device performance. (LP:
    #1227739) . (LP: #1227739)
  * Remove orphaned tags, which appear to have come from the Compiz
    project (!?) Add tags for the most recent releases up to 0.0.16. No
    files changed, only tags.
  * Fix significant performance issues LP: #1241369 / LP: #1241371, and
    probably more(!) Added regression test to catch such regressions and
    revert the offending commit r1049. (LP: #1241369, #1241371)

  [ Brandon Schaefer ]
  * When Scroll events come in we don't keep around the android vscroll
    hscroll data. Store it now. (LP: #1233089)

  [ Albert Astals ]
  * Fix mismatched free() / delete / delete [] reported by valgrind

  [ Alexandros Frantzis ]
  * server: Extend server status (formerly pause/resume) listener to
    report "started" events This change is needed by users of
    libmirserver, so they can properly synchronize external interactions
    with the server. (LP: #1239876)
  * graphics,examples: Don't enable more outputs than supported when
    changing the display configuration. (LP: #1217877)
  * client: Allow clients to call API functions after a connection break
    has been detected When a client tries to call an API function after
    a connection break has been detected in a previous API call, the
    client blocks in the new call. This happens because in
    MirSocketRpcChannel::notify_disconnected() the pending RPC calls are
    not forced to complete, since the channel has already been marked as
    'disconnected' by the failure in the previous call. Note that if the
    break is first detected while calling an API function, then that
    call doesn't block, since this is the first time we call
    MirSocketRpcChannel::notify_disconnected() and the pending RPC calls
    are forced to complete. This commit solves this problem by always
    forcing requests to complete when a communication failure occurs,
    even if a disconnection has already been handled. This is preferred
    over the alternative of manually calling the completion callback in
    a try-catch block when calling an RPC method because of: 1.
    Correctness: In case the communication problem first occurs in that
    call, the callback will be called twice, once by
    notify_disconnected() and once manually. 2. Consistency: The
    callback is called from one place regardless of whether the
    communication problem is first detected during that call or not.
    (LP: #1201436)
  * graphics: Improve signature of native platform initialization method
    Use an interface to provide the functionality needed by native
    platforms.

  [ Eleni Maria Stea ]
  * Test GBMBufferAllocatorTest.bypass_disables_via_environment
    overrides the MIR_BYPASS env variable, causing other tests that use
    the MIR_BYPASS to fail when we run the unit-tests with --
    gtest_repeat=N, N>1. Set back the MIR_BYPASS env. var. (LP:
    #1238000)

  [ Kevin DuBois ]
  * fix: lp 1239577 TestClientIPCRender (an android-only gfx driver
    test) was hanging due to changes in signal handling. refactor the
    test, changing the cross-process sync mechanism so it doesn't use
    sigcont. (LP: #1239577)
  * graphics: android: eliminate one of the two DisplayBuffers. both
    hwc/gpu displays use the same displaybuffer now. .

  [ Daniel d'Andrada ]
  * Add InputReader performance test.

  [ Alan Griffiths ]
  * logging: correct component tag in connector report.
  * client: fix hang(s) in client API when server dies. (LP: #1227743)
  * Fix failing acceptance-test:
    ServerShutdown/OnSignal.removes_endpoint_on_signal (LP: #1237710)
    Avoid fatal_signal_cleanup getting caught in a loop restoring itself
    and then re-entering itself. This could happen in some permutations
    of acceptance-tests where run_mir is entered with
    fatal_signal_cleanup already set up from previous tests' server
    instances. (LP: #1237710)
  * CMake: remove creation of link to non-existent file.
  * shared: some utility functions to provide some consistent ways to
    use RAII and application of these functions to some code that has
    had RAII related discussions recently.
  * config: separate out the configuration options from the
    configuration builder.
  * config: ensure USC can access
    DefaultConfigurationOptions::parse_options (LP: #1244192) (LP:
    #1244192)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1161

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Oct 2013 02:04:31 +0000

mir (0.0.15+13.10.20131014-0ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 15:06:19 +0100

mir (0.0.15+13.10.20131014-0ubuntu1) saucy; urgency=low

  [ Kevin Gunn ]
  * bump version 0.0.15

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1133

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Oct 2013 23:55:33 +0000

mir (0.0.14+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ thomas-voss ]
  * Clean up duplicate instances of the valid connections set. Remove
    the static instances from the header file. (LP: #1238312) Requested
    to be merged directly to lp:mir by didrocks, tvoss. (LP: #1238312)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1097

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 06:59:30 +0000

mir (0.0.14+13.10.20131010-0ubuntu1) saucy; urgency=low

  [ Colin Watson ]
  * Don't build-depend on valgrind on arm64 for now, as it is not yet
    ported there.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1095

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Oct 2013 01:17:01 +0000

mir (0.0.14+13.10.20131009.4-0ubuntu1) saucy; urgency=low

  [Kevin Gunn]
  * bump version to 0.0.14

  [ Robert Carr ]
  * Hold ms::Surface alive from msh::Surface, and remove the explicit
    throw calls. This way holding a shared_ptr to msh::Surface becomes
    safe (as long as you drop it eventually!). (LP: #1234609). (LP:
    #1234609)

  [ Alan Griffiths ]
  * client: use lock_guard as it is simpler than unique_lock. (fix for
    mallit) frontend: Remove the endpoint first when shutting down.
    Fixes bug lp#1235159. (LP: #1235159)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1093

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Oct 2013 21:57:59 +0000

mir (0.0.13+13.10.20131003-0ubuntu1) saucy; urgency=low

  [ Kevin Gunn ]
  * bump version to 0.0.13

  [ Daniel d'Andrada ]
  * Fix for LP#1233944 Fixes the Mir-side of bug
    https://bugs.launchpad.net/mir/+bug/1233944 Event files are first
    created with root:root permissions and only later udev rules are
    applied to it, changing its permissions to root:android-input and
    therefore making it readable by unity8-mir in short: Retry opening a
    file when its permissions change as it might be readable now. (LP:
    #1233944)

  [ Robert Carr ]
  * Fix for LP#1233944 Fixes the Mir-side of bug
    https://bugs.launchpad.net/mir/+bug/1233944 Event files are first
    created with root:root permissions and only later udev rules are
    applied to it, changing its permissions to root:android-input and
    therefore making it readable by unity8-mir in short: Retry opening a
    file when its permissions change as it might be readable now. (LP:
    #1233944)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1089

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Oct 2013 06:34:41 +0000

mir (0.0.12+13.10.20131001.1-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * merge latest dev branch.

  [ Kevin DuBois ]
  * merge latest dev branch.

  [ Daniel d'Andrada ]
  * merge latest dev branch.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1086

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 01 Oct 2013 10:04:25 +0000

mir (0.0.12+13.10.20130926.1-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Bump version to 0.0.12

  [ Alexandros Frantzis ]
  * tests: Fix compiler warning about maybe-uninitialized struct member

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1084

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Sep 2013 08:39:29 +0000

mir (0.0.11+13.10.20130924.1-0ubuntu1) saucy; urgency=low

  [ kg ]
  * bump version for ABI break (LP: #1229212)

  [ Robert Ancell ]
  * Allow an application to override the options being populated.
  * Pass the program options to parse_options().
  * Add missing include for std::cerr.
  * Report when paused and resumed via configuration. (LP: #1192843)
  * Add missing directory separator when searching for a config file to
    parse.

  [ Kevin Gunn ]
  * change test timeouts and fix fence.

  [ Alexandros Frantzis ]
  * examples: Only check key information for key events This fixes a
    memory error reported by valgrind for examples that use eglapp.
  * shell: Apply the base configuration on a hardware change only if no
    per-session configuration is active.
  * graphics: consolidated fixed for nested code and examples on android
    stack.

  [ Eleni Maria Stea ]
  * graphics: Pull in Eleni's changes to get the DRM fd to init GBM from
    the host Mir instance.

  [ Didier Roche ]
  * remove (unused in the ppa as we have libmirserver3) hack to force
    depending and building against the exact same version.

  [ Robert Carr ]
  * Add DPMS configuration API. (LP: #1193222)
  * Deduplicate mtd::NullDisplayConfig and
    mtd::NullDisplayConfiguration.
  * Fix multiple internal client surfaces on android. (LP: #1228144)
  * change test timeouts and fix fence.
  * Add DPMS API and GBM/android impls.

  [ Kevin DuBois ]
  * platform, graphics: support nested (mir-on-mir) rendering on the
    Android platform.

  [ Michael Terry ]
  * Change how Mir chooses socket locations to make it simpler for a
    nested-Mir world, by using MIR_SOCKET as the host socket if no other
    host socket is provided and passing MIR_SOCKET on to any children.
    Also, change --nested-mode to --host-socket for clarity and add --
    standalone to force standalone mode.

  [ Daniel d'Andrada ]
  * android-input housekeeping - Updated README - Removed some dead
    code.

  [ Daniel van Vugt ]
  * Add DPMS configuration API. (LP: #1193222)
  * Add a "flags" field to MirBufferPackage so that clients can find out
    if the buffer they've been given is scanout-capable. This is
    normally something a client should never need to know. However there
    are two specialized cases where it's required to fix bugs in the
    intel and radeon X drivers:   LP: #1218735, LP: #1218815 The intel
    fix (already landed) contains a hack which will be updated after
    this branch lands. (LP: #1218815, #1218735)
  * GBM: Ensure that we don't create scanout buffers if bypass is
    explicitly disabled from the environment. (LP: #1227133) . (LP:
    #1227133)

  [ Alan Griffiths ]
  * graphics: Pull in Eleni's changes to get the DRM fd to init GBM from
    the host Mir instance.
  * input: Separate the code for dispatching input from that reading it.
  * graphics: Hook up nested surfaces events to input.
  * input: Connect nested input relay to input dispatch.
  * graphics: Simplify NativeAndroidPlatform out of existence.
  * tests: Fixes to get the tests "passing" on android/arm stack. (LP:
    #1226284)
  * graphics: consolidated fixed for nested code and examples on android
    stack.
  * examples: add command-line options to examples so the Mir server
    connection can be selected.
  * change test timeouts and fix fence.
  * client: Add client side support for connecting via an existing FD.

  [ Łukasz 'sil2100' Zemczak ]
  * Revert revision 1054 ABI-change (the libmirclient3 one), which seems
    to cause a lot of problems.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1081

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Sep 2013 06:04:59 +0000

mir (0.0.10+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ Kevin DuBois ]
  * fix lp:1220441 (a test for android display ID was not updated). (LP:
    #1220441)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1051

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 06:04:46 +0000

mir (0.0.10+13.10.20130903-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * SwitchingBundle: Simplify and clarify guarantees that
    compositor_acquire always has a buffer to return without blocking or
    throwing an exception. The trade-off is that to enforce the
    guarantee we need to permanently reserve one buffer for compositing.
    This reduces the flexibility of SwitchingBundle a little, such that
    minimum nbuffers is now 2. This was originally requested by
    Alexandros, as the potential throw concerned him. Although, it was
    logically guaranteed to never happen for other reasons. The second
    reason for doing this is to eliminate recycling logic, which while
    safe and correct, was quite confusing. So this change further proves
    that that logic (now removed) is not to blame for frame ordering
    bugs. .

  [ Christopher James Halse Rogers ]
  * Synthesise an unfocused event on destruction of a focused window We
    probably need to rethink focus entirely, but this is an incremental
    improvement that I need.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1049

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 14:04:56 +0000

mir (0.0.10+13.10.20130902-0ubuntu1) saucy; urgency=low

  [ Alan Griffiths ]
  * graphics: tidy up the roles and responsibilities of nested classes.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1046

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Sep 2013 18:05:02 +0000

mir (0.0.10+13.10.20130830.1-0ubuntu1) saucy; urgency=low

  [ Alan Griffiths ]
  * config, input: make nested::HostConnection available in
    input::NestedInput.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1044

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 18:04:58 +0000

mir (0.0.10+13.10.20130830-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Dramatically improved multi-monitor frame synchronization, using a
    global frame count equivalent to the highest refresh rate of all
    monitors. This is much more reliable than the old logic which was
    based on timers. This fixes LP: #1210478. (LP: #1210478)
  * Remove dead code: surfaces::Surface::compositor_buffer() It's
    unused. Though I suspect in future we might or should go back to
    using it instead of accessing the buffer stream directly (r856). .

  [ Alan Griffiths ]
  * graphcs, config: make the nested HostConnection available in
    configuration.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1042

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Aug 2013 10:04:58 +0000

mir (0.0.10+13.10.20130829.2-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * eglapp: Add a new option -oN to force the surface placement onto
    output N. Unfortunately we haven't yet written any tool to tell you
    what your output IDs are.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1038

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 18:05:29 +0000

mir (0.0.10+13.10.20130829.1-0ubuntu1) saucy; urgency=low

  [ Alan Griffiths ]
  * config, input: default_android_input_configuration.cpp should only
    use public headers.
  * config, input: Stubbed version of input for nested mir.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1036

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 14:05:26 +0000

mir (0.0.10+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Add "composition bypass" support, whereby fullscreen surfaces are
    allowed to go straight to the display hardware without being
    composited at all, hence avoiding the overhead of any OpenGL or
    texturing where possible. Hardware support: intel: Excellent radeon:
    Good, but REQUIRES kernel 3.11.0 nouveau: Good, but REQUIRES kernel
    3.11.0 android: No bypass implemented yet. (LP: #1109963)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1033

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 10:04:53 +0000

mir (0.0.10+13.10.20130828.1-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * I've noticed some confusion in the community around the purposes of
    the mir_demo_* binaries. For example: - Users expected
    mir_demo_client to do something. - Users expected mir_demo_server to
    be useful, when they would get more use from mir_demo_server_shell.
    - Users thought mir_demo_client_{un}accelerated were the only
    examples of {un}accelerated clients. This proposal renames
    mir_demo_client_* to more accurately describe what they are and what
    they do. .

  [ Alan Griffiths ]
  * graphics: make nested code compatable with "bypass" branch.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1031

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 28 Aug 2013 22:05:08 +0000

mir (0.0.10+13.10.20130828-0ubuntu1) saucy; urgency=low

  [ Alan Griffiths ]
  * graphics.nested: sketch out NestedOutput implementation.

  [ Eleni Maria Stea ]
  * removed the struct NativeGBMPlatform from gbm_platform.cpp and added
    a NativeGBMPlatform class instead.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1028

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 28 Aug 2013 10:04:57 +0000

mir (0.0.10+13.10.20130827.1-0ubuntu1) saucy; urgency=low

  [ Alan Griffiths ]
  * ipc: add a protocol version to the wire protocol so that we can bump
    it in future.
  * graphics::nested: Handling of output configuration changes.
  * graphics.nested: Hookup NestedDisplay to display change
    notifications.

  [ Daniel van Vugt ]
  * Introducing mir_demo_client_progressbar. It's pretty boring;
    designed to simulate key repeat scrolling in a terminal, as an aid
    for tracking down bug 1216472. . (LP: #1216472)

  [ Eleni Maria Stea ]
  * changed the GBMBufferAllocator constructor and class to use the
    gbm_device instead of the GBMPlatform to remove the dependency from
    the mg::Platform interface - this way we can use the
    GBMBufferAllocator with the NativeGBMPlatform (nested mir).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1025

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 18:04:47 +0000

mir (0.0.10+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Allow the Mir server socket to be set with the MIR_SOCKET enviroment
    variable.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1019

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 06:04:57 +0000

mir (0.0.10+13.10.20130826.1-0ubuntu1) saucy; urgency=low

  [ Christopher James Halse Rogers ]
  * Fix server-side tracking of client buffers When the server knows the
    client has a given buffer cached it only needs to send the BufferID
    rather than the full IPC package. While this is an optimisation,
    it's also required for correctness - the client will not clean up
    fds for buffers it has cached, so if the server sends a full IPC
    package for a buffer the client knows about any buffer fds leak. The
    buffer cache is per-surface on the client side, but was per-session
    on the server side. This meant that the server did not accurately
    track the client's buffers, resulting in it sending unexpected fds
    that the client then leaked. Fix this by making the buffer tracker
    per-surface server-side.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1017

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 14:04:34 +0000

mir (0.0.10+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Fix uninitialized fields causing strange exceptions in some clients
    such as fingerpaint and multiwin since r991. (LP: #1215754) The
    uninitialized field output_id was only introduced in r991. Of
    course, giving it an invalid value should not cause such wacky
    exceptions. I'll log a bug to improve the error checking separately.
    (LP: #1215754)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1015

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 04:52:13 +0000

mir (0.0.10-0ubuntu1) saucy; urgency=low

  * New release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 26 Aug 2013 11:36:02 +1200

mir (0.0.9+13.10.20130825.1-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Disambiguate an exception message which could come from three
    places: Output has no associated crtc with more rich and meaningful
    information: Output <NAME> has no associated CRTC to <ACTION> on.

  [ Robert Carr ]
  * SessionMediator must hold only a weak reference to the session. (LP:
    #1195089)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1012

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 25 Aug 2013 14:04:38 +0000

mir (0.0.9+13.10.20130825-0ubuntu1) saucy; urgency=low

  [ Ricardo Mendoza ]
  * Add whitespace to prevent errors in non -fpermissive compilations.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1009

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 25 Aug 2013 10:05:08 +0000

mir (0.0.9+13.10.20130823.3-0ubuntu1) saucy; urgency=low

  [ Alan Griffiths ]
  * mir: std::hash support for mir::IntWrapper<> .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1007

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 22:04:51 +0000

mir (0.0.9+13.10.20130823.2-0ubuntu1) saucy; urgency=low

  [ Ricardo Mendoza ]
  * * Implement lifecycle events interface.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1005

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 18:04:51 +0000

mir (0.0.9+13.10.20130823.1-0ubuntu1) saucy; urgency=low

  [ Kevin DuBois ]
  * Send focus notifications to client. (LP: #1196744, #1192843,
    #1102757, #1201435)

  [ Robert Carr ]
  * Send focus notifications to client. (LP: #1196744, #1192843,
    #1102757, #1201435)

  [ Alan Griffiths ]
  * graphics: spike of NestedDisplayConfiguration.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1003

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 14:05:22 +0000

mir (0.0.9+13.10.20130823-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * event_sender.cpp: I've never seen this before. So it should not have
    my name on it.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 1000

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 06:05:00 +0000

mir (0.0.9+13.10.20130822.1-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Revert the grey background. It's too visually intrusive while we
    don't yet have the ability to give a shell any control over
    compositing (and override GLRenderer::clear) like it should
    eventually have. (LP: #1215322). (LP: #1215322)

  [ Alan Griffiths ]
  * graphics: Fills in some more bits of NestedDisplay.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 998

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 14:04:56 +0000

mir (0.0.9+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * eglplasma: Don't include the alpha component in gradient
    calculations. We want the whole surface to be opaque. (LP:
    #1215285). (LP: #1215285)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 995

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 10:05:21 +0000

mir (0.0.9+13.10.20130821.1-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Make compositor::Scene lockable. This allows us to do multiple
    operations on a scene atomically using a nice simple:
    std::lock_guard<Scene> lock(scene); In the short term, this is
    required by the bypass branch. In the longer term it will also be
    useful if/when Scene gets an iterator.
  * Check a connection is valid (not NULL) before trying to dereference
    it. Such a NULL dereference led to worrying valgrind errors seen in
    LP: #1212516. (LP: #1212516)

  [ Alan Griffiths ]
  * graphics: hard-wire nested Mir to create an output for every host
    output.

  [ Alexandros Frantzis ]
  * Allow clients to specify the output they want to place a surface in.
    Only fullscreen placements are supported for now, but the policy is
    easy to change. This MP breaks the client API/ABI, so I bumped the
    client ABI version. I took this opportunity to rename some fields in
    MirDisplayConfiguration to improve consistency. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 993

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 14:05:07 +0000

mir (0.0.9+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Brandon Schaefer ]
  * Release the mir surfaces when done in multiwin demo.
  * Clean up config->cards when were are deleting the display config.

  [ Alexandros Frantzis ]
  * server: Handle both user initiated and hardware display changes with
    MediatingDisplayChanger Enhance MediatingDisplayChanger to handle
    both user initiated display changes and hardware changes, by making
    it implement two interfaces for the two responsibilities
    (mg::DisplayChanger, mf::DisplayChanger).
  * shell: Notify sessions when the display configuration changes This
    patchset implements client notifications for display configuration
    changes. It also adds a mir_demo_client_display_config example which
    can be used to test and demo client initiated display configuration
    changes. Use of the example uncovered some issues that are also
    fixed by this patchset (see individual commits for more info).
  * shell: Add infrastructure for emitting and handling session related
    events.
  * shell: Support per-session display configurations This MP adds
    support for per-session display configurations, i.e., configurations
    that are active only when the client that submitted them has the
    focus. mir_connection_apply_display_config() now changes the session
    display configuration instead of the base/global one.

  [ Alan Griffiths ]
  * graphics::nested: sketch out some more of the nested mir
    implementation.
  * tests: Workaround for test timeout under valgrind. (LP: #1212518)
  * config: use the DisplayServer to hold ownership of system
    components, not the DefaultServerConfiguration.
  * graphics: Start on the NativePlatform interface.
  * graphics: Split the output state out of the NestedDisplay class.

  [ Daniel van Vugt ]
  * setup-android-dependencies.sh: Update for saucy flipped phablet
    images.
  * Give Mir a grey background by default, so you can see which monitors
    it is using.

  [ Eleni Maria Stea ]
  * graphics::nested: sketch out some more of the nested mir
    implementation.
  * nested_platform.cpp functions.

  [ Robert Carr ]
  * Pass session through placement strategy.

  [ Christopher James Halse Rogers ]
  * Add a little extra debugging API.
  * Add missing mutex around display config call.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 988

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 06:04:49 +0000

mir (0.0.9+13.10.20130813-0ubuntu1) saucy; urgency=low

  [ Daniel d'Andrada ]
  * Add mir_surface_type_inputmethod enum value.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 970

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Aug 2013 02:04:54 +0000

mir (0.0.9+13.10.20130812.4-0ubuntu1) saucy; urgency=low

  [ Alexandros Frantzis ]
  * server,client: Add type, preferred mode and max. simultaneous
    outputs information to the display configuration.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 968

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 18:05:30 +0000

mir (0.0.9+13.10.20130812.3-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * eglapp: Add sizing parameters: -f (fullscreen) and -s WxH (specific
    size).

  [ Alan Griffiths ]
  * frontend, examples, tests: provide a utility to adapt
    frontend::Surface to the graphics::InternalSurface interface.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 966

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 14:04:37 +0000

mir (0.0.9+13.10.20130812.2-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Remove apport hook - we're not installing it and libraries don't
    have hooks anyway. Apps that use libmirserver will have hooks
    (unity-system-compositor, unity-mir). (LP: #1204284)

  [ Alexandros Frantzis ]
  * protobuf: Pass a DisplayConfiguration submessage with the
    Connection.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 963

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 11:04:00 +0000

mir (0.0.9+13.10.20130812.1-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Fix libmirserver dependent packages requiring the exact version - it
    hadn't been updated for the soname change in revision 948. (LP:
    #1210811)

  [ Alan Griffiths ]
  * platform: workaround link errors on i386/g++ 4.8.1. (LP: #1208774)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 960

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 06:04:36 +0000

mir (0.0.9-0ubuntu1) saucy; urgency=low

  * New release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 12 Aug 2013 09:19:43 +1200

mir (0.0.8+13.10.20130810-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Remove documentation on the system-compositor-testing PPA now
    everything is in main/universe in saucy.

  [ Kevin DuBois ]
  * Add an object for sending display config change messages to all
    connected clients (globally).

  [ Daniel van Vugt ]
  * Fix the compositor side of lag observed between input events and the
    screen. This is half the fix for LP: #1199450. The other half of the
    fix is to resolve client buffers arriving out of order, which has
    not been fully diagnosed but is known to be resolved by the "switch"
    branch. . (LP: #1199450)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 956

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 10 Aug 2013 02:04:55 +0000

mir (0.0.8+13.10.20130809.4-0ubuntu1) saucy; urgency=low

  [ Michael Terry ]
  * Pass on the owning Session when creating Surfaces. (LP: #1200035)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 952

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 18:05:05 +0000

mir (0.0.8+13.10.20130809.3-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Simplify and generalize buffer swapping to support arbitrary numbers
    of: - buffers - compositors - clients This is a unified N-buffers
    algorithm which supports any positive number of buffers, as well as
    dynamically switching between synchronous and asynchronous
    behaviour. So it does everything the existing code does and more.
    The key requirement is to support an arbitrary number of (different)
    simultaneous compositor acquisitions, as is needed for bypass
    support (coming soon). This then leads to the requirement that a
    compositor and a snapshot buffer should be acquired differently.
    Because a snapshot should never consume frames, only observe them.
    On the other hand, a compositior acquire must consume a frame (if
    available) so as to guarantee correct ordering when more than one
    are acquired simultaneously in bypass mode. Also fixes LP: #1199717
    and is half the fix for LP: #1199450. (LP: #1199450, #1199717)

  [ Alan Griffiths ]
  * doc, tools: update instructions for "flipped" image.

  [ Christopher James Halse Rogers ]
  * Split out unversioned Mir platform package to fix upgrades across
    libmirserver SONAME bumps.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 950

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 11:14:41 +0000

mir (0.0.8+13.10.20130808.2-0ubuntu1) saucy; urgency=low

  [ Alexandros Frantzis ]
  * gbm: Don't try to allocate buffers with unsupported formats. (LP:
    #1124948)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 946

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Aug 2013 15:18:56 +0000

mir (0.0.8+13.10.20130808.1-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * VT switch on alt+ctrl+Fn.
  * Add missing iostream import. This was accidentally removed in
    revision 939. Local builds and CI builds both seem to have treated
    this as a warning; debian package builds as an error. Fixes
    packaging builds.

  [ Robert Carr ]
  * Add an interface by which the shell may be notified of and interfere
    with surface configuration requests.

  [ Alexandros Frantzis ]
  * Bring back revision 931 with a fix for the crash it caused (LP:
    #1209053). (LP: #1209053)
  * examples: Quit the example servers and standalone programs when
    Ctrl+Alt+Backspace is pressed.

  [ Maarten Lankhorst ]
  * Re-introduce console support, and ignore control characters. (LP:
    #1102756, #1195509)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 944

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Aug 2013 05:03:26 +0000

mir (0.0.8+13.10.20130807.3-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * platform: Install and use mirplatform headers. (LP: #1209104)

  [ Daniel van Vugt ]
  * Revert r931. It is causing instant and widespread crashes (LP:
    #1209053). (LP: #1209053)

  [ Alan Griffiths ]
  * platform: remove spurious ${MIR_COMMON_PLATFORM_LIBRARIES}.
  * platform: Install and use mirplatform headers. (LP: #1209104)

  [ Christopher James Halse Rogers ]
  * Fix multihead API usage in EGL example clients.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 937

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Aug 2013 16:24:16 +0000

mir (0.0.8+13.10.20130807.1-0ubuntu1) saucy; urgency=low

  [ Kevin DuBois ]
  * Add support for sending display change events to the client to the
    api/protocol.

  [ Ricardo Salveti de Araujo ]
  * Just use libhardware instead of libhybris when building mir (avoid
    conflicts with egl/gles) .

  [ Alan Griffiths ]
  * graphics: Split off platform abstraction as a shared library.
  * graphics: Split off platform abstraction as an LGPL shared library.

  [ Alexandros Frantzis ]
  * display_server: Don't configure the display while the display server
    is paused Don't configure the display while the display server is
    paused. Postpone the configuration until the display server resumes.
  * server: Make EventFilter customization easier.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 932

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Aug 2013 06:10:58 +0000

mir (0.0.8+13.10.20130806-0ubuntu1) saucy; urgency=low

  [ Kevin DuBois ]
  * Add protobuf message and api for requesting display configuration
    change. Requests to change the display are authorized by the shell
    authorizer .

  [ Alan Griffiths ]
  * 1. establish a MirConnection during the NestedPlatform
    initialization 2. check that the socket filename that is used by the
    nested mir to accept connections is not the same with the host mir's
    socket filename 3. release the connection when the NestedPlatform is
    deleted.

  [ Eleni Maria Stea ]
  * 1. establish a MirConnection during the NestedPlatform
    initialization 2. check that the socket filename that is used by the
    nested mir to accept connections is not the same with the host mir's
    socket filename 3. release the connection when the NestedPlatform is
    deleted.

  [ Colin Watson ]
  * The upcoming arm64 architecture is called arm64, not armel64.

  [ Alexandros Frantzis ]
  * gbm,compositor: Misc multimonitor related fixes. (LP: #1208354)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 925

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Aug 2013 00:02:45 +0000

mir (0.0.8+13.10.20130803-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * fingerpaint: Paint on single clicks, and not just drags. This helps
    in testing input/buffer lag issues ;).

  [ Robert Carr ]
  * Replace SingleVisibilityFocusMechanism with a simpler and more
    flexible mechanism based around raising the surface.
  * Do not target hidden surfaces for pointer events.

  [ Alan Griffiths ]
  * graphics: Break the dependency of graphics platforms on MainLoop.

  [ Christopher James Halse Rogers ]
  * Fix mir_connection_get_display_info There's no guarantee that
    config->displays[0] will be valid, and indeed it's always invalid in
    all my tests. This causes a segfault when trying to dereference the
    current mode of an inactive display.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 920

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 03 Aug 2013 00:02:40 +0000

mir (0.0.8+13.10.20130802-0ubuntu1) saucy; urgency=low

  [ Daniel van Vugt ]
  * Fix crashing demo clients, since the introduction of multimonitor.
    (LP: #1207145). (LP: #1207145)
  * tools/install_on_android.sh: Don't upload to/test in Android
    directories. We don't need to now that the phablet images are
    flipped. /tmp is much safer. Also don't hardcode a particular ABI
    (which was wrong). .

  [ Alan Griffiths ]
  * graphics, compositor: Move compositor/buffer_properties.h and
    compositor/graphic_buffer_allocator.h to graphics.
  * graphics, compositor: Move buffer_ipc_packer.h to graphics.
  * graphics/gbm: negate negative error codes returned by drm so they
    can be interpreted by boost.

  [ Alexandros Frantzis ]
  * examples: Add option to specify the display configuration policy to
    use We offer three display configuration policies to all the
    examples that use configurations based on
    mir::example::ServerConfiguration: 1. clone (default) 2. sidebyside
    (outputs are placed side-by-side in the virtual space, in increasing
    connector id order) 3. single (only the first, in connector id
    order, is used).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 914

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 00:02:52 +0000

mir (0.0.8+13.10.20130801-0ubuntu1) saucy; urgency=low

  [ Kevin DuBois ]
  * connect multi-display info from the display, to the client by
    improving SessionMediator.
  * prepare for global event sending (like display resizing) by
    separating the ability to send messages into distinct classes that
    is used in the client request service loops clean up constructors
    that aren't used, functions that aren't needed as well.

  [ Robert Carr ]
  * Support monitor input channels for the shell.

  [ Eleni Maria Stea ]
  * stub Platform functions to NestedPlatform replaced
    create_nested_platform with a call to the NestedPlatform constructor
    in the default_server_configuration.cpp.

  [ Alexandros Frantzis ]
  * gbm: Handle the cursor properly with multiple monitors.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 907

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 01 Aug 2013 00:02:49 +0000

mir (0.0.8+13.10.20130731.2-0ubuntu1) saucy; urgency=low

  [ Dmitrijs Ledkovs ]
  * Use explicit boost-dev packages.

  [ Alexandros Frantzis ]
  * gbm: Support non-cloned display configurations.

  [ Thomas Voß ]
  * Adjust documentation to account for lightdm/packaging changes.
  * Don't make Mir become a process group leader, to avoid CTRL-C
    killing the X server.

  [ Alan Griffiths ]
  * test_framework: Provide boost exception diagnostics.
  * graphics: Remove use of frontend::Surface from graphics interface &
    implementation.

  [ Daniel van Vugt ]
  * Don't run Android commands which are no longer valid in flipped
    phablet images. They will only kill your connection to the device.
    (LP: #1206369). (LP: #1206369)
  * Fix documentation to suit the new "flipped" phablet images. Also
    remove extraneous comment which could cause copy/paste mistakes.

  [ Eleni Maria Stea ]
  * mir option --nested-mode <host-socket>.
  * added a native platform interface in
    include/server/mir/graphics/native_platform.h added a new static
    library for the nested platform added some stub
    create_native_platform and create_nested_platform functions to be
    called when mir runs in nested mode.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 901

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 31 Jul 2013 12:55:57 +0000

mir (0.0.8+13.10.20130730-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Use the soname in the filename of all the public libraries.
    Explicityly set soname for libmirserver and libmirprotobuf.

  [ Daniel van Vugt ]
  * Separate MockBufferAllocator for reuse in other test cases.
  * Silence noisy integration tests (Uninteresting mock function calls)
    (LP: #1192618). (LP: #1192618)
  * Distinguish between a buffer locked for composition vs snapshotting.
    The difference will become very important with the introduction of
    bypass. Stay tuned.

  [ Alexandros Frantzis ]
  * graphics, shell: move GLPixelBuffer to shell.
  * compositor: Introduce and use a different DisplayBufferCompositor
    object per non-cloned output.
  * geometry: Use an closed-open representation for Rectangle end
    points.

  [ Thomas Voß ]
  * Adjust the Process class to correctly trace child processes. This
    should help a lot in avoiding/diagnosing races on armhf.

  [ Kevin DuBois ]
  * expand client api so that multiple MirDisplayInfo can be returned
    for multimonitor situations.
  * add a function to the client api to query the possible formats to
    create a surface with.
  * client: decouple MirConnection from MirEvent a bit. stop two-step
    initialization of the client rpc channel.

  [ Robert Carr ]
  * Add surface lifecycle notification to the session listener.
  * Build test_android_input_registrar.cpp.

  [ Alan Griffiths ]
  * graphics, shell: move GLPixelBuffer to shell.

  [ Maarten Lankhorst ]
  * Fixes LP: #1195509. (LP: #1195509)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 890

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 00:03:17 +0000

mir (0.0.8-0ubuntu1) saucy; urgency=low

  * New release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 22 Jul 2013 10:07:38 +1200

mir (0.0.7+13.10.20130721ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Robert Ancell ]
  * Update debian/copyright for 3rd_party files. (LP: #1194073)
  * update to xmir instructions.
  * Put demos back into bin, not libexec. It's confusing, conflicts with
    the documentation and makes it harder to run them.
  * Add some XMir diagnostic and recovery documentation.
  * Update docs to refer to saucy, not raring.
  * Display command line options error when failed.
  * Remove dead tag code in SessionManager.
  * Remove dead code in ProtobufSocketCommunicator.
  * Releasing 0.0.6
  * Close the platform file descriptors on destruction of MirConnection.
    (LP: #1198022)
  * Remove libancilliary and implement required functionality directly.
  * add xmir guide to debug.
  * Only use a DRM device if it has connections. (LP: #1197708)
  * Add instructions on how to compile Mesa and X.Org with Mir support.
    (LP: #1193261)

  [ Jussi Pakkanen ]
  * Explicitly create output directory before running custom command.

  [ Alexandros Frantzis ]
  * graphics: Implement GLBufferPixels to extract buffer pixels using
    GL.
  * lttng: Install tracepoint provider libraries in private lib
    subdirectory.
  * surfaces: Fix Surface::flag_for_render() Fixes lp:1195105. (LP:
    #1195105)
  * compositor: Manage the rendering target properly in the compositing
    threads.
  * shell: Implement Session::take_snapshot() method.
  * graphics: Add Display::configure() method.
  * server: Support handlers for file descriptors in MainLoop.
  * graphics: Reconfigure the Display when the display configuration
    changes.
  * tests: Fix race condition in MockDRM leading to memory errors
    Previously, because we allocated and returned memory in two step,
    using a unique storage point to hold the allocated memory, there was
    the potential for memory errors (e.g. double frees) in multithreaded
    tests (like
    drm_close_not_called_concurrently_on_ipc_package_destruction). (LP:
    #1197408)
  * server: Make symbols of loaded SharedLibraries available globally.
  * gbm: Provide different functions for validating server and client
    Mesa EGL native displays. (LP: #1177902)
  * gbm: Update mesa egl native display validation function names Update
    mesa egl native display validation function names to match the ones
    used by Mesa.
  * graphics: Introduce a DisplayConfigurationPolicy to set up
    DisplayConfigurations.
  * geometry: Add Rectangles class to hold a collection of rectangles.
  * android: Separate Display and DisplayBuffer implementations.
  * graphics: Fall back to reading RGBA pixel data in GLPixelBuffer if
    BGRA is not supported.
  * Replace ViewableArea with more fitting interfaces.

  [ Eleni Maria Stea ]
  * minor fix of typo in the example: mir_client_accelerated.
  * fixed invalid C++ code, which was using a non-standard gcc language
    extension, for named initialization of structure elements.

  [ Stephen M. Webb ]
  * disable running the integration test suite on arm architecture
    during the packaging builds (lp: #1195265). (LP: #1195265, #1195260)

  [ Didier Roche ]
  * lttng: Install tracepoint provider libraries in private lib
    subdirectory.
  * build-dep on valgrind as it's used in integration tests. (LP:
    #1195265)
  * only build on archs we support.
  * Don't build on powerpc.
  * Disable unity armhf tests, they are failing the armhf build on
    buildds.

  [ Kevin DuBois ]
  * unify advance_client_buffer and client_buffer() interfaces on
    ms::Surface. change the ms::Surface class so that it does not hold
    the client resource on behalf of the clients, the frontend or native
    windows do.
  * android drivers have an interface for the drivers to obtain a strong
    reference to the native window type. Allow the drivers to acquire
    this strong reference to the buffer backing their texture/fbo.
  * Activate sending a "swapinterval" signal over IPC. Add client api
    for software clients to request different swapintervals.
    (eglSwapInterval is not glued together just yet) Currently only
    swapinterval of 0 or 1 is supported. (LP: #1130553)
  * link eglSwapInterval hook in gbm driver to the ipc message to enable
    swapinterval0. This makes eglSwapInterval (1) or (0) work for gbm
    ipc clients only.
  * fix: lp:1196647 (test bug results in crash in android unit tests)
    bug was just in test code on android. (LP: #1196647)
  * fix: lp1192742 by cleaning up FD's when an android client
    unregisters its native_handle_t. (LP: #1192742)
  * saucy's default boost version is 1.53, yet the cross compile script
    was still on 1.49. switch script to 1.53.
  * begin cleanup of ms::Surface by breaking "ms::Surface : public
    mi::SurfaceTarget" inheritance the input system was using the
    surface object (specifically the std::weak_ptr<mi::SurfaceTarget> to
    the ms::Surface) as its 'key' for coordinating the surfaces. This
    bound the input system tightly to the surface stack, which prevented
    any proxying of ms::Surface and made the lifetime of ms::Surface
    tangled. This change breaks this dependency by making ms::Surface
    own an InputChannel, instead of it being a SurfaceTarget.
  * remove google mock from the internal source tree. Rather, use the
    google-mock package and build the source externally. (LP: #1185265,
    #1194017)
  * disable running the integration test suite on arm architecture
    during the packaging builds (lp: #1195265). (LP: #1195265, #1195260)
  * break ms::Surface : public mg::Renderable dependency, paving the way
    for a more sensible interface surrounding our ms::Surface object.
    Also ensure that graphics data is maintained synchronously. Remove
    most state from ms::Surface.
  * fixes: lp:1200782 by freeing fd's associated with buffer package.
    (LP: #1200782)

  [ Kevin Gunn ]
  * this is to change the doc's fpr preinstalled binaries to reference
    using the system-compositor-testing ppa.
  * update to xmir instructions.
  * add xmir guide to debug.

  [ Alan Griffiths ]
  * graphics, config: Dynamically load the graphics platform.
  * config: allow graphics platform library to be selected by command-
    line/config. (LP: #1118909)
  * docs: A move towards house style for the webpages.
  * Make gmock and umockdev dependencies of the tests, clean up, and
    make not building tests an option. (LP: #1196987)
  * client: remove some unnecessary memory allocation, copying and
    threading.
  * frontend: Guard SessionMediator::session against race conditions.
  * frontend: remove redundant and misleading comment.
  * frontend: cut down memory allocations by pre-allocating and reusing
    buffers.
  * geometry: more tractable construction of objects. (LP: #1199756)
  * tests: rework test to prevent test input events being missed before
    handler is registered. (LP: #1200236)
  * geometry: make geometry compound types easier to construct. (LP:
    #1199756)
  * doc: use house font and colors for coding guidelines.
  * mir: Simpler IntWrapper that doesn't need type tags upfront.
  * graphics, conpositor: Move dependencies of graphics platform into
    graphics.
  * graphics: Delete unused file -
    include/server/mir/graphics/framebuffer_backend.h.
  * graphics, compositor: Move the rendering interfaces and code to
    compositor.
  * graphics, compositor: move BufferBasic to graphics.
  * graphics::gbm: delete unused headers.

  [ Christopher James Halse Rogers ]
  * Improve GBM platform's device probing, by actually making it probe
    devices.
  * Fix clearly-broken code, for which clang produced deliberately
    broken output.
  * Fix two issues caught by Clang's static analyser.
  * I like clang's error messages. Let's keep Mir building on clang.
  * Make libmirclient not aggressively signal-unsafe by blocking signals
    on our IO thread. Fixes infinite loop in XMir (LP: #1199319). (LP:
    #1199319)
  * Document XMir drivers too.

  [ Sebastien Bacher ]
  * Small copyright fixes (lp: #1195647). (LP: #1195647)

  [ Daniel van Vugt ]
  * Cache the transformation matrix; only recalculate it when some part
    of the transformation changes. (LP: #1193020) . (LP: #1193020)
  * Don't pass a clang-only option to gcc. It will not understand and
    cause build failure (LP: #1194385). (LP: #1194385)
  * Fix build failure due to differing exception specifiers. noexcept
    destructors should be enforced in derived classes if the base uses
    them. (LP: #1194703). (LP: #1194703)
  * Document thread safety pitfalls about client-side callbacks. .
  * Fix mismatched destructor exception specifiers causing build failure
    in gcc 4.7. Also fix struct/class mismatches that some compilers
    will treat as an error. (LP: #1196415). (LP: #1196415)
  * mir_demo_client_unaccelerated: Add an FPS count, and a "-n" option
    to disable vsync (set swap interval to 0).
  * mir_demo_client_egl*: Add a "-n" option to disable syncing to vblank
    (hence to use swap interval == 0).
  * Initial attempts at making the Mir client API thread safe.
    Ordinarily you would not build locking into an API, however the fact
    that Mir clients implicitly get multiple threads created for them
    makes it important for the API itself to be automatically thread
    safe. I've tried to avoid API changes, but adding a new function:
    mir_wait_for_one was necessary. This is because mir_wait_for doesn't
    work if multiple threads are waiting on the same thing
    simultaneously. And the fact that waiting at all is optional means
    we can't change the behaviour of mir_wait_for -- it must always wait
    for all outstanding results (which is only safe in clients where the
    waiting happens in a single thread). .
  * Work around GCC issue 50043 which is causing build failures on
    raring. (LP: #1199210) The gcc bug is only fixed in 4.8/saucy. (LP:
    #1199210)
  * MockDisplayConfigurationPolicy: Work around gcc-4.7 bugs causing
    build failure on raring. (LP: #1200064). (LP: #1200064)
  * Another workaround for gcc-4.7 bugs causing build failure. (LP:
    #1200107). (LP: #1200107)
  * buffer_swapper_spin.h: Remove dead code: initialize_queues.
  * Remove unused interface surfaces::GraphicRegion It became unused
    when Kevin's work landed in r856 yesterday. .
  * Rename compositor::Renderables --> compositor::Scene What is a
    "Renderables"? It's the interface by which we know the scene graph,
    or the model of how all the surfaces relate to each other. Right,
    then call it a scene graph... but the word "graph" might imply a
    particular structure. And we don't want to imply such things in an
    interface. So just call it "scene". That makes slightly more sense
    than imagining what a "Renderables" (singular) is.
  * Fix comments which mention incorrect namespaces for Buffer following
    yesterday's landings.

  [ Ricardo Mendoza ]
  * Fix broken tests/unit-
    tests/client/android/test_client_android_registrar.cpp due to unused
    return value.

  [ Thomas Voß ]
  * Wait for vt to become active if we need to activate it.
  * Remove disabling asio's epoll reactor implementation from the
    package build flags.
  * Introduce cmake options to be able to selectively switch acceptance,
    integration and unit tests on/off. (LP: #1195265)

  [ Thomi Richards ]
  * Remove workaround for bug #1198022. (LP: #1198022)

  [ Robert Carr ]
  * Add raise method to surface stack.
  * Remove cucumber and all references. (LP: #1194075)
  * Add support for shaped input regions.
  * Store MirMotionAction as integer due to usage of extra bits by
    android input stack. (LP: #1197108)
  * Fix obscurance of touch events according to stacking.
  * Extract DefaultServerConfiguration::the_cursor_listener from
    DefaultServerConfiguration::the_input_configuration. (LP: #1192916)
  * Implement a connection authorization mechanism.
  * Correct test_surface_stack.cpp ordering tests.
  * Move the DepthId in surface creation to
    msh::SurfaceCreationParameters.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 874 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 21 Jul 2013 00:03:59 +0000

mir (0.0.7-0ubuntu1) saucy; urgency=low

  * New release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 15 Jul 2013 09:29:56 +1200

mir (0.0.6-0ubuntu1) saucy; urgency=low

  * New release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 27 Jun 2013 15:47:06 +1200

mir (0.0.5-0ubuntu1) saucy; urgency=low

  * Misc a numerous package fixes.
  * Automatic snapshot from revision 766 (bootstrap)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 24 Jun 2013 19:02:49 +0200

mir (0.0.4-0ubuntu1) raring; urgency=low

  * change mesa header to clean up the file and add swapinterval 0 hook

 -- Kevin DuBois <kevin.dubois@canonical.com>  Mon, 17 Jun 2013 18:02:32 -0700

mir (0.0.3-0ubuntu1) raring; urgency=low

  [ Bryce Harrington ]
  * Add apport hook, source_mir.py

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 15 May 2013 11:47:32 +1200

mir (0.0.2-0ubuntu2) raring; urgency=low

  * Put mir in split mode

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Feb 2013 14:51:48 +0000

mir (0.0.2-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - libmirclient-demos breaks older version of mir

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 12 Feb 2013 14:22:17 +1300

mir (0.0.1-0ubuntu1) quantal; urgency=low

  * Initial release

 -- Thomas Voß <thomas.voss@canonical.com>  Thu, 10 Jan 2013 08:53:02 +0100
